Key:

SX  - https://bugs.openjdk.java.net/browse/JDK-X
PRX - http://icedtea.classpath.org/bugzilla/show_bug.cgi?id=X
RHX - https://bugzilla.redhat.com/show_bug.cgi?id=X
DX  - http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=X
GX  - http://bugs.gentoo.org/show_bug.cgi?id=X
CAX - http://server.complang.tuwien.ac.at/cgi-bin/bugzilla/show_bug.cgi?id=X
LPX - https://bugs.launchpad.net/bugs/X 
OJX - http://java.net/jira/browse/OPENJDK6-X
JEPX - http://openjdk.java.net/jeps/X

CVE-XXXX-YYYY: http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=XXXX-YYYY

New in release 1.13.10 (2016-01-22):

* Security fixes
  - S8059054, CVE-2016-0402: Better URL processing
  - S8130710, CVE-2016-0448: Better attributes processing
  - S8133962, CVE-2016-0466: More general limits
  - S8137060: JMX memory management improvements
  - S8139012: Better font substitutions
  - S8139017, CVE-2016-0483: More stable image decoding
  - S8140543, CVE-2016-0494: Arrange font actions
  - S8143185: Cleanup for handling proxies
  - S8143941, CVE-2015-8126, CVE-2015-8472: Update splashscreen displays
* Import of OpenJDK6 b38
  - OJ69: Windows build broken after b37 changes
  - OJ70: Allow versions of ALSA >= 1.1.0
  - S6720721: CRL check with circular depency support needed
  - S6852744: PIT b61: PKI test suite fails because self signed certificates are being rejected [Tests only]
  - S7166570: JSSE certificate validation has started to fail for certificate chains
  - S7167988: PKIX CertPathBuilder in reverse mode doesn't work if more than one trust anchor is specified
  - S7171223: Building ExtensionSubtables.cpp should use -fno-strict-aliasing
  - S8068761: [TEST_BUG] java/nio/channels/ServerSocketChannel/AdaptServerSocket.java failed with SocketTimeoutException
  - S8074068: Cleanup in src/share/classes/sun/security/x509/
  - S8075773: jps running as root fails after the fix of JDK-8050807
  - S8081297: SSL Problem with Tomcat
  - S8134605: Partial rework of the fix for 8081297
  - S8135307: CompletionFailure thrown when calling FieldDoc.type, if the field's type is missing
  - S8138716: (tz) Support tzdata2015g
  - S8141213: [Parfait]Potentially blocking function GetArrayLength called in JNI critical region at line 239 of jdk/src/share/native/sun/awt/image/jpeg/jpegdecoder.c in function GET_ARRAYS
  - S8141287: Add MD5 to jdk.certpath.disabledAlgorithms - Take 2
  - S8142928: [TEST_BUG] sun/security/provider/certpath/ReverseBuilder/ReverseBuild.java 8u71 failure
  - S8144955: Wrong changes were pushed with 8143942
  - S8145551: Test failed with Crash for Improved font lookups
  - S8147466: Add -fno-strict-overflow to IndicRearrangementProcessor{,2}.cpp
* Backports
  - S7169111, PR2757: Unreadable menu bar with Ambiance theme in GTK L&F
  - S8140620, PR2711: Find and load default.sf2 as the default soundbank on Linux

New in release 1.13.9 (2015-11-13):

* Security fixes
  - S8048030, CVE-2015-4734: Expectations should be consistent
  - S8068842, CVE-2015-4803: Better JAXP data handling
  - S8076339, CVE-2015-4903: Better handling of remote object invocation
  - S8076383, CVE-2015-4835: Better CORBA exception handling
  - S8076387, CVE-2015-4882: Better CORBA value handling
  - S8076392, CVE-2015-4881: Improve IIOPInputStream consistency
  - S8076413, CVE-2015-4883: Better JRMP message handling
  - S8078427, CVE-2015-4842: More supportive home environment
  - S8078440: Safer managed types
  - S8080541: More direct property handling
  - S8080688, CVE-2015-4860: Service for DGC services
  - S8081760: Better group dynamics
  - S8086733, CVE-2015-4893: Improve namespace handling
  - S8087350: Improve array conversions
  - S8103671, CVE-2015-4805: More objective stream classes
  - S8103675: Better Binary searches
  - S8130078, CVE-2015-4911: Document better processing
  - S8130193, CVE-2015-4806: Improve HTTP connections
  - S8130864: Better server identity handling
  - S8130891, CVE-2015-4843: (bf) More direct buffering
  - S8131291, CVE-2015-4872: Perfect parameter patterning
  - S8132042, CVE-2015-4844: Preserve layout presentation
* Import of OpenJDK6 b37
  - OJ64: Backport hashtable to map changes from jaxp
  - OJ65: Remove @Override annotation on interfaces added by 2015/10/20 security fixes
  - OJ66: Revert 7110373 & 7149751 test removals now 6706974 is present (krb5 test infrastructure)
  - OJ67: Fix copyright headers on imported files
  - OJ68: Ensure SharedSecrets are initialised
  - S6570619: (bf) DirectByteBuffer.get/put(byte[]) does not scale well
  - S6590930: reed/write does not match for ccache
  - S6648972: KDCReq.init always read padata
  - S6676075: RegistryContext (com.sun.jndi.url.rmi.rmiURLContext) coding problem
  - S6682516: SPNEGO_HTTP_AUTH/WWW_KRB and SPNEGO_HTTP_AUTH/WWW_SPNEGO failed on all non-windows platforms
  - S6710360: export Kerberos session key to applications
  - S6733095: Failure when SPNEGO request non-Mutual
  - S6785456: Read Kerberos setting from Windows environment variables
  - S6821190: more InquireType values for ExtendedGSSContext
  - S6843127: krb5 should not try to access unavailable kdc too often
  - S6844193: support max_retries in krb5.conf
  - S6844907: krb5 etype order should be from strong to weak
  - S6844909: support allow_weak_crypto in krb5.conf
  - S6849275: enhance krb5 reg tests
  - S6853328: Support OK-AS-DELEGATE flag
  - S6854308: more ktab options
  - S6856069: PrincipalName.clone() does not invoke super.clone()
  - S6857795: krb5.conf ignored if system properties on realm and kdc are provided
  - S6857802: GSS getRemainingInitLifetime method returns milliseconds not seconds
  - S6858589: more changes to Config on system properties
  - S6862679: ESC: AD Authentication with user with umlauts fails
  - S6877357: IPv6 address does not work
  - S6888701: Change all template java source files to a .java-template file suffix
  - S6893158: AP_REQ check should use key version number
  - S6907425: JCK Kerberos tests fail since b77
  - S6919610: KeyTabInputStream uses static field for per-instance value
  - S6932525: Incorrect encryption types of KDC_REQ_BODY of AS-REQ with pre-authentication
  - S6946669: SSL/Krb5 should not call EncryptedData.reset(data, false)
  - S6950546: "ktab -d name etype" to "ktab -d name [-e etype] [kvno | all | old]"
  - S6951366: kerberos login failure on win2008 with AD set to win2000 compat mode
  - S6952519: kdc_timeout is not being honoured when using TCP
  - S6959292: regression: cannot login if session key and preauth does not use the same etype
  - S6960894: Better AS-REQ creation and processing
  - S6966259: Make PrincipalName and Realm immutable
  - S6975866: api/org_ietf/jgss/GSSContext/index.html#wrapUnwrapIOTest started to fail since jdk7 b102
  - S6984764: kerberos fails if service side keytab is generated using JDK ktab
  - S6997740: ktab entry related test compilation error
  - S7018928: test failure: sun/security/krb5/auto/SSL.java
  - S7032354: no-addresses should not be used on acceptor side
  - S7061379: [Kerberos] Cross-realm authentication fails, due to nameType problem
  - S7142596: RMI JPRT tests are failing
  - S7157610: NullPointerException occurs when parsing XML doc
  - S7158329: NPE in sun.security.krb5.Credentials.acquireDefaultCreds()
  - S7197159: accept different kvno if there no match
  - S8004317: TestLibrary.getUnusedRandomPort() fails intermittently, but exception not reported
  - S8005226: java/rmi/transport/pinClientSocketFactory/PinClientSocketFactory.java fails intermittently
  - S8006534: CLONE - TestLibrary.getUnusedRandomPort() fails intermittently-doesn't retry enough times
  - S8014097: add doPrivileged methods with limited privilege scope
  - S8021191: Add isAuthorized check to limited doPrivileged methods
  - S8022213: Intermittent test failures in java/net/URLClassLoader
  - S8028583: Add helper methods to test libraries
  - S8028780: JDK KRB5 module throws OutOfMemoryError when CCache is corrupt
  - S8058608: JVM crash during Kerberos logins using des3-cbc-md5 on OSX
  - S8064331: JavaSecurityAccess.doIntersectionPrivilege() drops the information about the domain combiner of the stack ACC
  - S8072932: Test fails with java.security.AccessControlException: access denied ("java.security.SecurityPermission" "getDomainCombiner")
  - S8078822: 8068842 fix missed one new file PrimeNumberSequenceGenerator.java
  - S8079323: Serialization compatibility for Templates: need to exclude Hashtable from serialization
  - S8087118: Remove missing package from java.security files
  - S8098547: (tz) Support tzdata2015e
  - S8130253: ObjectStreamClass.getFields too restrictive
  - S8133196, RH1251935: HTTPS hostname invalid issue with InetAddress
  - S8133321: (tz) Support tzdata2015f
  - S8135043: ObjectStreamClass.getField(String) too restrictive
* Backports
  - S6440786, PR363: Cannot create a ZIP file containing zero entries
  - S6599383, PR363: Unable to open zip files more than 2GB in size
  - S6763122, PR363: ZipFile ctor does not throw exception when file is not a zip file
  - S6929479, PR363: Add a system property sun.zip.disableMemoryMapping to disable mmap use in ZipFile
  - S7105461, PR2662: Large JTables are not rendered correctly with Xrender pipeline
  - S7150134, PR2662: JCK api/java_awt/Graphics/index.html#DrawLine fails with OOM for jdk8 with XRender pipeline
* Bug fixes
  - PR2513: Reset success following calls in LayoutManager.cpp

New in release 1.13.8 (2015-07-29):

* Security fixes
  - S8043202, CVE-2015-2808: Prohibit RC4 cipher suites
  - S8067694, CVE-2015-2625: Improved certification checking
  - S8071715, CVE-2015-4760: Tune font layout engine
  - S8071731: Better scaling for C1
  - S8072490: Better font morphing redux
  - S8072887: Better font handling improvements
  - S8073334: Improved font substitutions
  - S8073773: Presume path preparedness
  - S8073894: Getting to the root of certificate chains
  - S8074330: Set font anchors more solidly
  - S8074335: Substitute for substitution formats
  - S8074865, CVE-2015-2601: General crypto resilience changes
  - S8074871: Adjust device table handling
  - S8075374, CVE-2015-4748: Responding to OCSP responses
  - S8075378, CVE-2015-4749: JNDI DnsClient Exception Handling
  - S8075738: Better multi-JVM sharing
  - S8075838: Method for typing MethodTypes
  - S8075853, CVE-2015-2621: Proxy for MBean proxies
  - S8076328, CVE-2015-4000: Enforce key exchange constraints
  - S8076376, CVE-2015-2628: Enhance IIOP operations
  - S8076397, CVE-2015-4731: Better MBean connections
  - S8076401, CVE-2015-2590: Serialize OIS data
  - S8076405, CVE-2015-4732: Improve serial serialization
  - S8076409, CVE-2015-4733: Reinforce RMI framework
  - S8077520, CVE-2015-2632: Morph tables into improved form
  - PR2488, CVE-2015-4000: Make jdk8 mode the default for jdk.tls.ephemeralDHKeySize
* Import of OpenJDK6 b36
  - OJ58: Allow OpenJDK to build on PaX-enabled kernels
  - OJ59: Only apply PaX-marking when needed by a running PaX kernel
  - OJ60, PR2484: Disable export ciphers by default
  - OJ61: Remove translation strings for ErrorMsg.JAXP_INVALID_ATTR_VALUE_ERR which doesn't exist in OpenJDK 6
  - OJ62, PR2552: Restrict key size of RSA certificates to >= 1024
  - OJ63: Remove @Override annotation on interfaces added by 2015/07/14 security fixes.
  - S6787645: CRL validation code should permit some clock skew when checking validity of CRLs
  - S6996365: Evaluate the priorities of cipher suites
  - S7185471: Avoid key expansion when AES cipher is re-init w/ the same key
  - S8007142: Add utility classes for writing better multiprocess tests in jtreg
  - S8008089: Delete OS dependent check in JdkFinder.getExecutable()
  - S8024861: Incomplete token triggers GSS-API NullPointerException
  - S8027058: sun/management/jmxremote/bootstrap/RmiBootstrapTest.sh Failed to initialize connector
  - S8036786: Update jdk7 testlibrary to match jdk8
  - S8042205: javax/management/monitor/*: some tests didn't  get all the notifications
  - S8042982: Unexpected RuntimeExceptions being thrown by SSLEngine
  - S8043200, PR2485: Decrease the preference mode of RC4 in the enabled cipher suite list
  - S8043201: Deprecate RC4 in SunJSSE provider
  - S8046817: JDK 8 schemagen tool does not generate xsd files for enum types
  - S8048194: GSSContext.acceptSecContext fails when a supported mech is not initiator preferred
  - S8050158: Introduce system property to maintain RC4 preference order
  - S8062923: XSL: Run-time internal error in 'substring()'
  - S8062924: XSL: wrong answer from substring() function
  - S8064546: CipherInputStream throws BadPaddingException if stream is not fully read
  - S8065764: javax/management/monitor/CounterMonitorTest.java hangs
  - S8066952: [TEST-BUG] javax/management/monitor/CounterMonitorTest.java hangs
  - S8073357: schema1.xsd has wrong content. Sequence of the enum values has been changed
  - S8073385: Bad error message on parsing illegal character in XML attribute
  - S8074098: 2D_Font/Bug8067699 test fails with SIGBUS crash on Solaris Sparc
  - S8074297: substring in XSLT returns wrong character if string contains supplementary chars
  - S8075575: com/sun/security/auth/login/ConfigFile/InconsistentError.java failed in certain env.
  - S8075576: com/sun/security/auth/module/KeyStoreLoginModule/OptionTest.java failed in certain env.
  - S8075667: (tz) Support tzdata2015b
  - S8076290: JCK test api/xsl/conf/string/string17 starts failing after JDK-8074297
  - S8077685: (tz) Support tzdata2015d
  - S8078348: sun/security/pkcs11/sslecc/ClientJSSEServerJSSE.java fails with BindException
  - S8078439: SPNEGO auth fails if client proposes MS krb5 OID
  - S8078666, PR2327: JVM fastdebug build compiled with GCC 5 asserts with "widen increases"
  - S8080318: jdk8u51 l10n resource file translation update
  - S8081386: Test sun/management/jmxremote/bootstrap/RmiSslBootstrapTest.sh test has RC4 dependencies
  - S8081775: two lib/testlibrary tests are failing with "Error. failed to clean up files after test" with jtreg 4.1 b12
* Backports
  - S4890063, PR2306, RH1214835: HPROF: default text truncated when using doe=n option
  - S6562614, PR2555: Compiler warnings for gettimeofday in Inet4/Inet6AddressImpl.c
  - S6956398, PR2486: make ephemeral DH key match the length of the certificate key
  - S6989466, PR2555: Miscellaneous compiler warnings in java/lang, java/util, java/io, sun/misc native code
  - S6991580, PR2309: IPv6 Nameservers in resolv.conf throws NumberFormatException
  - S6997561, PR2479: A request for better error handling in JNDI
  - S7007905, PR2298: javazic produces wrong line numbers
  - S7017176, PR2479: Several JNDI tests are mssing GPL header
  - S7058708, PR2298: Eliminate JDK build tools build warnings
  - S7069870, PR2298: Parts of the JDK erroneously rely on generic array initializers with diamond
  - S7090844, PR2298: Support a timezone whose offset is changed more than once in the future
  - S7094377, PR2479: Com.sun.jndi.ldap.read.timeout doesn't work with ldaps.
  - S7133138, PR2298: Improve io performance around timezone lookups
  - S7170638, PR2495: Use DTRACE_PROBE[N] in JNI Set and SetStatic Field.
  - S8000487, PR2479: Java JNDI connection library on ldap conn is not honoring configured timeout
  - S8011709, PR2510: [parfait] False positive: memory leak in jdk/src/share/native/sun/font/layout/CanonShaping.cpp
  - S8023052, PR2510: JVM crash in native layout
  - S8039921, PR2468: SHA1WithDSA with key > 1024 bits not working
  - S8041451, PR2480: com.sun.jndi.ldap.Connection:ReadTimeout should abandon ldap request
  - S8042855, PR2510: [parfait] Potential null pointer dereference in IndicLayoutEngine.cpp
  - S8042857, PR2479: 14 stuck threads waiting for notification on LDAPRequest
  - S8065238, PR2479: javax.naming.NamingException after upgrade to JDK 8
  - S8074761, PR2469: Empty optional parameters of LDAP query are not interpreted as empty
  - S8078654, PR2334: CloseTTFontFileFunc callback should be removed
  - S8081315, PR2406: Avoid giflib interlacing workaround with giflib 5.0.0 on
  - S8081475, PR2495: SystemTap does not work when JDK is compiled with GCC 5
  - S8087120, RH1206656, PR2554: [GCC5] java.lang.StackOverflowError on Zero JVM initialization on non x86 platforms.
* Bug fixes
  - PR2319: Checksum of policy JAR files changes on every build
  - PR2340: Fail early if there is no native HotSpot JIT & all other options are disabled
  - PR2342: Update README & INSTALL files
  - PR2360: Ensure all stamp targets have aliases
  - PR2391: Make elliptic curve removal optional
  - PR2460: Policy JAR files should be timestamped with the date of the policy file they hold
  - PR2481, RH489586, RH1236619: OpenJDK can't handle spaces in zone names in /etc/sysconfig/clock
  - PR2486: JSSE server is still limited to 768-bit DHE
  - PR2508, G541462: Only apply PaX markings by default on running PaX kernels
  - PR2556, G390663: Update Gentoo font configuration and allow font directory to be specified
  - PR2559: generated directory gets confused with generated alias
  - PR2565: Replace ipv4-mapped-ipv6-addresses.patch with upstream fix 6882910
* CACAO
  - PR829: Raise javadoc and JAVAC_FLAGS memory limits for CACAO
* JamVM
  - PR2522: Add executable stack markings to callNative.S on JamVM

New in release 1.13.7 (2015-04-14):

* Security fixes
  - S8059064: Better G1 log caching
  - S8060461: Fix for JDK-8042609 uncovers additional issue
  - S8064601, CVE-2015-0480: Improve jar file handling
  - S8065286: Fewer subtable substitutions
  - S8065291: Improved font lookups
  - S8066479: Better certificate chain validation
  - S8067050: Better font consistency checking
  - S8067684: Better font substitutions
  - S8067699, CVE-2015-0469: Better glyph storage
  - S8068320, CVE-2015-0477: Limit applet requests
  - S8068720, CVE-2015-0488: Better certificate options checking
  - S8069198: Upgrade image library
  - S8071726, CVE-2015-0478: Better RSA optimizations
  - S8071818: Better vectorization on SPARC
  - S8071931, CVE-2015-0460: Return of the phantom menace
* Import of OpenJDK6 b35
  - OJ55: Synchronise whitespace in TimeZoneNames files with OpenJDK 7 versions.
  - OJ56: Update 3rd party readme and license for LibPNG v 1.6.16
  - OJ57: Remove mistakenly added patching fragment
  - S6672144: HttpURLConnection.getInputStream sends POST request after failed chunked
  - S6989721: awt native code compiler warnings
  - S7088287: libpng need to be updated.
  - S7090424: TestGlyphVectorLayout failed automately with java.lang.StackOverflowError
  - S7170655: Frame size does not follow font size change with XToolkit
  - S7176479: G1: JVM crashes on T5-8 system with 1.5 TB heap
  - S8019623: Lack of synchronization in AppContext.getAppContext()
  - S8040790: [TEST_BUG] tools/javac/innerClassFile/Driver.sh fails to cleanup files after it
  - S8043123: Hard crash with access violation exception when blitting to very large image
  - S8051359: JPopupMenu creation in headless mode with JDK9b23 causes NPE
  - S8064454: [TEST_BUG] Test tools/javac/innerClassFile/Driver.sh fails for Mac and Linux
  - S8065072: sun/net/www/http/HttpClient/StreamingRetry.java failed intermittently
  - S8065709: Deadlock in awt/logging apparently introduced by 8019623
  - S8072042: (tz) Support tzdata2015a
  - S8074662: Update 3rd party readme and license for LibPNG v 1.6.16
  - S8075211: [TEST_BUG] Test sun/net/www/http/HttpClient/StreamingRetry.java fails with compilation error
* Backports
  - S6584008, PR2195, RH1173326: jvmtiStringPrimitiveCallback should not be invoked when string value is null
  - S7199862, PR2198: Make sure that a connection is still alive when retrieved from KeepAliveCache in certain cases
  - S8074312, PR2255: Enable hotspot builds on Linux 4.x
* Bug fixes
  - PR2197: jhat man page has broken URL
  - PR2201: Support giflib 5.1.0
  - PR2211: DGifCloseFile call should check the return value, not the error code, for failure
  - PR2226: giflib 5.1 conditional excludes 6.0, 7.0, etc.
  - PR2294: Auto-generated jconsole.desktop and policytool.desktop should not be included in release tarball

New in release 1.13.6 (2015-01-23):

* Security fixes
  - S8046656: Update protocol support
  - S8047125, CVE-2015-0395: (ref) More phantom object references
  - S8047130: Fewer escapes from escape analysis
  - S8048035, CVE-2015-0400: Ensure proper proxy protocols
  - S8049253: Better GC validation
  - S8050807, CVE-2015-0383: Better performing performance data handling
  - S8054367, CVE-2015-0412: More references for endpoints
  - S8055304, CVE-2015-0407: More boxing for DirectoryComboBoxModel
  - S8055309, CVE-2015-0408: RMI needs better transportation considerations
  - S8055479: TLAB stability
  - S8055489, CVE-2014-6585: Better substitution formats
  - S8056264, CVE-2014-6587: Multicast support improvements
  - S8056276, CVE-2014-6591: Fontmanager feature improvements
  - S8057555, CVE-2014-6593: Less cryptic cipher suite management
  - S8058982, CVE-2014-6601: Better verification of an exceptional invokespecial
  - S8059485, CVE-2015-0410: Resolve parsing ambiguity
  - S8061210, CVE-2014-3566: Issues in TLS
* Import of OpenJDK6 b34
  - OJ43: Backport JAX_WS-945; Socket backlog may be limiting lwhs performance
  - OJ44: Add missing TimeZone test cases included in OpenJDK 7 revision 0.
  - OJ45: Fix copyright headers on imported files
  - OJ46: Fix lost Classpath exception
  - OJ47: Remove @Override annotation on interfaces added by 2015/01/20 security fixes.
  - OJ48: Fix substitution error.
  - OJ49: Fix placement of 8023956 fix.
  - OJ50: Fix reference to missing pd_attempt_reserve_memory_at
  - S4873188: Support TLS 1.1
  - S6364329: jstat displays "invalid argument count" with usage
  - S6461635: [TESTBUG] BasicTests.sh test fails intermittently
  - S6507067: TimeZone country/area message error
  - S6545422: [TESTBUG] NativeErrors.java uses wrong path name in exec
  - S6578647: Undefined requesting URL in java.net.Authenticator.getPasswordAuthentication()
  - S6585666: Spanish language names not compliant with CLDR
  - S6587676: Krb5LoginModule failure if useTicketCache=true on Vista
  - S6608572: Currency change for Malta and Cyprus
  - S6610748: Dateformat - AM-PM indicator in Finnish appears to be from English
  - S6627549: ISO 3166 code addition: Saint Barthelemy and Saint Martin
  - S6631048: Problem when writing on output stream of  HttpURLConnection
  - S6641309: Wrong Cookie separator used in HttpURLConnection
  - S6641312: Fix krb5 codes indentation problems
  - S6645271: Wrong date format for Croatian (hr) locale
  - S6646611: Incorrect spelling of month name in locale for Belarusian language ("be", "BY")
  - S6647452: Remove obfuscation, framework and provider self-verification checking
  - S6653795: C2 intrinsic for Unsafe.getAddress performs pointer sign extension on 32-bit systems
  - S6659779: HttpURLConnections logger should log tunnel requests
  - S6670362: HTTP/SPNEGO should work across realms
  - S6716626: Integrate contributed language and country names for NL
  - S6720866: Slow performance using HttpURLConnection for upload
  - S6726695: HttpURLConnection shoul support 'Expect: 100-continue' headers for PUT
  - S6729881: Compiler warning in networking native code
  - S6765491: Krb5LoginModule a little too restrictive, and the doc is not clear.
  - S6776102: sun/util/resources/TimeZone/Bug6317929.java test failed against 6u12b01 and passed against 6u11b03
  - S6786276: Locale.getISOCountries() still contains country code "CS"
  - S6792180: Enhance to reject weak algorithms or conform to crypto recommendations
  - S6811297: Add more logging to HTTP protocol handler
  - S6822460: support self-issued certificate
  - S6830658: Changeset 67e5d3e41b5b breaks the fastdebug build in NativeCreds.c
  - S6835668: Use of /usr/include/linux/ files creates a dependence on kernel-headers
  - S6855297: Windows build breaks after 6811297
  - S6856856: NPE in HTTP protocol handler logging
  - S6868106: Ukrainian currency has wrong format
  - S6870908: reopen bug 4244752: month names in Estonian should be lowercase
  - S6873931: New Turkish currency since 2009
  - S6882594: Remove static dependancy on NTLM authentication
  - S6899503: Security code issue using Verisign root certificate
  - S6910489: Slovenia Locale, wrong firstDayOfWeek number
  - S6911104: Tests do not work with CYGWIN: tools, sun/tools, and com/sun/tools
  - S6914413: abbreviation name for November is not correct in be_BY
  - S6916787: Ukrainian currency name needs to be fixed
  - S6919624: minimalDaysInFirstWeek ressource for hungarian is wrong
  - S6931564: Incorrect display name of Locale for south africa
  - S6931566: NetworkInterface is not working when interface name is more than 15 characters long
  - S6938454: 2 new testcases for  bug: Unable to determine generic type in program that compiles under Java 6
  - S6938454: Unable to determine generic type in program that compiles under Java 6
  - S6945604: wrong error message in CardImpl.java
  - S6962617: Testcase changes, cleanup of problem list for jdk_tools targets
  - S6964714: NetworkInterface getInetAddresses enumerates IPv6 addresses if java.net.preferIPvStack property set
  - S6967937: Scope id no longer being set after 6931566
  - S6972374: NetworkInterface.getNetworkInterfaces throws "java.net.SocketException" on Solaris zone
  - S6976117: SSLContext.getInstance("TLSv1.1") returns SSLEngines/SSLSockets without TLSv1.1 enabled
  - S7001720: copyright templates not rebranded
  - S7019267: Currency Display Names are not localized into pt_BR.
  - S7020583: Some currency names are missing in some locales
  - S7020960: CurrencyNames_sr_RS.properties is missing.
  - S7022269: clean up fscanf usage in Linux networking native code
  - S7025837: fix plural currency display names in sr_Latn_(BA|ME|RS).properties
  - S7028073: The currency symbol for Peru is wrong
  - S7035555: 4/4 attach/BasicTests.sh needs another tweak for Cygwin
  - S7036025: java.security.AccessControlException when creating JFileChooser in signed applet
  - S7036905: [de] dem - the german mark display name is incorrect
  - S7047033: (smartcardio) Card.disconnect(boolean reset) does not reset when reset is true
  - S7066203: Update currency data to the latest ISO 4217 standard
  - S7077119: remove past transition dates from CurrencyData.properties file
  - S7085757: Currency Data: ISO 4217 Amendment 152
  - S7122142, RH1151372: (ann) Race condition between isAnnotationPresent and getAnnotations
  - S7153184: NullPointerException when calling SSLEngineImpl.getSupportedCipherSuites
  - S7161796, RH1151372: PhaseStringOpts::fetch_static_field tries to fetch field from the Klass instead of the mirror
  - S7171028: dots are missed in the datetime for Slovanian
  - S7174244: NPE in Krb5ProxyImpl.getServerKeys()
  - S7185456: (ann) Optimize Annotation handling in java/sun.reflect.* code for small number of annotations
  - S7189611: Venezuela current Currency should be Bs.F.
  - S7195759: ISO 4217 Amendment 154
  - S7199066: Typo in method name
  - S7201205: Add Makefile configuration option to build with unlimited crypto in OpenJDK.
  - S8005232: (JEP-149) Class Instance size reduction
  - S8006748: getISO3Country() returns wrong value
  - S8013836: getFirstDayOfWeek reports wrong day for pt-BR locale
  - S8015421: NegativeArraySizeException occurs in ChunkedOutputStream() with Integer.MAX_VALUE
  - S8015570: Use long comparison in Rule.getRules().
  - S8021121: ISO 4217 Amendment Number 156
  - S8021372: NetworkInterface.getNetworkInterfaces() returns duplicate hardware address
  - S8022721: TEST_BUG: AnnotationTypeDeadlockTest.java throws java.lang.IllegalStateException: unexpected condition
  - S8023956: Provide a work-around to broken Linux 32 bit "Exec Shield" using CS for NX emulation (crashing with SI_KERNEL)
  - S8025051: Update resource files for TimeZone display names
  - S8026772: test/sun/util/resources/TimeZone/Bug6317929.java failing
  - S8027359: XML parser returns incorrect parsing results
  - S8027370: Support tzdata2013h
  - S8027695: There should be a space before % sign in Swedish locale
  - S8028627: Unsynchronized code path from javax.crypto.Cipher to the WeakHashMap used by JceSecurity to store codebase mappings
  - S8028726: (prefs) Check src/solaris/native/java/util/FileSystemPreferences.c for JNI pending exceptions
  - S8029153: [TESTBUG] test/compiler/7141637/SpreadNullArg.java fails because it expects NullPointerException
  - S8029318: Native Windows ccache still reads DES tickets
  - S8030822: (tz) Support tzdata2013i
  - S8031046: Native Windows ccache might still get unsupported ticket
  - S8032788: ImageIcon constructor throws an NPE and hangs when passed a null String parameter
  - S8032909: XSLT string-length returns incorrect length when string includes complementary chars
  - S8035613: With active Securitymanager JAXBContext.newInstance fails
  - S8037012: (tz) Support tzdata2014a
  - S8038306: (tz) Support tzdata2014b
  - S8040617: [macosx] Large JTable cell results in a OutOfMemoryException
  - S8041990: [macosx] Language specific keys does not work in applets when opened outside the browser
  - S8043012: (tz) Support tzdata2014c
  - S8046343: (smartcardio) CardTerminal.connect('direct') does not work on MacOSX
  - S8049250: Need a flag to invert the Card.disconnect(reset) argument
  - S8049343: (tz) Support tzdata2014g
  - S8050485: super() in a try block in a ctor causes VerifyError
  - S8051012: Regression in verifier for <init> method call from inside of a branch
  - S8051614: smartcardio TCK tests fail due to lack of 'reset' permission
  - S8055222: Currency update needed for ISO 4217 Amendment #159
  - S8056211: api/java_awt/Event/InputMethodEvent/serial/index.html#Input[serial2002] failure
  - S8058715: stability issues when being launched as an embedded JVM via JNI
  - S8059206: (tz) Support tzdata2014i
  - S8060474: Resolve more parsing ambiguity
  - S8061826: Part of JDK-8060474 should be reverted
  - S8062561: Test bug8055304 fails if file system default directory has read access
  - S8062807: Exporting RMI objects fails when run under restrictive SecurityManager
  - S8064560: (tz) Support tzdata2014j
* Backports
  - OJ51, PR2187: Sync patch for 4873188 with 7 version
  - OJ52, PR2185: Application of 6786276 introduces compatibility issue
  - OJ53, PR2181: strict-aliasing warnings issued on PPC32
  - OJ54, PR2182: 6911104 reintroduces test fragment removed in existing 6964018 backport
  - S6730740, PR2186: Fix for 6729881 has apparently broken several 64 bit tests:  "Bad address"
  - S7031830, PR2183: bad_record_mac failure on TLSv1.2 enabled connection with SSLEngine
  - S8000897, PR2173, RH1155012: VM crash in CompileBroker
  - S8020190, PR2174, RH1176718: Fatal: Bug in native code: jfieldID must match object
  - S8028623, PR2177, RH1168693: SA: hash codes in SymbolTable mismatching java_lang_String::hash_code for extended characters.
  - S8061785, PR2177: [TEST_BUG] serviceability/sa/jmap-hashcode/Test8028623.java has utf8 character corrupted by earlier merge
* Bug fixes
  - PR1831: Drop version requirement for LCMS 2
  - PR1832, RH1022017: Report elliptic curves supported by NSS, not the SunEC library
  - PR2033: patches/ecj/jaxws-getdtdtype.patch no longer applies since removal of JAXWS drop
  - PR2062: Unset OS before running OpenJDK build
  - PR2070: Type-punning warnings still evident on RHEL 5
  - PR2082: Cast should use same type as GCDrainStackTargetSize (uintx).
  - PR2096, RH1163501: 2048-bit DH upper bound too small for Fedora infrastructure
  - PR2125: Synchronise elliptic curves in sun.security.ec.NamedCurve with those listed by NSS
  - PR2179: Avoid x86 workaround when running Zero rather than a JIT
  - PR2180: Old autotools dislike $(builddir)/fsg.sh
* CACAO
  - PR2184: CACAO lacks JVM_FindClassFromCaller introduced by security patch in 1.13.5
* JamVM
  - PR2190: JamVM lacks JVM_FindClassFromCaller introduced by security patch in 1.13.5

New in release 1.13.5 (2014-10-14):

* Security fixes
  - S8015256: Better class accessibility
  - S8022783, CVE-2014-6504: Optimize C2 optimizations
  - S8035162: Service printing service
  - S8035781: Improve equality for annotations
  - S8036805: Correct linker method lookup.
  - S8036810: Correct linker field lookup
  - S8037066, CVE-2014-6457: Secure transport layer
  - S8037846, CVE-2014-6558: Ensure streaming of input cipher streams
  - S8038899: Safer safepoints
  - S8038903: More native monitor monitoring
  - S8038908: Make Signature more robust
  - S8038913: Bolster XML support
  - S8039509, CVE-2014-6512: Wrap sockets more thoroughly
  - S8039533, CVE-2014-6517: Higher resolution resolvers
  - S8041540, CVE-2014-6511: Better use of pages in font processing
  - S8041545: Better validation of generated rasters
  - S8041564, CVE-2014-6506: Improved management of logger resources
  - S8041717, CVE-2014-6519: Issue with class file parser
  - S8042609, CVE-2014-6513: Limit splashiness of splash images
  - S8042797, CVE-2014-6502: Avoid strawberries in LogRecord
  - S8044274, CVE-2014-6531: Proper property processing
* Import of OpenJDK6 b33
  - OJ37: OpenJDK6-b32 cannot be built on Windows
  - OJ39: Handle fonts with the non-canonical processing flag set
  - OJ41: OpenJDK6 should be compatible with Windows SDK 7.1
  - OJ42: Remove @Override annotation on interfaces added by 2014/10/14 security fixes.
  - S6967684: httpserver using a non thread-safe SimpleDateFormat
  - S7033534: Two tests fail just against jdk7 b136
  - S7160837: DigestOutputStream does not turn off digest calculation when "close()" is called
  - S7172149: ArrayIndexOutOfBoundsException from Signature.verify
  - S8010213: Some api/javax_net/SocketFactory tests fail in 7u25 nightly build
  - S8012637: Adjust CipherInputStream class to work in AEAD/GCM mode
  - S8028192: Use of PKCS11-NSS provider in FIPS mode broken
  - S8038000: java.awt.image.RasterFormatException: Incorrect scanline stride
  - S8039396: NPE when writing a class descriptor object to a custom ObjectOutputStream
  - S8042603: 'SafepointPollOffset' was not declared in static member function 'static bool Arguments::check_vm_args_consistency()'
  - S8042850: Extra unused entries in ICU ScriptCodes enum
  - S8052162: REGRESSION: sun/java2d/cmm/ColorConvertOp tests fail since 7u71 b01
  - S8053963: (dc) Use DatagramChannel.receive() instead of read() in connect()
* Backports
  - S4963723: Implement SHA-224
  - S6578658: Request for raw RSA (NONEwithRSA) Signature support in SunMSCAPI
  - S6753664: Support SHA256 (and higher) in SunMSCAPI
  - S7033170: Cipher.getMaxAllowedKeyLength(String) throws NoSuchAlgorithmException
  - S7044060: Need to support NSA Suite B Cryptography algorithms
  - S7106773: 512 bits RSA key cannot work with SHA384 and SHA512
  - S7180907: Jarsigner -verify fails if rsa file used sha-256 with authenticated attributes
  - S8006935: Need to take care of long secret keys in HMAC/PRF compuation
  - S8017173, PR1688: XMLCipher with RSA_OAEP Key Transport algorithm can't be instantiated
  - S8049480: Current versions of Java can't verify jars signed and timestamped with Java 9
* Bug fixes
  - PR1904: [REGRESSION] Bug reports now lack IcedTea version & distribution packaging information
  - PR1967: Move to new OpenJDK bug URL format

New in release 1.13.4 (2014-07-15):

* Security fixes
  - S8029755, CVE-2014-4209: Enhance subject class
  - S8030763: Validate global memory allocation
  - S8031346, CVE-2014-4244: Enhance RSA key handling
  - S8031540: Introduce document horizon
  - S8032536: JVM resolves wrong method in some unusual cases
  - S8033055: Issues in 2d
  - S8033301, CVE-2014-4266: Build more informative InfoBuilder
  - S8034267: Probabilistic native crash
  - S8034272: Do not cram data into CRAM arrays
  - S8035004, CVE-2014-4252: Provider provides less service
  - S8035009, CVE-2014-4218: Make Proxy representations consistent
  - S8035119, CVE-2014-4219: Fix exceptions to bytecode verification
  - S8035699, CVE-2014-4268: File choosers should be choosier
  - S8036571: (process) Process process arguments carefully
  - S8036800: Attribute OOM to correct part of code
  - S8037046: Validate libraries to be loaded
  - S8037157: Verify <init> call
  - S8037076, CVE-2014-2490: Check constant pool constants
  - S8037162, CVE-2014-4263: More robust DH exchanges
  - S8037167, CVE-2014-4216: Better method signature resolution
  - S8039520, CVE-2014-4262: More atomicity of atomic updates
* Import of OpenJDK6 b32
  - OJ32: OpenJDK6-b31 isn't compatible with Windows platform
  - OJ33: Update copyright headers introduced by the fix for OPENJDK6-32
  - OJ34: OpenJDK6-b31 backport of JDK-6638712 to openjdk6
  - OJ35: backport of JDK-6650759 to openjdk6
  - OJ36: Fix a mistake in backport of 8035119
  - S8013611: Modal dialog fails to obtain keyboard focus
  - S8013836: getFirstDayOfWeek reports wrong day for pt-BR locale
  - S8028111: XML readers share the same entity expansion counter
  - S8028285: RMI Thread can no longer call out to AWT
  - S8029038: Revise fix for XML readers share the same entity expansion counter
  - S8042582: Test java/awt/KeyboardFocusmanager/ChangeKFMTest/ChangeKFMTest.html fails on Windows x64
  - S8042590: Running form URL throws NPE
  - S8042789: org.omg.CORBA.ORBSingletonClass loading no longer uses context class loader
* Backports
  - S7027300, RH1098399: Unsynchronized HashMap access causes endless loop
  - S7183251: Netbeans editor renders text wrong on JDK 7u6 build

New in release 1.13.3 (2014-04-15):

* Security fixes
  - S8023046: Enhance splashscreen support
  - S8025005: Enhance CORBA initializations
  - S8025010, CVE-2014-2412: Enhance AWT contexts
  - S8025030, CVE-2014-2414: Enhance stream handling
  - S8025152, CVE-2014-0458: Enhance activation set up
  - S8026067: Enhance signed jar verification
  - S8026163, CVE-2014-2427: Enhance media provisioning
  - S8026188, CVE-2014-2423: Enhance envelope factory
  - S8026200: Enhance RowSet Factory
  - S8026736, CVE-2014-2398: Enhance Javadoc pages
  - S8026797, CVE-2014-0451: Enhance data transfers
  - S8026801, CVE-2014-0452: Enhance endpoint addressing
  - S8027766, CVE-2014-0453: Enhance RSA processing
  - S8027775: Enhance ICU code.
  - S8027841, CVE-2014-0429: Enhance pixel manipulations
  - S8028385: Enhance RowSet Factory
  - S8029282, CVE-2014-2403: Enhance CharInfo set up
  - S8029286: Enhance subject delegation
  - S8029699: Update Poller demo
  - S8029730: Improve audio device additions
  - S8029735: Enhance service mgmt natives
  - S8029740, CVE-2014-0446: Enhance handling of loggers
  - S8029750: Enhance LCMS color processing (LCMS 2 only)
  - S8029760, CVE-2013-6629: Enhance AWT image libraries (in-tree libjpeg)
  - S8029854, CVE-2014-2421: Enhance JPEG decodings
  - S8029858, CVE-2014-0456: Enhance array copies
  - S8030731, CVE-2014-0460: Improve name service robustness
  - S8031330: Refactor ObjectFactory
  - S8031335, CVE-2014-0459: Better color profiling (LCMS 2 only)
  - S8031352, CVE-2013-6954: Enhance PNG handling (in-tree libpng)
  - S8031394, CVE-2014-0457: (sl) Fix exception handling in ServiceLoader
  - S8031395: Enhance LDAP processing
  - S8033618, CVE-2014-1876: Correct logging output
  - S8034926, CVE-2014-2397: Attribute classes properly
  - S8036794, CVE-2014-0461: Manage JavaScript instances
* Import of OpenJDK6 b31
  - OJ27: Change summary generator can leave out last changeset
  - OJ28: Report generator should not include old changes
  - OJ30: Remove @Override annotation on interfaces added by 2014/04/15 security fixes.
  - S6680198: UnmarshalException caused by incompatible serialVersionUID
  - S6742654: Code insertion/replacement attacks against signed jars
  - S6779717: A Window does not show applet security warning icon on X platforms
  - S6785058: Parent dn't get the focus after dialog is closed if security warning is applied
  - S6799345: JFC demos threw exception in the Java Console when applets are closed
  - S6828273: javax/swing/system/6799345/TestShutdown.java test fails with RuntimeException.
  - S6867515: Reduce impact of D3D initializion on startup time
  - S6891435: Improve D3D preloading
  - S6911041: JCK api/signaturetest tests fails for Mixed Code PIT builds (b91) for all trains
  - S6921823: JarVerifier csdomain field not initialized
  - S6921839: Update trusted.libraries list
  - S6924497: HotSpotDiagnosticsMXBean.getDiagnosticOptions throws NPE
  - S6936389: FontManager.fileCloser may cause memory leak in applets
  - S6946559: AWTToolKit thread crashes in JNU_GetEnv
  - S6955783: ServiceUnavailableException caught even the secondary DNS is available
  - S6987967: D3D preloading thread should initialize COM
  - S7011446: ./windows/classes/sun/awt/windows/WToolkit.java needs to avoid spurious wakeup
  - S7015232: missing copyright header in CheckZOrderChange.java
  - S7119760: [macosx] The OpenGL queue flusher thread is created in the wrong thread group
  - S7155051: DNS provider may return incorrect results
  - S8002191: AWT-Shutdown thread does not start with the AppletSecurity on Linux
  - S8028388: 9 jaxws tests failed in nightly build with java.lang.ClassCastException
  - S8031032: SQE test failures after JDK-8025010 was fixed
  - S8031477: [macosx] Loading AWT native library fails
  - S8032370: No "Truncated file" warning from IIOReadWarningListener on JPEGImageReader
  - S8035834: InetAddress.getLocalHost() can hang after JDK-8030731 was fixed

New in release 1.13.2 (2014-03-28):

* Backports
  - S7110396: Sound code fails to build with gcc 4.6 on multiarch Linux systems
  - S8035893: JVM_GetVersionInfo fails to zero structure
  - OJ29: JDK fails to zero jdk_version_info correctly
* Bug fixes
  - PR1714, G498288: Update PaX support to detect running PaX kernel and use newer tools
  - PR1712, G455426: Allow -Werror to be turned off in the HotSpot build

New in release 1.13.1 (2014-01-22):

* Security fixes
  - S6727821: Enhance JAAS Configuration
  - S7068126, CVE-2014-0373: Enhance SNMP statuses
  - S8010935: Better XML handling
  - S8011786, CVE-2014-0368: Better applet networking
  - S8021257, CVE-2013-5896: com.sun.corba.se.** should be on restricted package list
  - S8021271, CVE-2014-0408: Better buffering in ObjC code
  - S8022904: Enhance JDBC Parsers
  - S8022927: Input validation for byte/endian conversions
  - S8022935: Enhance Apache resolver classes
  - S8022945: Enhance JNDI implementation classes
  - S8023057: Enhance start up image display
  - S8023069, CVE-2014-0411: Enhance TLS connections
  - S8023245, CVE-2014-0423: Enhance Beans decoding
  - S8023301: Enhance generic classes
  - S8023672: Enhance jar file validation
  - S8024306, CVE-2014-0416: Enhance Subject consistency
  - S8024530: Enhance font process resilience
  - S8024867: Enhance logging start up
  - S8025014: Enhance Security Policy
  - S8025018, CVE-2014-0376: Enhance JAX-P set up
  - S8025026, CVE-2013-5878: Enhance canonicalization
  - S8025034, CVE-2013-5907: Improve layout lookups
  - S8025448: Enhance listening events
  - S8025758, CVE-2014-0422: Enhance Naming management
  - S8025767, CVE-2014-0428: Enhance IIOP Streams
  - S8026172: Enhance UI Management
  - S8026176: Enhance document printing
  - S8026193, CVE-2013-5884: Enhance CORBA stub factories
  - S8026204: Enhance auth login contexts
  - S8026417, CVE-2013-5910: Enhance XML canonicalization
  - S8027201, CVE-2014-0376: Enhance JAX-P set up
* Import of OpenJDK6 b30
  - OJ24: Fix change summary generator
  - OJ25: Remove @Override annotation added on interfaces by 2014/01/14 security fixes
  - S6995424: Eliminate dependency to a deprecated API com.sun.security.auth.PolicyFile
  - S8026826: JDK 7 fix for 8010935 broke the build
  - S8027837: JDK-8021257 causes CORBA build failure on emdedded platforms
* Bug fixes
  - Fix path in nss-not-enabled-config.patch.

New in release 1.13.0 (2013-12-26):

* New features
  - PR1458: Make use of bootstrap tools & -Xbootclasspath patches optional
  - PR718: Backport LCMS2 support from IcedTea7
  - PR1288: Allow JARs to be optionally compressed by setting COMPRESS_JARS
  - PR1361: Check for /usr/lib64 JVMs and generic JPackage alternative
  - PR1376: Backport javac detection / usability test from IcedTea 2.x
  - PR1501: Backport IcedTea 2.x library removal script
  - PR1290: Ensure unlimited crypto policy is in place.
  - PR1502: Allow use of system LCMS 2
  - PR1630: Make system JPEG/Zlib/PNG/GIF support optional
* Import of OpenJDK6 b28
  - OJ1: Confirm that community members can commit to hotspot in OpenJDK6
  - OJ2: Revert unnecessary file added to hotspot repo
  - OJ4: Backport the new version of copyMemory from OpenJDK 7 to allow Snappy to build
  - OJ10: Add additional use of generics to satisfy OpenJDK 6 javac
  - OJ11: Add generics to javadoc to allow it to compile with recent backports
  - OJ12: Xalan/xerxes classes don't have access to its own internal packages
  - OJ13: Font configuration problem on RHEL6 systems
  - OJ15: Windows lacks SIZE_MAX
  - OJ16: Windows lacks variadic macros
  - OJ17: Error in Backport of Windows version of 7170730
  - OJ18: HotSpot 23's Java code won't build with a 1.5 compiler due to @Override on interfaces
  - S4965777: GC changes to support use of discovered field for pending references
  - S5091921: Sign flip issues in loop optimizer
  - S6310967: SA: jstack -m produce failures in output
  - S6330863: vm/gc/InfiniteList.java fails intermittently due to timeout
  - S6354181: nsk.logging.stress.threads.scmhml001 fails assertion in "src/share/vm/oops/instanceKlass.cpp, 111"
  - S6385687: UseFastEmptyMethods/UseFastAccessorMethods considered harmful
  - S6472925: OutOfMemoryError fails to generate stack trace as it now ought
  - S6478991: C1 NullCheckEliminator yields incorrect exceptions
  - S6484965: G1: piggy-back liveness accounting phase on marking
  - S6484982: G1: process references during evacuation pauses
  - S6512830: Error: assert(tag_at(which).is_unresolved_klass(), "Corrupted constant pool")
  - S6528013: C1 CTW failure with -XX:+VerifyOops assert(allocates2(pc),"")
  - S6535709: interrupt of wait()ing thread isn't triggerring InterruptedException - test intwait3
  - S6552561: MaxRecursiveInlineLevel flag doesn't operate correctly
  - S6564610: assert(UseCompiler || CompileTheWorld, "UseCompiler should be set by now.")
  - S6566340: Restore use of stillborn flag to signify a thread that was stopped before it started
  - S6588413: Use -fvisibility=hidden for gcc compiles
  - S6589823: Error: meet not symmetric
  - S6591247: C2 cleans up the merge point too early during SplitIf
  - S6593758: RFE: Enhance GC ergonomics to dynamically choose ParallelGCThreads
  - S6608385: G1: need to support parallel reference processing
  - S6627787: CMS: JVM refuses to start up with -Xms16m -Xmx16m
  - S6627983: G1: Bad oop deference during marking
  - S6631003: Add hg tip changeset to build image
  - S6636110: unaligned stackpointer leads to crash during deoptimization
  - S6668573: CMS: reference processing crash if ParallelCMSThreads > ParallelGCThreads
  - S6679764: enable parallel compaction by default
  - S6725983: Assertion "method->method_holder())->is_not_initialized(),"method holder must be initialized"
  - S6728025: LinkResolver is missing some ResourceMarks
  - S6741940: Nonvolatile XMM registers not preserved across JNI calls
  - S6766644: Redefinition of compiled method fails with assertion "Can not load classes with the Compiler thread"
  - S6777083: assert(target != __null,"must not be null")
  - S6789220: CMS: intermittent timeout running nsk/regression/b4796926
  - S6791672: enable 1G and larger pages on solaris
  - S6804436: G1: heap region indices should be size_t
  - S6809483: hotspot:::method_entry are not correctly generated for "method()V"
  - S6810861: G1: support -XX:+{PrintClassHistogram,HeapDump}{Before,After}FullGC
  - S6812217: Base memory of MergeMem node violates assert during killing expanded AllocateArray node
  - S6814390: G1: remove the concept of non-generational G1
  - S6817525: turn on method handle functionality by default for JSR 292
  - S6820066: Check that -XX:ParGCArrayScanChunk has a value larger than zero.
  - S6839872: remove implementation inheritance from JSR 292 APIs
  - S6841742: par compact - remove unused/unsupported options
  - S6845426: non-static <clinit> method with no args is called during the class initialization process
  - S6865265: JVM crashes with "missing exception handler" error
  - S6883834: ParNew: assert(!_g->to()->is_in_reserved(obj),"Scanning field twice?") with LargeObjects tests
  - S6888336: G1: avoid explicitly marking and pushing objects in survivor spaces
  - S6890673: Eliminate allocations immediately after EA
  - S6896099: Integrate CMS heap ergo with default heap sizing ergo
  - S6909440: C2 fails with assertion (_always_cold->is_cold(),"must always be cold")
  - S6912621: iCMS: Error: assert(_markBitMap.isMarked(addr + 1),"Missing Printezis bit?")
  - S6916968: CMS: freeList.cpp:304 assert(_allocation_stats.prevSweep() + ..., "Conservation Principle")
  - S6918185: Remove unused code for lost card-marking optimization in BacktraceBuilder
  - S6923430: G1: assert(res != 0,"This should have worked.")
  - S6924259: Remove String.count/String.offset
  - S6929868: G1: introduce min / max young gen size bounds
  - S6939861: JVM should handle more conversion operations
  - S6941923: RFE: Handling large log files produced by long running Java Applications
  - S6942326: x86 code in string_indexof() could read beyond reserved heap space
  - S6946385: G1: jstat does not support G1 GC
  - S6946417: G1: Java VisualVM does not support G1 properly.
  - S6948149: G1: Imbalance in termination times
  - S6951623: 3/3 possible performance problems in FollowReferences() and GetObjectsWithTags()
  - S6954420: 2/4 jps shows "process information unavailable" sometimes
  - S6962930: make the string table size configurable
  - S6962931: move interned strings out of the perm gen
  - S6964776: c2 should ensure the polling page is reachable on 64 bit
  - S6965570: assert(!needs_patching && x->is_loaded(),"how do we know it's volatile if it's not loaded")
  - S6972759: Step over not working after thrown exception and Pop
  - S6976060: G1: humongous object allocations should initiate marking cycles when necessary
  - S6981791: remove experimental code for JSR 292
  - S6986065: Rebrand exe/dll company names
  - S6987703: iCMS: Intermittent hang with gc/gctests/CallGC/CallGC01 and +ExplicitGCInvokesConcurrent
  - S6987991: JSR 292 phpreboot test/testtracefun2.phpr segfaults
  - S6988308: assert((cnt > 0.0f) && (prob > 0.0f)) failed: Bad frequency assignment in if
  - S6990015: Incorrect Icache line size is used for 64 bit x86
  - S6990212: JSR 292 JVMTI MethodEnter hook is not called for JSR 292 bootstrap and target methods
  - S6990754: Use native memory and reference counting to implement SymbolTable
  - S6992789: assert(phi->_idx >= nodes_size()) failed: only new Phi per instance memory slice
  - S6993078: JSR 292 too many pushes:  Lesp points into register window
  - S6994322: Remove the is_tlab and is_noref / is_large_noref parameters from the CollectedHeap
  - S6996747: SIGSEGV in nmethod::cleanup_inline_caches / CompiledIC::verify
  - S6998541: JSR 292 implement missing return-type conversion for OP_RETYPE_RAW
  - S7000125: CMS: Anti-monotone young gen sizing with respect to maximum whole heap size specification
  - S7003401: Implement VM error-reporting functionality on erroneous termination
  - S7003454: order constants in constant table by number of references in code
  - S7004535: Clone loop predicate during loop unswitch
  - S7004547: regular loop unroll should not unroll more than max unrolling
  - S7004555: Add new policy for one iteration loops
  - S7004681: G1: Extend marking verification to Full GCs
  - S7005503: Make GuaranteedSafepointInterval a diagnostic flag
  - S7005808: G1: re-enable ReduceInitialCardMarks for G1
  - S7005865: Crash when running with PrintIRWithLIR
  - S7007254: NullPointerException occurs with jvisualvm placed under a dir. including Japanese chars
  - S7007446: G1: expand the heap with a single step, not one region at a time
  - S7008809: should report the class in ArrayStoreExceptions from compiled code
  - S7008866: Missing loop predicate for loop with multiple entries
  - S7009098: SA cannot open core files larger than 2GB on Linux 32-bit
  - S7009266: G1: assert(obj->is_oop_or_null(true )) failed: Error
  - S7009276: Add -XX:+IgnoreUnrecognizedVMOptions to several tests
  - S7009309: JSR 292: compiler/6991596/Test6991596.java crashes on fastdebug JDK7/b122
  - S7009346: java/dyn/InvokeDynamicPrintArgs.java fails with NPE on solaris-sparc with -Xcomp
  - S7009361: JSR 292 Invalid value on stack on solaris-sparc with -Xcomp
  - S7009600: JSR 292 Server compiler crashes in Compile::find_intrinsic(ciMethod*, bool)
  - S7009923: JSR 292: VM crash in JavaThread::last_frame
  - S7010070: Update all 2010 Oracle-changed OpenJDK files to have the proper copyright dates - second pass
  - S7011490: Wrong computation results in Test6880034
  - S7011839: JSR 292 turn on escape analysis when using invokedynamic
  - S7011855: G1: non-product flag to artificially grow the heap
  - S7011865: JSR 292 CTW fails: !THREAD->is_Compiler_thread() failed: Can not load classes with the Compiler thre
  - S7012072: CompileTheWorld causes incorrect class initialization
  - S7012081: JSR 292: SA-JDI can't read MH/MT/Indy ConstantPool entries
  - S7012087: JSR 292 Misleading exception message for a non-bound MH for a virtual method
  - S7012088: jump to 0 address because of lack of memory ordering in SignatureHandlerLibrary::add
  - S7012339: JSR 292 crash in G1SATBCardTableModRefBS::write_ref_field_pre_work()
  - S7012648: move JSR 292 to package java.lang.invoke and adjust names
  - S7012914: JSR 292 MethodHandlesTest C1: frame::verify_return_pc(return_address) failed: must be a return pc
  - S7013347: allow crypto functions to be called inline to enhance performance
  - S7013538: Java memory leak with escape analysis
  - S7013964: openjdk LICENSE file needs rebranding
  - S7014711: Fork HS20 to HS21 - renumber Major and build numbers of JVM
  - S7014851: Remove unused parallel compaction code
  - S7014874: Incorrect COOPs modes on solaris-{sparcv9,amd64} with ParallelGC
  - S7014918: Improve core/minidump handling in Hotspot
  - S7014923: G1: code cleanup
  - S7015169: GC Cause not always set
  - S7016023: Enable building ARM and PPC from src/closed repository
  - S7016112: CMS: crash during promotion testing
  - S7016797: Hotspot: securely/restrictive load dlls and new API for loading system dlls
  - S7016881: JSR 292: JDI: sun.jvm.hotspot.utilities.AssertionFailure: index out of bounds
  - S7016998: gcutil class LinearLeastSquareFit doesn't initialize some of its fields
  - S7017008: G1: Turn on compressed oops by default.
  - S7017009: Secondary out of c-heap memory error reporting out of memory
  - S7017110: Add /SAFESEH to links on windows 32bit to verify safe exceptions
  - S7017124: Fix some VM stats to avoid 32-bit overflow
  - S7017240: C2: native memory leak in nsk/regression/b4675027 on windows-x86 in comp mode with G1
  - S7017434: Tiered needs to support reprofiling
  - S7017640: Fix for 6766644 deadlocks on some NSK tests when running with -Xcomp
  - S7017673: Remove setting of the sun.jkernel.DownloadManager as a boot classloader hook
  - S7017732: move static fields into Class to prepare for perm gen removal
  - S7017824: Add support for creating 64-bit Visual Studio projects
  - S7018257: jmm_DumpThreads allocates into permgen
  - S7018277: JSR 292 change test/compiler/6987555/Test6987555.java to new MH syntax
  - S7018286: G1: humongous allocation attempts should take the GC locker into account
  - S7018302: newly added assert related to size of constantPoolOop causes secondary assertions or crashes
  - S7018355: JSR 292: VM crash in DefNewGeneration::copy_to_survivor_space
  - S7018366: hotspot/runtime_erro Fix for 7014918 does not build using MVC 2003
  - S7018378: JSR 292: _bound_int_mh produces wrong result on 64-bit SPARC
  - S7018429: JPRT: Update Makefile to use ALT_JDK_TARGET_IMPORT_PATH for copying JDK
  - S7018506: CTW swallowing OOMs after symbol changes
  - S7018673: Zero: 6953144, 6990754 and 7009756 made some changes which broke Zero
  - S7018849: 7017124 fix broke VM build on some platforms
  - S7019104: Bump the HS21 build number to 02
  - S7019157: errorHandler doesn't compile with super old gcc without precompiled headers
  - S7019165: Incorrect symbols in pstack output after SymbolTable changes
  - S7019210: Fix misc references to /bugreport websites
  - S7019557: SharedMiscDataSize too small for 64-bit fastdebug JVM
  - S7019689: Non-dependent name is found in dependent base class although it should be rejected
  - S7019718: make error reporting flags product instead of diagnostic
  - S7019808: build fails on Fedora 14: SELinux run-time check: execution of stack in libjvm.so
  - S7019819: bare oop in ciField
  - S7020118: Alter frame assignability to allow for exception handler coverage of invokespecial <init>
  - S7020403: Add AdvancedCompilationPolicy for tiered
  - S7020521: arraycopy stubs place prebarriers incorrectly
  - S7020992: jmm_DumpThreads should not allocate system object arrays outside the perm gen
  - S7021322: assert(object_end <= top()) failed: Object crosses promotion LAB boundary
  - S7021531: lock ordering problems after fix for 6354181
  - S7021603: crash in fill_sync_handler with ExtendedDTrace probes
  - S7021653: Parfait issue in hotspot/src/share/vm/oops/methodDataOops.hpp
  - S7021953: Remove flags from globals.hpp inadvertently dragged in by 7016023
  - S7022037: Pause when exiting if debugger is attached on windows
  - S7022100: Method annotations are incorrectly set when redefining classes
  - S7022200: G1: optimized build broken
  - S7022204: LogFile wildcarding should use %p instead of star
  - S7022570: Bump the HS21 build number to 03
  - S7022659: errorHandler doesn't compile without precompiled headers
  - S7022943: G1: improve logging to avoid interleaved numbers
  - S7022998: JSR 292 recursive method handle calls inline themselves infinitely
  - S7023069: G1: Introduce symmetric locking in the slow allocation path
  - S7023151: G1: refactor the code that operates on _cur_alloc_region to be re-used for allocs by the GC threads
  - S7023229: extraneous include of precompiled.hpp in hsdis.c
  - S7023323: Build failure on VS2003: IsDebuggerPresent not found
  - S7023747: G1: too strict assert in RefineRecordRefsIntoCSCardTableEntryClosure::do_card_ptr in g1RemSet.cpp
  - S7023931: PcDescCache::find_pc_desc should not write _last_pc_desc
  - S7024234: 2/3 jvmti tests fail assert(!_oops_are_stale) failed: oops are stale on Win-AMD64
  - S7024475: loop doesn't terminate when compiled
  - S7024584: Symbol printouts shouldnt be under PrintGCDetails
  - S7024814: Bump the HS21 build number to 04
  - S7024866: #  assert(limit == NULL || limit <= nm->code_end()) failed: in bounds
  - S7024970: 2/3 assert(ServiceThread::is_service_thread(Thread::current())) failed: Service thread must post enqueue
  - S7025485: leverage shared x86-only deoptimization code
  - S7025628: Remove the temporary hack added for jdk modularization in hotspot
  - S7025708: Assertion if using "-XX:+CITraceTypeFlow -XX:+Verbose" together
  - S7025742: Can not use CodeCache::unallocated_capacity() with fragmented CodeCache
  - S7026307: DEBUG MESSAGE: broken null klass on amd64
  - S7026631: field _klass is incorrectly set for dual type of TypeAryPtr::OOPS
  - S7026700: regression in 6u24-rev-b23: Crash in C2 compiler in PhaseIdealLoop::build_loop_late_post
  - S7026932: G1: No need to abort VM when card count cache expansion fails
  - S7026957: assert(type2aelembytes(store->as_Mem()->memory_type(), true) == 1 << shift->in(2)->get_int()) failed
  - S7027232: JSR 292: wrong numeric value returned by MH on solaris-sparc
  - S7027529: CMS: retire CMSUseOldDefaults flag
  - S7027766: G1: introduce flag to dump the liveness information per region at the end of marking
  - S7028172: 3/4 SA needs to adapt to Solaris libproc change made in 6748307
  - S7028374: race in fix_oop_relocations for scavengeable nmethods
  - S7028394: Newer AMD Processor Prefetch Defaults
  - S7028846: Bump the HS21 build number to 05
  - S7029017: Additional architecture support for c2 compiler
  - S7029036: Card-table verification hangs with all framework collectors, except G1, even before the first GC
  - S7029167: add support for conditional card marks
  - S7029458: G1: Add newly-reclaimed regions to the beginning of the region free list, not the end
  - S7029509: nightly failures after static fields in Class
  - S7029805: JSR 292 compiler/6991596/Test6991596.java fails in nightly
  - S7030207: Zero tweak to remove accidentally incorporated code
  - S7030300: more nightly failures after statics in Class changes
  - S7030388: JCK test failed to reject invalid class check01304m10n.
  - S7030435: Some oop_oop_iterate_m() methods iterate outside of specified memory bounds
  - S7030715: JSR 292 JRuby test/test_super_call_site_caching.rb asserts with +DoEscapeAnalysis
  - S7031227: Bump the HS21 build number to 06
  - S7031571: Generate native VS2010 project files
  - S7031614: jmap -permstat fails with java.lang.InternalError in sun.jvm.hotspot.oops.OopField.getValue
  - S7032129: Native memory usage grow unexpectedly for vm/oom/*InternedString tests
  - S7032133: Enable sse4.2 for new AMD processors
  - S7032162: assert(flat != TypePtr::BOTTOM) failed: cannot alias-analyze an untyped ptr
  - S7032306: Fastdebug build failure on Solaris with SS11 compilers
  - S7032314: Allow to generate CallLeafNoFPNode in IdealKit
  - S7032407: Crash in LinkResolver::runtime_resolve_virtual_method()
  - S7032458: Zero and Shark fixes
  - S7032531: G1: enhance GC logging to include more accurate eden / survivor size transitions
  - S7032696: Fix for 7029152 broke VM
  - S7032775: Include Shark code in the build again
  - S7032849: 7022998 changes broke hs_err compile task print
  - S7032963: StoreCM shouldn't participate in store elimination
  - S7033100: CreateMinidumpOnCrash does not work for failed asserts
  - S7033141: assert(has_cp_cache(i)) failed: oob
  - S7033154: Improve C1 arraycopy performance
  - S7033237: Bump the HS21 build number to 07
  - S7033292: G1: nightly failure: Non-dirty cards in region that should be dirty
  - S7033669: JVM TI spec has to be changed to not contain URLS to the VM Spec
  - S7033732: C1: When calling c2 arraycopy stubs offsets and length must have clear upper 32bits
  - S7033779: CodeCache::largest_free_block may need to hold the CodeCache lock
  - S7034133: cleanup obsolete option handling
  - S7034139: G1: assert(Thread::current()->is_ConcurrentGC_thread()) failed: only a conc GC thread can call this.
  - S7034513: enable fast accessors and empty methods for ZERO and -Xint
  - S7034585: Adjust fillInStackTrace filtering to assist 6998871
  - S7034625: Product builds in Visual Studio projects should produce full symbol information
  - S7034957: acquiring lock CodeCache_lock/1 out of order with lock tty_lock/0 -- possible deadlock
  - S7034967: C1: assert(false) failed: error (assembler_sparc.cpp:2043)
  - S7035117: G1: nsk/stress/jni/jnistress002 fails with assertion failure
  - S7035144: G1: nightly failure: Non-dirty cards in region that should be dirty (failures still exist...)
  - S7035161: assert(!o->is_null_object()) failed: null object not yet handled here.
  - S7035259: Bump the HS21 build number to 08
  - S7035713: 3DNow Prefetch Instruction Support
  - S7035744: jprt no longer does open-only builds
  - S7035861: linux-armsflt: assert(ni->data() == (int)(x + o)) failed: instructions must match
  - S7035870: JSR 292: Zero support
  - S7035946: Up to 15% regression on JDK 7 b136 vs b135 on specjvm2008.crypto.rsa on x64
  - S7036021: G1: build failure on win64 and linux with hs21 in jdk6 build environment
  - S7036199: Adding a notification to the implementation of GarbageCollectorMXBeans
  - S7036220: Shark fails to find LLVM 2.9 System headers during build
  - S7036236: VM crashes assert((!inside_attrs()) || is_error_reported()) failed ...
  - S7036267: c2/arm: mark version number as experimental and disable on unsupported platforms
  - S7036482: clear argument is redundant and unused in cardtable methods
  - S7036525: Disable alternative source mechanism for OPENJDK builds
  - S7036706: G1: Use LIR_OprDesc::as_pointer_register in code changes for 7035117
  - S7036747: 7017009 reappeared, problem with ElfStringTable
  - S7036960: TemplateTable::fast_aldc in templateTable_x86_64.cpp uses movptr instead of load_klass
  - S7037174: Bump the HS21 build number to 09
  - S7037250: cscope.make database generation is silently broken
  - S7037276: Unnecessary double traversal of dirty card windows
  - S7037756: Deadlock in compiler thread similiar to 6789220
  - S7037812: few more defaults changes for new AMD processors
  - S7039044: Bump the HS21 build number to 10
  - S7039089: G1: changeset for 7037276 broke heap verification, and related cleanups
  - S7039447: 2/1 java profiling is broken in build 139 (garbage in function name)
  - S7039586: test/java/util/Collections/Rotate.java failing with hs21-b09
  - S7039627: G1: avoid BOT updates for survivor allocations and dirty survivor regions incrementally
  - S7039652: Performance regression after 7004547 changes
  - S7039731: arraycopy could use prefetch on SPARC
  - S7040068: CMS: Possibly unsafe initialization of BlockOffsetArrayUseUnallocatedBlock
  - S7040410: -Xloggc:<file> incorrectly enables TraceClassUnloading causing tracing on tty
  - S7040450: G1: assert((_g1->evacuation_failed()) || (!_g1->obj_in_cs(obj))) failed: shouldn't still be in ...
  - S7040485: Use transparent huge page on linux by default
  - S7040777: Bump the HS21 build number to 11
  - S7040779: Bump the HS21 build number to 12
  - S7040780: Bump the HS21 build number to 13
  - S7040781: Bump the HS21 build number to 14
  - S7041100: The load in String.equals intrinsic executed before null check
  - S7041156: gcc 4.6 doesn't recognise -export-dynamic option
  - S7041244: JSR 292: Server VM gets a SEGV running a JCK test
  - S7041410: 5/4 finish removing SOLARIS_7_OR_LATER from HotSpot
  - S7041440: G1: assert(obj->is_oop_or_null(true )) failed: Error #
  - S7041501: NUMA: Expand the old gen more aggressively
  - S7041582: set_mode_flags isn't called without -Xmixed specified
  - S7041603: standalone SA doesn't build after 7010849
  - S7041789: 30% perf regression with c2/arm following 7017732
  - S7042052: Xcomp crash with PopSynchronousTest
  - S7042122: JSR 292: adjust various inline thresholds for JSR 292 API methods and method handle adapters
  - S7042153: guarantee(x_compare_res != Constant::not_comparable) failed: incomparable constants in IfOp
  - S7042285: G1: native memory leak during humongous object allocation
  - S7042327: assert(opaq->outcnt() == 1 && opaq->in(1) == limit)
  - S7042740: CMS: assert(n> q) failed: Looping at: ... blockOffsetTable.cpp:557
  - S7043040: JSR292: JRuby bench/shootout/binarytrees.ruby-2.ruby SEGV: constantPoolKlass::oop_follow_contents
  - S7043298: 4/4 fix for 7028172 causes "Label too long: ..." error message
  - S7043301: assert(locals < caller->fp() || locals > (caller->fp() + 16)) failed: locals in save area
  - S7043461: VM crashes in void LinkResolver::runtime_resolve_virtual_method
  - S7043552: regression after 7042327
  - S7043564: compile warning and copyright fixes
  - S7043891: CMS: assert(_whole_heap.contains(p)) failed: out of bounds access to card marking array
  - S7043987: 3/3 JVMTI FollowReferences is slow
  - S7044486: open jdk repos have files with incorrect copyright headers, which can end up in src bundles
  - S7044725: -XX:-UnrollLimitCheck -Xcomp : Exception: String index out of range: 29488
  - S7044738: Loop unroll optimization causes incorrect result
  - S7044892: JSR 292: API entry points sometimes throw the wrong exceptions or doesn't throw the expected one
  - S7045232: G1: pool names are inconsistent with other collectors (don't have 'Space')
  - S7045330: G1: Simplify/fix the HeapRegionSeq class
  - S7045506: assert(!can_reshape || !new_phi) failed: for igvn new phi should be hooked
  - S7045513: JSR 292 inlining causes crashes in methodHandleWalk.cpp
  - S7045514: SPARC assembly code for JSR 292 ricochet frames
  - S7045515: ARM assembly code for JSR 292 ricochet frames
  - S7045570: compiler/5091921/Test7005594.java failed because not enough space for object heap
  - S7045662: G1: OopsInHeapRegionClosure::set_region() should not be virtual
  - S7045693: java/util/EnumSet/EnumSetBash.java still failing intermittently
  - S7045697: JDK7 THIRD PARTY README update
  - S7045751: G1: +ExplicitGCInvokesConcurrent causes excessive single region evacuation pauses
  - S7046096: SEGV IN C2 WITH 6U25
  - S7046182: G1: remove unnecessary iterations over the collection set
  - S7046490: Preallocated OOME objects should obey Throwable stack trace protocol
  - S7046558: G1: concurrent marking optimizations
  - S7046732: JSR 292 assert(result == cpce->f1()) failed: expected result for assembly code
  - S7046893: LP64 problem with double_quadword in c1_LIRAssembler_x86.cpp
  - S7047300: VM crashes with assert(_base == InstPtr) failed: Not an object pointer
  - S7047491: C1: registers saved incorrectly when calling checkcast_arraycopy stub
  - S7047697: MethodHandle.invokeExact call for wrong method causes VM failure if run with -Xcomp
  - S7047954: VM crashes with assert(is_Mem()) failed
  - S7047961: JSR 292 MethodHandleWalk swap args doesn't handle T_LONG and T_DOUBLE properly
  - S7048009: Update .jcheck/conf files for JDK 8
  - S7048030: is_scavengable changes causing compiler to embed more constants
  - S7048332: Cadd_cmpLTMask doesn't handle 64-bit tmp register properly
  - S7048342: CMS: eob == _limit || fc->isFree() failed: Only a free chunk should allow us to cross over the limit
  - S7048782: CMS: assert(last_chunk_index_to_check<= last_chunk_index) failed: parCardTableModRefBS.cpp:359
  - S7049385: Bump the HS21 build number to 15
  - S7049410: JSR 292 old method name MethodHandle.invokeGeneric should not be accepted by the JVM
  - S7049415: Failure of resolution of sym.reference to the c.s.s. should be wrapped in BootstrapMethodError
  - S7049928: VM crashes with "assert(_adapter != NULL) failed: must have" at methodOop.cpp:63
  - S7049999: G1: Make the G1PrintHeapRegions output consistent and complete
  - S7050280: assert(u->as_Unlock()->is_eliminated()) failed: sanity
  - S7050298: ARM: SIGSEGV in JNIHandleBlock::allocate_handle
  - S7050392: G1: Introduce flag to generate a log of the G1 ergonomic decisions
  - S7050554: JSR 292 - need optimization for selectAlternative
  - S7051189: Need to suppress info message if -xcheck:jni used with libjsig.so
  - S7051430: CMS: ongoing CMS cycle should terminate abruptly to allow prompt JVM termination at exit
  - S7051798: SA-JDI: NPE in Frame.addressOfStackSlot(Frame.java:244)
  - S7052219: JSR 292: Crash in ~BufferBlob::MethodHandles adapters
  - S7052494: Eclipse test fails on JDK 7 b142
  - S7052988: JPRT embedded builds don't set MINIMIZE_RAM_USAGE
  - S7053189: remove some unnecessary platform-dependent includes
  - S7053520: JSR292: crash in invokedynamic with C1 using tiered and compressed oops
  - S7054211: No loop unrolling done in jdk7b144 for a test update() while loop
  - S7055073: G1: code cleanup in the concurrentMark.* files
  - S7055247: Ignore test of # 7020373
  - S7055355: JSR 292: crash while throwing WrongMethodTypeException
  - S7055788: Bump the HS21 build number to 16
  - S7056328: JSR 292 invocation sometimes fails in adapters for types not on boot class path
  - S7056380: VM crashes with SIGSEGV in compiled code
  - S7057046: Add embedded license to THIRD PARTY README
  - S7057120: Tiered: Allow C1 to inline methods with loops
  - S7057556: Bump the HS21 build number to 17
  - S7057587: JSR 292 - crash with jruby in test/test_respond_to.rb
  - S7057978: improve robustness of c1 ARM back-end wrt non encodable constants
  - S7058036: FieldsAllocationStyle=2 does not work in 32-bit VM
  - S7058510: multinewarray with 6 dimensions uncommon traps in server compiler
  - S7058689: Tiered: Reprofiling doesn't happen in presence of level 4 OSR methods
  - S7059019: G1: add G1 support to the SA
  - S7059034: Use movxtod/movdtox on T4
  - S7059037: Use BIS for zeroing on T4
  - S7059039: EA: don't change non-escaping state of NULL pointer
  - S7059047: EA: can't find initializing store with several CheckCastPP
  - S7059899: Stack overflows in Java code cause 64-bit JVMs to exit due to SIGSEGV
  - S7060619: C1 should respect inline and dontinline directives from CompilerOracle
  - S7060836: RHEL 5.5 and 5.6 should support UseNUMA
  - S7060842: UseNUMA crash with UseHugreTLBFS running SPECjvm2008
  - S7061101: adlc should complain about mixing block and expression forms of ins_encode
  - S7061187: need some includes for arm/ppc
  - S7061192: option handling adjustments for oracle and embedded builds
  - S7061197: ThreadLocalStorage sp map table should be optional
  - S7061204: clean the chunk table synchronously in embedded builds
  - S7061212: use o/s low memory notification in embedded builds
  - S7061225: os::print_cpu_info() should support os-specific data
  - S7061691: Fork HS21 to HS22 - renumber Minor and build numbers of JVM
  - S7062856: Disassembler needs to be smarter about finding hsdis after 1.7 launcher changes
  - S7063628: Use cbcond on T4
  - S7063629: use cbcond in C2 generated code on T4
  - S7063674: Wrong results from basic comparisons after calls to Long.bitCount(long)
  - S7064302: JDK7 build 147 crashed after testing my java 6-compiled web app
  - S7064927: retransformClasses() does not pass in LocalVariableTable of a method
  - S7065535: Mistyped function name that disabled UseLargePages on Windows
  - S7066129: GarbageCollectorMXBean#getLastGcInfo leaks native memory
  - S7066143: JSR 292: Zero support after regressions from 7009923 and 7009309
  - S7066339: Tiered: policy should make consistent decisions about osr levels
  - S7066841: remove MacroAssembler::br_on_reg_cond() on sparc
  - S7067288: compiler regression test Test7052494 timeouts with client VM
  - S7068051: SIGSEGV in PhaseIdealLoop::build_loop_late_post
  - S7068215: G1: Print reference processing time during remark
  - S7068240: G1: Long "parallel other time" and "ext root scanning" when running specific benchmark
  - S7069176: Update the JDK version numbers in Hotspot for JDK 8
  - S7069452: Cleanup NodeFlags
  - S7069863: G1: SIGSEGV running SPECjbb2011 and -UseBiasedLocking
  - S7069991: Setup make/jprt.properties files for jdk8
  - S7070061: Adjust Hotspot make/jprt.properties for new JDK8 settings
  - S7071307: MethodHandle bimorphic inlining should consider the frequency
  - S7071311: Decoder enhancement
  - S7071427: AdapterFingerPrint can hold 8 entries per int
  - S7071653: JSR 292: call site change notification should be pushed not pulled
  - S7071709: JSR 292: switchpoint invalidation should be pushed not pulled
  - S7071823: Zero: zero/shark doesn't build after b147-fcs
  - S7071904: 4/4 HotSpot: Full Debug Symbols
  - S7072527: CMS: JMM GC counters overcount in some cases
  - S7074017: Introduce MemBarAcquireLock/MemBarReleaseLock nodes for monitor enter/exit code paths
  - S7074579: G1: JVM crash with JDK7 running ATG CRMDemo Fusion App
  - S7075559: JPRT windows_x64 build failure
  - S7075623: 6990212 broke raiseException in 64 bit
  - S7075646: G1: fix inconsistencies in the monitoring data
  - S7076831: TEST_BUG: compiler/5091921/Test7005594.java fails on LOW MEM SYSTEMS
  - S7077312: Provide a CALL effect for instruct declaration in the ad file
  - S7077439: Possible reference through NULL in loopPredicate.cpp:726
  - S7077806: ARM: java.lang.InternalError: bound subword value does not fit into the subword type
  - S7078382: JSR 292: don't count method handle adapters against inlining budgets
  - S7078465: G1: Don't use the undefined value (-1) for the G1 old memory pool max size
  - S7079317: Incorrect branch's destination block in PrintoOptoAssembly output
  - S7079329: Adjust allocation prefetching for T4
  - S7079626: x64 emits unnecessary REX prefix
  - S7079673: JSR 292: C1 should inline bytecoded method handle adapters
  - S7079769: JSR 292: incorrect size() for CallStaticJavaHandle on sparc
  - S7080389: G1: refactor marking code in evacuation pause copy closures
  - S7080431: VM asserts if specified size(x) in .ad is larger than emitted size
  - S7081064: G1: remove develop params G1FixedSurvivorSpaceSize, G1FixedTenuringThreshold, and G1FixedEdenSize
  - S7081251: bump the hs22 build number to 02
  - S7081842: assert(Compile::current()->unique() < (uint)MaxNodeLimit) failed: Node limit exceeded
  - S7081926: assert(VM_Version::supports_sse2()) failed: must support
  - S7081933: Use zeroing elimination optimization for large array
  - S7081938: JSR292: assert(magic_number_2() == MAGIC_NUMBER_2) failed
  - S7082220: Visual Studio projects broken after change 7016797: Hotspot: securely/restrictive load dlls and new
  - S7082263: Reflection::resolve_field/field_get/field_set are broken
  - S7082553: Interpret Thread.setPriority(Thread.MAX_PRIORITY) to mean FX60 on Solaris 10 and 11
  - S7082645: Hotspot doesn't compile on old linuxes after 7060836
  - S7082689: allow duplicate bug ids in jdk7u repos
  - S7082949: JSR 292: missing ResourceMark in methodOopDesc::make_invoke_method
  - S7082969: NUMA interleaving
  - S7083184: JSR 292: don't store context class argument with call site dependencies
  - S7083786: dead various dead chunks of code
  - S7083916: Bump the hs22 build number to 03
  - S7084509: G1: fix inconsistencies and mistakes in the young list target length calculations
  - S7085012: ARM: com/sun/jdi/PopSynchronousTest.java still fails
  - S7085137: -XX:+VerifyOops is broken
  - S7085279: C1 overflows code buffer with VerifyOops and CompressedOops
  - S7085404: JSR 292: VolatileCallSites should have push notification too
  - S7085860: JSR 292: implement CallSite.setTargetNormal and setTargetVolatile as native methods
  - S7085906: Replace the permgen allocated sentinelRef with a self-looped end
  - S7086226: UseNUMA fails on old versions of windows
  - S7086394: c2/arm: enable UseFPUForSpilling
  - S7086533: G1: assert(!_g1->is_obj_dead(obj)): We should not be preserving dead objs: g1CollectedHeap.cpp:3835
  - S7086560: 7085404 changes broke VM with -XX:-EnableInvokeDynamic
  - S7086585: make Java field injection more flexible
  - S7086589: bump the hs22 build number to 04
  - S7087445: Improve platform independence of JSR292 shared code
  - S7087453: PhaseChaitin::yank_if_dead() should handle MachTemp inputs
  - S7087583: Hotspot fails to allocate heap with mmap(MAP_HUGETLB)
  - S7087717: G1: make the G1PrintRegionLivenessInfo parameter diagnostic
  - S7087727: JSR 292: C2 crash if ScavengeRootsInCode=2 when "static final" MethodHandle constants are in use
  - S7087947: Add regression test for 7068051
  - S7088020: SEGV in JNIHandleBlock::release_block
  - S7088680: G1: Cleanup in the G1CollectorPolicy class
  - S7088955: add C2 IR support to the SA
  - S7088991: Bump ths hs22 build number to 05
  - S7089625: G1: policy for how many old regions to add to the CSet (when young gen is fixed) is broken
  - S7089632: assert(machtmp->outcnt() == 1) failed: expected for a MachTemp
  - S7089709: type "jushort" not found
  - S7089790: integrate bsd-port changes
  - S7090069: Java launcher hangs in infinite loop on windows when UseNUMA[Interleaving] is specified
  - S7090259: Fix hotspot sources to build with old compilers
  - S7090654: nightly failures after 7086585
  - S7090904: JSR 292: JRuby junit test crashes in PSScavengeRootsClosure::do_oop
  - S7090968: Allow adlc register class to depend on runtime conditions
  - S7090976: Eclipse/CDT causes a JVM crash while indexing C++ code
  - S7091032: G1: assert failure when NewRatio is used
  - S7091255: Bump the hs22 build number to 06
  - S7091294: disable quicksort tests
  - S7091366: re-enable quicksort tests
  - S7091417: recvfrom's 6th input should be of type socklen_t
  - S7091545: hs23 - set hotspot version & build number
  - S7091764: Tiered: enable aastore profiling
  - S7092236: java/util/EnumSet/EnumSetBash.java fails
  - S7092238: G1: Uninitialized field gc_efficiency in G1PrintRegionLivenessInfo output
  - S7092245: G1: Wrong format specifier in G1PrintRegionLivenessInfo header output
  - S7092278: "jmap -finalizerinfo" throws "sun.jvm.hotspot.utilities.AssertionFailure: invalid cp index 0 137"
  - S7092309: G1: introduce old region set
  - S7092412: G1: Some roots not marked during an initial mark that gets an evacuation failure
  - S7092712: JSR 292: unloaded invokedynamic call sites can lead to a crash with signature types not on BCP
  - S7093108: Bump the hs22 build number to 07
  - S7093690: JSR292: SA-JDI AssertionFailure: Expected raw sp likely got real sp, value was
  - S7094138: JSR 292: JRuby junit test fails in CallSite.setTargetNormal: obj->is_oop() failed: sanity check
  - S7095194: G1: HeapRegion::GrainBytes, GrainWords, and CardsPerRegion should be size_t
  - S7095236: G1: _markedRegions never contains NULL regions
  - S7095243: Disambiguate ReferenceProcessor::_discoveredSoftRefs
  - S7096010: c2: running with +PrintOptoAssembly crashes the VM when $constanttablebase is used
  - S7096016: SA build still produces "arg list too long" errors
  - S7096030: G1: PrintGCDetails enhancements
  - S7096124: Bump the hs23 build number to 02
  - S7096278: Update the VM name to indicate it is an embedded build
  - S7096366: PPC: corruption of floating-point values with DeoptimizeALot
  - S7096639: Tiered: Incorrect counter overflow handling for inlined methods
  - S7097002: G1: remove a lot of unused / redundant code from the G1CollectorPolicy class
  - S7097048: G1: extend the G1 SA changes to print per-heap space information
  - S7097053: G1: assert(da ? referent->is_oop() : referent->is_oop_or_null()) failed: referenceProcessor.cpp:1054
  - S7097516: G1: assert(0<= from_card && from_card<HeapRegion::CardsPerRegion) failed: Must be in range.
  - S7097546: Optimize use of CMOVE instructions
  - S7097586: G1: improve the per-space output when using jmap -heap
  - S7097679: Tiered: events with bad bci to Gotos reduced from Ifs
  - S7098085: G1: partially-young GCs not initiated under certain circumstances
  - S7098194: integrate macosx-port changes
  - S7098282: G1: assert(interval >= 0) failed: Sanity check, referencePolicy.cpp: 76
  - S7098528: crash with java -XX:+ExtendedDTraceProbes
  - S7099454: /bin/sh does not support syntax used in the src/os/posix/launcher/launcher.script shell script
  - S7099817: CMS: +FLSVerifyLists +FLSVerifyIndexTable asserts: odd slot non-empty, chunk not on free list
  - S7099824: G1: we should take the pending list lock before doing the remark pause
  - S7099849: G1: include heap region information in hs_err files
  - S7100165: JSR 292: leftover printing code in methodHandleWalk.cpp
  - S7100757: The BitSet.nextSetBit() produces incorrect result in 32bit VM on Sparc
  - S7100935: win32: memmove is not atomic but is used for pd_conjoint_*_atomic operations
  - S7101096: Bump the hs23 build number to 03
  - S7101102: Bump the hs22 build number to 08
  - S7101642: JSR 292: SIGSEGV in java.lang.invoke.MethodHandleImpl$FieldAccessor.getFieldI(Ljava/lang/Object;)I
  - S7102044: G1: VM crashes with assert(old_end != new_end) failed: don't call this otherwise
  - S7102191: G1: assert(_min_desired_young_length <= initial_region_num) failed: Initial young gen size too small
  - S7102323: RFE: enable Full Debug Symbols Phase 1 on Solaris
  - S7102337: Third Party License Readme updates for 7u2
  - S7102445: G1: Unnecessary Resource allocations during RSet scanning
  - S7102657: JSR 292: C1 deoptimizes unlinked invokedynamic call sites infinitely
  - S7102776: Pack instanceKlass boolean fields into single u1 field
  - S7103261: crash with jittester on sparc
  - S7103380: assertion failure with -XX:+PrintNativeNMethods
  - S7103619: Bump the hs23 build number to 04
  - S7103665: HeapWord*ParallelScavengeHeap::failed_mem_allocate(unsigned long,bool)+0x97
  - S7103784: enable some flags by default
  - S7104173: sun/tools tests fail with debug build after 7012206
  - S7104177: Tiered: -XX:+PrintCanonicalization doesn't work with -XX:+TieredCompilation
  - S7104561: UseRDPCForConstantTableBase doesn't work after shorten branches changes
  - S7104647: Adding a diagnostic command framework
  - S7104960: JSR 292: +VerifyMethodHandles in product JVM can overflow buffer
  - S7105163: CMS: some mentions of MinChunkSize should be IndexSetStart
  - S7105275: wrong tag added to jdk7u master repos
  - S7105305: assert check_method_context proper context
  - S7105364: JDK8 b10 hotspot: src/share/vm/ci/ciMethodHandle.cpp Error: Use "." or "->"
  - S7105605: Use EA info to optimize pointers compare
  - S7105611: Set::print() is broken
  - S7106024: CMS: Removed unused code for precleaning in remark phase
  - S7106092: Bump the hs23 build number to 05
  - S7106751: G1: gc/gctests/nativeGC03 crashes VM with SIGSEGV
  - S7106766: Move the precompiled header from the src/share/vm directory
  - S7106774: JSR 292: nightly test inlineMHTarget fails with wrong result
  - S7106907: 64 bit VM fails test compiler/6865265/StackOverflowBug.java
  - S7106944: assert(_pc == *pc_addr) failed may be too strong
  - S7107042: assert(no_dead_loop) failed: dead loop detected
  - S7107063: Fork hs22.1 hsx from hs22.0 for 7u3 and reinitialize build number
  - S7108242: jinfo -permstat shouldn't report interned strings as part of perm
  - S7108264: Fix for 7104173 is insufficient
  - S7108383: JSR 292: JRuby bench_define_method_methods.rb: assert(slow_jvms != NULL) failed: miss path must not
  - S7108550: Bump the hs22 build number to 09
  - S7108553: Bump the hs23 build number to 06
  - S7109887: java/util/Arrays/CopyMethods.java fails with -XX:+DeoptimizeALot
  - S7110017: is_headless_jre should be updated to reflect the new location of awt toolkit libraries
  - S7110058: change default for ScavengeRootsInCode to 2
  - S7110104: It should be possible to stop and start JMX Agent at runtime
  - S7110152: assert(size_in_words <= (julong)max_jint) failed: no overflow
  - S7110173: GCNotifier::pushNotification publishes stale data.
  - S7110190: GCCause::to_string missing case for _adaptive_size_policy
  - S7110428: Crash during HeapDump operation
  - S7110489: C1: 64-bit tiered with ForceUnreachable: assert(reachable(src)) failed: Address should be reachable
  - S7110586: C2 generates incorrect results
  - S7110718: -XX:MarkSweepAlwaysCompactCount=0 crashes the JVM
  - S7110824: ctw/jarfiles/GUI3rdParty_jar/ob_mask_DateField crashes VM
  - S7110832: ctw/.../org_apache_avalon_composition_util_StringHelper crashes the VM
  - S7111138: delete the obsolete flag -XX:+UseRicochetFrames
  - S7111795: G1: Various cleanups identified during walk through of changes for 6484965
  - S7112034: Parallel CMS fails to properly mark reference objects
  - S7112085: assert(fr.interpreter_frame_expression_stack_size()==0) failed: only handle empty stacks
  - S7112308: Fix Visual Studio build for precompiled header
  - S7112413: JVM Crash, possibly GC-related
  - S7112478: after 7105605 JRuby bench_define_method_methods.rb fails with NPE
  - S7112743: G1: Reduce overhead of marking closure during evacuation pauses
  - S7112766: Bump the hs22 build number to 10
  - S7112997: Remove obsolete code ResetObjectsClosure and VerifyUpdateClosure
  - S7113006: G1: excessive ergo output when an evac failure happens
  - S7113012: G1: rename not-fully-young GCs as "mixed"
  - S7113021: G1: automatically enable young gen size auto-tuning when -Xms==-Xmx
  - S7113503: Bump the hs23 build number to 07
  - S7113740: hotspot_version file has wrong JDK_MINOR_VER
  - S7114095: G1: assert(obj == oopDesc::load_decode_heap_oop(p)) failed: p should still be pointing to obj
  - S7114106: C1: assert(goto_state->is_same(sux_state)) failed: states must match now
  - S7114303: G1: assert(_g1->mark_in_progress()) failed: shouldn't be here otherwise
  - S7114376: Make system dictionary hashtable bucket array size configurable
  - S7115199: Add event tracing hooks and Java Flight Recorder infrastructure
  - S7116050: C2/ARM: memory stomping error with DivideMcTests
  - S7116081: USE_PRECOMPILED_HEADER=0 triggers a single threaded build of the JVM
  - S7116189: Export JVM_SetNativeThreadName from Hotspot
  - S7116216: StackOverflow GC crash
  - S7116452: Add support for AVX instructions
  - S7116462: Bump the hs21.1 build number to 02
  - S7116481: Commercial features in Hotspot must be gated by a switch
  - S7116730: Revert 7116481: Commercial features in Hotspot must be gated by a switch
  - S7116795: Tiered: enable by default for server
  - S7117052: instanceKlass::_init_state can be u1 type
  - S7117282: assert(base == NULL || t_adr->isa_rawptr() || !phase->type(base)
  - S7117303: VM uses non-monotonic time source and complains that it is non-monotonic
  - S7117389: Add a framework for vendor-specific command line switch extensions to Hotspot
  - S7117536: new hotspot build - hs23-b08
  - S7117748: SA_APPLE_BOOT_JAVA and ALWAYS_PASS_TEST_GAMMA settings should not be required on MacOS X
  - S7118202: G1: eden size unnecessarily drops to a minimum
  - S7118280: The gbyc00102 JCK7 test causes an assert in JVM 7.0 fastdebug mode
  - S7118648: disable compressed oops by default on MacOS X until 7118647 is fixed
  - S7118863: Move sizeof(klassOopDesc) into the *Klass::*_offset_in_bytes() functions
  - S7119027: G1: use atomics to update RS length / predict time of inc CSet
  - S7119286: JSR292: SIGSEGV in JNIHandleBlock::release_block(JNIHandleBlock*, Thread*)+0x3c
  - S7119294: Two command line options cause JVM to crash
  - S7119584: UseParallelGC barrier task can be overwritten.
  - S7119730: Tiered: SIGSEGV in AdvancedThresholdPolicy::is_method_profiled(methodOop)
  - S7119908: G1: Cache CSet start region for each worker for subsequent reuse
  - S7120038: G1: ParallelGCThreads==0 is broken
  - S7120448: Fix FP values for compiled frames in frame::describe
  - S7120450: complete information dumped by frame_describe
  - S7120468: SPARC/x86: use frame::describe to enhance trace_method_handle
  - S7120481: storeStore barrier in constructor with final field
  - S7120511: Add diagnostic commands
  - S7121073: secondary_super_cache memory slice has incorrect bounds in flatten_alias_type
  - S7121111: -server -Xcomp -XX:+TieredCompilation does not invoke C2 compiler
  - S7121140: Allocation paths require explicit memory synchronization operations for RMO systems
  - S7121373: Clean up CollectedHeap::is_in
  - S7121496: G1: do the per-region evacuation failure handling work in parallel
  - S7121547: G1: High number mispredicted branches while iterating over the marking bitmap
  - S7121618: Change type of number of GC workers to unsigned int.
  - S7121623: G1: always be able to reliably calculate the length of a forwarded chunked array
  - S7121648: Use 3-operands SIMD instructions on x86 with AVX
  - S7122001: new hotspot build - hs23-b09
  - S7122253: Instrumentation.retransformClasses() leaks class bytes
  - S7122880: Extend vendor-specific command interface to include manageable switches
  - S7122939: TraceBytecodes broken with UseCompressedOops
  - S7123108: C1: assert(if_state != NULL) failed: states do not match up
  - S7123165: G1: output during parallel verification can get messed up
  - S7123170: JCK vm/jvmti/ResourceExhausted/resexh001/resexh00101/ tests fails since 7u4 b02
  - S7123253: C1: in store check code, usage of registers may be incorrect
  - S7123315: instanceKlass::_static_oop_field_count and instanceKlass::_java_fields_count should be u2 type.
  - S7123386: RFE: Preserve universal builds of HotSpot on Mac OS X
  - S7123810: new hotspot build - hs23-b10
  - S7123910: Some CTW tests crash VM: is_loaded() && that->is_loaded()
  - S7123954: Some CTW test crash with SIGSEGV
  - S7124829: NUMA: memory leak on Linux with large pages
  - S7125136: SIGILL on linux amd64 in gc/ArrayJuggle/Juggle29
  - S7125281: G1: heap expansion code is replicated
  - S7125503: Compiling collectedHeap.cpp fails with -Werror=int-to-pointer-cast with g++ 4.6.1
  - S7125516: G1: ~ConcurrentMark() frees incorrectly
  - S7125594: C-heap growth issue in ThreadService::find_deadlocks_at_safepoint
  - S7125793: MAC: test_gamma should always work
  - S7125879: assert(proj != NULL) failed: must be found
  - S7125896: Eliminate nested locks
  - S7125934: Add a fast unordered timestamp capability to Hotspot on x86/x64
  - S7126041: jdk7u4 b05 and b06 crash with RubyMine 3.2.4, works well with b04
  - S7126185: Clean up lasterror handling, add os::get_last_error()
  - S7126480: Make JVM start time in milliseconds since the Java epoch available
  - S7126732: MAC: Require Mac OS X builds/tests for JPRT integrate jobs for HotSpot
  - S7127032: fix for 7122253 adds a JvmtiThreadState earlier than necessary
  - S7127706: G1: re-enable survivors during the initial-mark pause
  - S7128352: assert(obj_node == obj) failed
  - S7128355: assert(!nocreate) failed: Cannot build a phi for a block already parsed
  - S7128532: G1: Change default value of G1DefaultMaxNewGenPercent to 80
  - S7129164: JNI Get/ReleasePrimitiveArrayCritical doesn't scale
  - S7129240: backout fix for 7102776 until 7128770 is resolved
  - S7129271: G1: Interference from multiple threads in PrintGC/PrintGCDetails output
  - S7129284: +DoEscapeAnalysis regression w/ early build of 7u4 (HotSpot 23) on Linux
  - S7129401: PPC: runtime/7100935/TestShortArraycopy.java fails
  - S7129512: new hotspot build - hs23-b11
  - S7129514: time warp warnings after 7117303
  - S7129618: assert(obj_node->eqv_uncast(obj),"");
  - S7129715: MAC: SIGBUS in nsk stress test
  - S7129892: G1: explicit marking cycle initiation might fail to initiate a marking cycle
  - S7130319: C2: running with -XX:+PrintOptoAssembly crashes the VM with assert(false) failed: bad tag in log
  - S7130334: G1: Change comments and error messages that refer to CMS in g1/concurrentMark.cpp/hpp
  - S7130404: [macosx] "os.arch" value should be "x86_64" for compatibility with Apple JDK6
  - S7130476: Remove use of #ifdef TRACE_DEFINE_KLASS_TRACE_ID from klass.hpp
  - S7130676: Tiered: assert(bci == 0 || 0<= bci && bci<code_size()) during stack trace construction
  - S7130993: nsk/jdi/ReferenceType/instances/instances004 fails with JFR: assert(ServiceUtil::visible_oop(obj))
  - S7131006: java/lang/management/ThreadMXBean/ThreadLists.java
  - S7131028: Switch statement takes wrong path
  - S7131050: fix for "7071311 Decoder enhancement" does not build on MacOS X
  - S7131259: compile_method and CompilationPolicy::event shouldn't be declared TRAPS
  - S7131288: COMPILE SKIPPED: deopt handler overflow (retry at different tier)
  - S7131302: connode.cpp:205 Error: ShouldNotReachHere()
  - S7131346: Parsing of boolean arguments to diagnostic commands is broken
  - S7131791: G1: Asserts in nightly testing due to 6976060
  - S7131979: new hotspot build - hs23-b12
  - S7132029: G1: mixed GC phase lasts for longer than it should
  - S7132070: Use a mach_port_t as the OSThread thread_id rather than pthread_t on BSD/OSX
  - S7132180: JSR 292: C1 JVM crash with ClassValue/MethodHandle
  - S7132311: G1: assert((s == klass->oop_size(this)) || (Universe::heap()->is_gc_active() && ((is_typeArray()...
  - S7132398: G1: java.lang.IllegalArgumentException: Invalid threshold: 9223372036854775807 > max (1073741824)
  - S7132515: Add dcmd to manage UnlockingCommercialFeature flag
  - S7132690: InstanceKlass:_reference_type should be u1 type
  - S7132779: build-infra merge: Enable ccache to work for most developer builds.
  - S7132936: guarantee(t != NULL) failed: must be con
  - S7132945: Tiered: adjust OSR threshold of level 3
  - S7133038: G1: Some small profile based optimizations
  - S7134655: Crash in reference processing when doing single-threaded remarking
  - S7135385: new hotspot build - hs23-b13
  - S7140866: assert(covered) failed: Card for end of new region not committed
  - S7140909: Visual Studio project builds broken: need to define INCLUDE_TRACE
  - S7140924: SIGSEGV in compiled code for sun.awt.X11.XDecoratedPeer.updateMinSizeHints
  - S7140985: HSDIS does not handle caller options correctly
  - S7141059: 7116795 broke pure c2 builds
  - S7141200: log some interesting information in ring buffers for crashes
  - S7141242: build-infra merge: Rename CPP->CXX and LINK->LD
  - S7141259: Native stack is missing in hs_err
  - S7141329: Strange values of stack_size in -XX:+TraceMethodHandles output
  - S7141637: JSR 292: MH spread invoker crashes with NULL argument on x86_32
  - S7142113: Add Ivy Bridge to the known Intel x86 cpu families
  - S7142167: MAC: _get_previous_fp broken on bsd with llvm-gcc
  - S7142393: new hotspot build - hs23-b14
  - S7142586: Cannot build on Solaris 11 due to use of ia_nice
  - S7142616: MAC: Honor ALT_EXPORT_PATH overrides from JDK control builds
  - S7142641: -Xshared:on fails on ARM
  - S7142680: default GC affected by jvm path
  - S7142852: MAC: Comment out JPRT jbb tests on Mac OS X until 7142850 is resolved
  - S7143038: SIGSEGV in assert_equal / LinearScan::assign_reg_num
  - S7143061: nsk/stress/stack/b4525850 crash VM
  - S7143122: new hotspot build - hs23-b15
  - S7143491: G1 C2 CTW: assert(p2x->outcnt() == 2) failed: expects 2 users: Xor and URShift nodes
  - S7143760: Memory leak in GarbageCollectionNotifications
  - S7143766: add ALT_JDK_IMAGE_DIR and improve test_jdk
  - S7144296: PS: Optimize nmethods processing
  - S7144318: GCLocker assert failure: assert(_needs_gc || SafepointSynchronize::is_at_safepoint(
  - S7144322: new hotspot build - hs23-b16
  - S7144328: Improper commandlines for -XX:+-UnlockCommercialFeatures require proper warning/error messages
  - S7144405: JumbleGC002 assert(m->offset() == pc_offset) failed: oopmap not found
  - S7145024: Crashes in ucrypto related to C2
  - S7145243: Need additional specializations for argument parsing framework
  - S7145345: Code cache sweeper must cooperate with safepoints
  - S7145346: VerifyStackAtCalls is broken
  - S7145537: minor tweaks to LogEvents
  - S7145587: Stack overflows in Java code cause 64-bit JVMs to exit due to SIGSEGV (sparc version)
  - S7145589: First JSDT provider creation fails
  - S7145798: System.loadLibrary does not search current working directory
  - S7146343: PS invoke methods should indicate the type of gc done
  - S7146354: Re-enable Compressed OOPs after 7118647 is resolved
  - S7146442: assert(false) failed: bad AD file
  - S7146729: nightly failure after 7141200: tty is sometimes null during shutdown of main thread
  - S7147064: assert(allocates2(pc)) failed: not in CodeBuffer memory: 0xffffffff778d9d60 <= 0xffffffff778da69c
  - S7147724: G1: hang in SurrogateLockerThread::manipulatePLL
  - S7148663: new hotspot build - hs23-b17
  - S7150051: incorrect oopmap in critical native
  - S7150326: new hotspot build - hs23-b18
  - S7150390: JFR test crashed on assert(_jni_lock_count == count) failed: must be equal
  - S7150454: add release jdk7u4 to jprt.properties
  - S7151573: Fork hs23.1 hsx from hs23.0 for 7u5 and reinitialize build number
  - S7152784: new hotspot build - hs23-b19
  - S7152800: All tests using the attach API fail with "well-known file is not secure" on Mac OS X
  - S7152954: G1: Native memory leak during full GCs
  - S7154333: JVM fails to start if -XX:+AggressiveHeap is set
  - S7154677: new hotspot build - hs23-b20
  - S7154724: jdk7u4 test properties missing from jprt.properties
  - S7155453: [macosx] re-enable jbb tests in JPRT
  - S7155757: make jdk7u4 the default jprt release for hs23
  - S7156729: PPC: R_PPC_REL24 relocation error related to some libraries built without -fPIC
  - S7156960: Incorrect copyright headers in parts of the Serviceability agent
  - S7157141: crash in 64 bit with corrupted oops
  - S7157365: jruby/bench.bench_timeout crashes with JVM internal error
  - S7158067: FDS: ENABLE_FULL_DEBUG_SYMBOLS flag should only affect product builds
  - S7158116: Bump the hs23.1 build number to b02
  - S7158135: new hotspot build - hs23-b21
  - S7158457: division by zero in adaptiveweightedaverage
  - S7158807: Revise stack management with volatile call sites
  - S7159766: Tiered compilation causes performance regressions
  - S7160539: JDeveloper crashes on 64-bit Windows
  - S7162488: VM not printing unknown -XX options
  - S7163117: Agent can't connect to process on Mac OSX
  - S7163621: Bump the hs23.1 build number to b03
  - S7164344: enabling ZIP_DEBUGINFO_FILES causes unexpected test failures on Solaris and Windows
  - S7165060: dtrace tests fail with FDS debug info files
  - S7165598: enable FDS on Solaris X64 when 7165593 is fixed
  - S7165755: OS Information much longer on linux than other platforms
  - S7166498: JVM crash in ClassVerifier
  - S7167028: new hotspot build - hs23.2-b01
  - S7167142: Consider a warning when finding a .hotspotrc or .hotspot_compiler file that isn't used
  - S7167254: Crash on OSX in Enumerator.nextElement() with compressed oops
  - S7167266: missing copyright notes in 3rd party code
  - S7167406: (Zero) Fix for InvokeDynamic needed
  - S7167625: Adjustments for SE-Embedded build process
  - S7168249: new hotspot build - hs23.2-b02
  - S7169782: C2: SIGSEGV in LShiftLNode::Ideal(PhaseGVN*, bool)
  - S7170009: new hotspot build - hs23.2-b03
  - S7170145: C1 doesn't respect the JMM with volatile field loads
  - S7170197: Update JPRT default build targets to support embedded builds
  - S7170275: os::print_os_info needs to know about Windows 8
  - S7171703: JNI DefineClass crashes client VM when first parameter is NULL
  - S7171852: new hotspot build - hs23.2-b04
  - S7172708: 32/64 bit type issues on Windows after Mac OS X port
  - S7173436: new hotspot build - hs23.2-b05
  - S7173635: jprt.properties should include release jdk7u6
  - S7173959: Jvm crashed during coherence exabus (tmb) testing
  - S7174363: Arrays.copyOfRange leads to VM crash with -Xcomp -server if executed by testing framework
  - S7174510: 19 JCK compiler tests fail with C2 error: memNode.cpp:812 - ShouldNotReachHere
  - S7174928: JSR 292: unresolved invokedynamic call sites deopt and osr infinitely
  - S7175133: jinfo failed to get system properties after 6924259
  - S7175255: symlinks are wrong, which caused jdk8-promote-2 to fail (client/64/64 directories in debuginfo zips)
  - S7175516: new hotspot build - hs23.2-b06
  - S7177128: SA cannot get correct system properties after 7126277
  - S7177365: new hotspot build - hs23.2-b07
  - S7178113: build environment change
  - S7178670: runtime/7158800/BadUtf8.java fails in SymbolTable::rehash_table
  - S7179138: Incorrect result with String concatenation optimization
  - S7179194: new hotspot build - hs23.2-b08
  - S7179759: ENV: Nightly fails during jdk copiyng for solaris platforms after FDS unzipping
  - S7179908: Fork hs23.3 hsx from hs22.2 for jdk7u7 and reinitialize build number
  - S7180884: new hotspot build - hs23.2-b09
  - S7181200: JVM new hashing code breaks SA in product mode
  - S7182152: Instrumentation hot swap test incorrect monitor count
  - S7189136: Fork hs23.5 hsx from hs23.4 for jdk7u9 and reinitialize build number
  - S7198640: new hotspot build - hs23.6-b04
  - S7199488: [TEST] runtime/7158800/InternTest.java failed due to false-positive on PID match.
  - S7199645: Increment build # of hs23.5 to b02
  - S7199669: Update tags in .hgtags file for CPU release rename
  - S8000822: Fork hs23.7 hsx from hs23.6 for jdk7u11 and reinitialize build number
  - S8004175: Restricted packages added in java.security are missing in java.security-{macosx, solaris, windows}
  - S8008765: Relax bugid checks in 6-open repositories
  - S8009057: Improve MIDI event handling
  - S8009399: Bump the hsx build number for APRIL CPU
  - S8009641: OpenJDK 6 build broken via 8007675 fix
  - S8011806: 7u25-b05 hotspot fastdebug build failure
  - S8011896: Add check for invalid offset for new AccessControlContext isAuthorized field
  - S8014312: Fork hs23.25 hsx from hs23.21 for jdk7u25 and reinitialize build number
  - S8014464: Update jcheck for 6-open
* Import of OpenJDK6 b29
  - OJ23: Resolve merge issues in 8015614.
  - S8020943: Memory leak when GCNotifier uses create_from_platform_dependent_str()
  - S8023457: Event based tracing framework needs a mutex for thread groups
  - S8023478: Test fails with HS crash in GCNotifier.
* Backports
  - S7025066: Build systems changes to support SE Embedded Integration
  - S7038711: Fix CC_VER checks for compiler options, fix use of -Wno-clobber
* Bug fixes
  - PR1318: Fix automatic enabling of the Zero build on non-JIT architectures which don't use CACAO or JamVM.
  - RH902004: very bad performance with E-Porto Add-In für OpenOffice Writer installed (hs23 only)
  - RH991170: java does not use correct kerberos credential cache
  - PR1535: Allow use of system Kerberos to obtain cache location
  - PR1627: JDK check should depend on bootstrapping check
  - Fix Shark hs23 build failures (missing EliminateNestedLocks and extra argument to compile_method)
* JamVM
  - JEP171: Implement fence methods in sun.misc.Unsafe
  - sun.misc.Unsafe: additional methods get/putAddress
  - FreeClassData: adjust method count for Miranda methods
  - Fix invokesuper check in invokespecial opcode
  - Fix non-direct interpreter invokespecial super-class check
  - When GC'ing a native method don't try to free code
  - Do not free unprepared Miranda method code data
  - Set anonymous class protection domain
  - JVM_IsVMGeneratedMethodIx stub
  - Dummy implementation of sun.misc.Perf natives
  - JVM_NewMultiArray: element class may be an array
  - jtreg test java/lang/reflect/Array/ExceedMaxDim
  - OpenJDK: Fix Local/Anonymous class checks
  - classlibMarkThreadTerminated should return Object*
  - Fix race-condition in constant-pool resolution code
  - Race condition in setting up imethod table
  - GC: Minor performance improvement

New in release 1.12.7 (2013-11-21):

* Security fixes
  - S8006900, CVE-2013-3829: Add new date/time capability
  - S8008589: Better MBean permission validation
  - S8011071, CVE-2013-5780: Better crypto provider handling
  - S8011081, CVE-2013-5772: Improve jhat
  - S8011157, CVE-2013-5814: Improve CORBA portablility
  - S8012071, CVE-2013-5790: Better Building of Beans
  - S8012147: Improve tool support
  - S8012277: CVE-2013-5849: Improve AWT DataFlavor
  - S8012425, CVE-2013-5802: Transform TransformerFactory
  - S8013503, CVE-2013-5851: Improve stream factories
  - S8013506: Better Pack200 data handling
  - S8013510, CVE-2013-5809: Augment image writing code
  - S8013514: Improve stability of cmap class
  - S8013739, CVE-2013-5817: Better LDAP resource management
  - S8013744, CVE-2013-5783: Better tabling for AWT
  - S8014085: Better serialization support in JMX classes
  - S8014093, CVE-2013-5782: Improve parsing of images
  - S8014102, CVE-2013-5778: Improve image conversion
  - S8014341, CVE-2013-5803: Better service from Kerberos servers
  - S8014349, CVE-2013-5840: (cl) Class.getDeclaredClass problematic in some class loader configurations
  - S8014530, CVE-2013-5825: Better digital signature processing
  - S8014534: Better profiling support
  - S8014987, CVE-2013-5842: Augment serialization handling
  - S8015614: Update build settings
  - S8015731: Subject java.security.auth.subject to improvements
  - S8015743, CVE-2013-5774: Address internet addresses
  - S8016256: Make finalization final
  - S8016653, CVE-2013-5804: javadoc should ignore ignoreable characters in names
  - S8016675, CVE-2013-5797: Make Javadoc pages more robust
  - S8017196, CVE-2013-5850: Ensure Proxies are handled appropriately
  - S8017287, CVE-2013-5829: Better resource disposal
  - S8017291, CVE-2013-5830: Cast Proxies Aside
  - S8017298, CVE-2013-4002: Better XML support
  - S8017300, CVE-2013-5784: Improve Interface Implementation
  - S8017505, CVE-2013-5820: Better Client Service
  - S8019292: Better Attribute Value Exceptions
  - S8019617: Better view of objects
  - S8020293: JVM crash
  - S8021290, CVE-2013-5823: Better signature validation
  - S8022940: Enhance CORBA translations
  - S8023683: Enhance class file parsing
* Backports
  - S4075303: Use javap to enquire about a specific inner class
  - S4111861: static final field contents are not displayed
  - S4348375: Javap is not internationalized
  - S4459541: "javap -l" shows line numbers as signed short; they should be unsigned
  - S4501660: change diagnostic of -help as 'print this help message and exit'
  - S4501661: disallow mixing -public, -private, and -protected options at the same time
  - S4776241: unused source file in javap...
  - S4870651: javap should recognize generics, varargs, enum
  - S4876942: javap invoked without args does not print help screen
  - S4880663: javap could output whitespace between class name and opening brace
  - S4884240: additional option required for javap
  - S4893408: JPEGReader throws IllegalArgException when setting the destination to BYTE_GRAY
  - S4975569: javap doesn't print new flag bits
  - S6271787: javap dumps LocalVariableTypeTable attribute in hex, needs to print a table
  - S6305779: javap: support annotations
  - S6439940: Clean up javap implementation
  - S6469569: wrong check of searchpath in JavapEnvironment
  - S6474890: javap does not open .zip files in -classpath
  - S6563752: Build and test JDK7 with Sun Studio 12 Express compilers (prep makefiles)
  - S6587786: Javap throws error : "ERROR:Could not find <classname>" for JRE classes
  - S6622215: javap ignores certain relevant access flags
  - S6622216: javap names some attributes incorrectly
  - S6622232: javap gets whitespace confused
  - S6622260: javap prints negative bytes incorrectly in hex
  - S6631559: Registration of ImageIO plugins should not cause loading of jpeg.dlli and cmm.dll
  - S6636331: ConcurrentModificationException in AppContext code
  - S6636370: minor corrections and simplification of code in AppContext
  - S6708729: update jdk Makefiles for new javap
  - S6715767: javap on java.lang.ClassLoader crashes
  - S6729772: 64-bit build with SS12 compiler: SIGSEGV (0xb) at pc=0x0000000000000048, pid=14826, tid=2
  - S6791502: IIOException "Invalid icc profile" on jpeg after update from JDK5 to JDK6
  - S6793818: JpegImageReader is too greedy creating color profiles
  - S6799141: Build with --hash-style=both so that binaries can work on SuSE 10
  - S6816311: Changes to allow builds with latest Windows SDK 6.1 on 64bit Windows 2003
  - S6819246: improve support for decoding instructions in classfile library
  - S6824493: experimental support for additional info for instructions
  - S6840152: JVM crashes when heavyweight monitors are used
  - S6841419: classfile: add constant pool iterator
  - S6841420: classfile: add new methods to ConstantClassInfo
  - S6843013: missing files in fix for 6824493
  - S6852856: javap changes to facilitate subclassing javap for variants
  - S6867671: javap whitespace formatting issues
  - S6868539: javap should use current names for constant pool tags
  - S6888215: memory leak in jpeg plugin
  - S6893617: JDK 6 CNCtx always uses the default ORB
  - S6902264: fix indentation of tableswitch and lookupswitch
  - S6925851: Localize JRE into pt_BR
  - S6954275: XML signatures with reference data larger 16KB and cacheRef on fails to validate
  - S6974017: Upgrade required Solaris Studio compilers to 5.10 (12 update 1 + patches)
  - S6980281: SWAT: SwingSet2 got core dumped in Solaris-AMD64 using b107 swat build
  - S6989760: cmm native compiler warnings
  - S6989774: imageio compiler warnings in native code
  - S7000225: Sanity check on sane-alsa-headers is broken
  - S7013519: [parfait] Integer overflows in 2D code
  - S7018912: [parfait] potential buffer overruns in imageio jpeg
  - S7022999: Can't build with FORCE_TIERED=0
  - S7035073: Add missing timezones to TimeZoneNames_pt_BR.java
  - S7038711: Fix CC_VER checks for compiler options, fix use of -Wno-clobber
  - S7146431: java.security files out-of-sync
  - S7196533: TimeZone.getDefault() slow due to synchronization bottleneck
  - S8000450: Restrict access to com/sun/corba/se/impl package
  - S8002070: Remove the stack search for a resource bundle for Logger to use
  - S8003992: File and other classes in java.io do not handle embedded nulls properly
  - S8004188: Rename src/share/lib/security/java.security to java.security-linux
  - S8005194: [parfait] #353 sun/awt/image/jpeg/imageioJPEG.c Memory leak of pointer 'scale' allocated with calloc()
  - S8006882: Proxy generated classes in sun.proxy package breaks JMockit
  - S8010118: Annotate jdk caller sensitive methods with @sun.reflect.CallerSensitive
  - S8010727: WLS fails to add a logger with "" in its own LogManager subclass instance
  - S8010939: Deadlock in LogManager
  - S8011139: (reflect) Revise checking in getEnclosingClass
  - S8011950: java.io.File.createTempFile enters infinite loop when passed invalid data
  - S8011990: TEST_BUG: java/util/logging/bundlesearch/ResourceBundleSearchTest.java fails on Windows
  - S8012243: about 30% regression on specjvm2008.serial on 7u25 comparing 7u21
  - S8012453: (process) Runtime.exec(String) fails if command contains spaces [win]
  - S8012617: ArrayIndexOutOfBoundsException with some fonts using LineBreakMeasurer
  - S8013380: Removal of stack walk to find resource bundle breaks Glassfish startup
  - S8013827: File.createTempFile hangs with temp file starting with 'com1.4'
  - S8014469: (tz) Support tzdata2013c
  - S8014718: Netbeans IDE begins to throw a lot exceptions since 7u25 b10
  - S8014745: Provide a switch to allow stack walk search of resource bundle
  - S8015144: Performance regression in ICU OpenType Layout library
  - S8015965: (process) Typo in name of property to allow ambiguous commands
  - S8015978: Incorrect transformation of XPath expression "string(-0)"
  - S8016357: Update hotspot diagnostic class
  - S8017566: Backout 8000450 - Cannot access to com.sun.corba.se.impl.orb.ORBImpl
  - S8019584: javax/management/remote/mandatory/loading/MissingClassTest.java failed in nightly against jdk7u45: java.io.InvalidObjectException: Invalid notification: null
  - S8019969: nioNetworkChannelInet6/SetOptionGetOptionTestInet6 test case crashes
  - S8019979: Replace CheckPackageAccess test with better one from closed repo
  - S8020054: (tz) Support tzdata2013d
  - S8020983, RH976897: OutOfMemoryError caused by non garbage collected JPEGImageWriter Instances
  - S8021355: REGRESSION: Five closed/java/awt/SplashScreen tests fail since 7u45 b01 on Linux, Solaris
  - S8021366: java_util/Properties/PropertiesWithOtherEncodings fails during 7u45 nightly testing
  - S8021577: JCK test api/javax_management/jmx_serial/modelmbean/ModelMBeanNotificationInfo/serial/index.html#Input has failed since jdk 7u45 b01
  - S8021933: Add extra check for fix # JDK-8014530
  - S8021969: The index_AccessAllowed jnlp can not load successfully with exception thrown in the log.
  - S8022661: InetAddress.writeObject() performs flush() on object output stream
  - S8022682: Supporting XOM
  - S8023964: java/io/IOException/LastErrorString.java should be @ignore-d
  - S8024914: Swapped usage of idx_t and bm_word_t types in bitMap.inline.hpp
  - S8025128: File.createTempFile fails if prefix is absolute path
  - S8025255: (tz) Support tzdata2013g
  - OJ19: Fix test cases from 8010118 to work with OpenJDK 6
  - OJ20: Resolve merge issues with JAXP security fixes
  - OJ21: Remove @Override annotation added on interface by 2013/10/15 security fixes
* Bug fixes
  - PR1188: ASM Interpreter and Thumb2 JIT javac miscompile modulo reminder on armel.
  - RH995488: Java thinks that the default timezone is Busingen instead of Zurich
  - D729448: 32-bit alignment on mips and mipsel

New in release 1.11.14 (2013-11-13):

* Security fixes
  - S8006900, CVE-2013-3829: Add new date/time capability
  - S8008589: Better MBean permission validation
  - S8011071, CVE-2013-5780: Better crypto provider handling
  - S8011081, CVE-2013-5772: Improve jhat
  - S8011157, CVE-2013-5814: Improve CORBA portablility
  - S8012071, CVE-2013-5790: Better Building of Beans
  - S8012147: Improve tool support
  - S8012277: CVE-2013-5849: Improve AWT DataFlavor
  - S8012425, CVE-2013-5802: Transform TransformerFactory
  - S8013503, CVE-2013-5851: Improve stream factories
  - S8013506: Better Pack200 data handling
  - S8013510, CVE-2013-5809: Augment image writing code
  - S8013514: Improve stability of cmap class
  - S8013739, CVE-2013-5817: Better LDAP resource management
  - S8013744, CVE-2013-5783: Better tabling for AWT
  - S8014085: Better serialization support in JMX classes
  - S8014093, CVE-2013-5782: Improve parsing of images
  - S8014102, CVE-2013-5778: Improve image conversion
  - S8014341, CVE-2013-5803: Better service from Kerberos servers
  - S8014349, CVE-2013-5840: (cl) Class.getDeclaredClass problematic in some class loader configurations
  - S8014530, CVE-2013-5825: Better digital signature processing
  - S8014534: Better profiling support
  - S8014987, CVE-2013-5842: Augment serialization handling
  - S8015614: Update build settings
  - S8015731: Subject java.security.auth.subject to improvements
  - S8015743, CVE-2013-5774: Address internet addresses
  - S8016256: Make finalization final
  - S8016653, CVE-2013-5804: javadoc should ignore ignoreable characters in names
  - S8016675, CVE-2013-5797: Make Javadoc pages more robust
  - S8017196, CVE-2013-5850: Ensure Proxies are handled appropriately
  - S8017287, CVE-2013-5829: Better resource disposal
  - S8017291, CVE-2013-5830: Cast Proxies Aside
  - S8017298, CVE-2013-4002: Better XML support
  - S8017300, CVE-2013-5784: Improve Interface Implementation
  - S8017505, CVE-2013-5820: Better Client Service
  - S8019292: Better Attribute Value Exceptions
  - S8019617: Better view of objects
  - S8020293: JVM crash
  - S8021290, CVE-2013-5823: Better signature validation
  - S8022940: Enhance CORBA translations
  - S8023683: Enhance class file parsing
* Backports
  - S4075303: Use javap to enquire about a specific inner class
  - S4111861: static final field contents are not displayed
  - S4348375: Javap is not internationalized
  - S4459541: "javap -l" shows line numbers as signed short; they should be unsigned
  - S4501660: change diagnostic of -help as 'print this help message and exit'
  - S4501661: disallow mixing -public, -private, and -protected options at the same time
  - S4776241: unused source file in javap...
  - S4870651: javap should recognize generics, varargs, enum
  - S4876942: javap invoked without args does not print help screen
  - S4880663: javap could output whitespace between class name and opening brace
  - S4884240: additional option required for javap
  - S4975569: javap doesn't print new flag bits
  - S6271787: javap dumps LocalVariableTypeTable attribute in hex, needs to print a table
  - S6305779: javap: support annotations
  - S6439940: Clean up javap implementation
  - S6469569: wrong check of searchpath in JavapEnvironment
  - S6474890: javap does not open .zip files in -classpath
  - S6587786: Javap throws error : "ERROR:Could not find <classname>" for JRE classes
  - S6622215: javap ignores certain relevant access flags
  - S6622216: javap names some attributes incorrectly
  - S6622232: javap gets whitespace confused
  - S6622260: javap prints negative bytes incorrectly in hex
  - S6708729: update jdk Makefiles for new javap
  - S6715767: javap on java.lang.ClassLoader crashes
  - S6819246: improve support for decoding instructions in classfile library
  - S6824493: experimental support for additional info for instructions
  - S6841419: classfile: add constant pool iterator
  - S6841420: classfile: add new methods to ConstantClassInfo
  - S6843013: missing files in fix for 6824493
  - S6852856: javap changes to facilitate subclassing javap for variants
  - S6867671: javap whitespace formatting issues
  - S6868539: javap should use current names for constant pool tags
  - S6902264: fix indentation of tableswitch and lookupswitch
  - S6925851: Localize JRE into pt_BR
  - S6954275: XML signatures with reference data larger 16KB and cacheRef on fails to validate
  - S7035073: Add missing timezones to TimeZoneNames_pt_BR.java
  - S7146431: java.security files out-of-sync
  - S8000450: Restrict access to com/sun/corba/se/impl package
  - S8002070: Remove the stack search for a resource bundle for Logger to use
  - S8003992: File and other classes in java.io do not handle embedded nulls properly
  - S8004188: Rename src/share/lib/security/java.security to java.security-linux
  - S8006882: Proxy generated classes in sun.proxy package breaks JMockit
  - S8010118: Annotate jdk caller sensitive methods with @sun.reflect.CallerSensitive
  - S8010727: WLS fails to add a logger with "" in its own LogManager subclass instance
  - S8010939: Deadlock in LogManager
  - S8011139: (reflect) Revise checking in getEnclosingClass
  - S8011950: java.io.File.createTempFile enters infinite loop when passed invalid data
  - S8011990: TEST_BUG: java/util/logging/bundlesearch/ResourceBundleSearchTest.java fails on Windows
  - S8012243: about 30% regression on specjvm2008.serial on 7u25 comparing 7u21
  - S8012453: (process) Runtime.exec(String) fails if command contains spaces [win]
  - S8012617: ArrayIndexOutOfBoundsException with some fonts using LineBreakMeasurer
  - S8013380: Removal of stack walk to find resource bundle breaks Glassfish startup
  - S8013827: File.createTempFile hangs with temp file starting with 'com1.4'
  - S8014718: Netbeans IDE begins to throw a lot exceptions since 7u25 b10
  - S8014745: Provide a switch to allow stack walk search of resource bundle
  - S8015144: Performance regression in ICU OpenType Layout library
  - S8015965: (process) Typo in name of property to allow ambiguous commands
  - S8015978: Incorrect transformation of XPath expression "string(-0)"
  - S8016357: Update hotspot diagnostic class
  - S8017566: Backout 8000450 - Cannot access to com.sun.corba.se.impl.orb.ORBImpl
  - S8019584: javax/management/remote/mandatory/loading/MissingClassTest.java failed in nightly against jdk7u45: java.io.InvalidObjectException: Invalid notification: null
  - S8019969: nioNetworkChannelInet6/SetOptionGetOptionTestInet6 test case crashes
  - S8019979: Replace CheckPackageAccess test with better one from closed repo
  - S8021355: REGRESSION: Five closed/java/awt/SplashScreen tests fail since 7u45 b01 on Linux, Solaris
  - S8021366: java_util/Properties/PropertiesWithOtherEncodings fails during 7u45 nightly testing
  - S8021577: JCK test api/javax_management/jmx_serial/modelmbean/ModelMBeanNotificationInfo/serial/index.html#Input has failed since jdk 7u45 b01
  - S8021933: Add extra check for fix # JDK-8014530
  - S8021969: The index_AccessAllowed jnlp can not load successfully with exception thrown in the log.
  - S8022661: InetAddress.writeObject() performs flush() on object output stream
  - S8022682: Supporting XOM
  - S8023964: java/io/IOException/LastErrorString.java should be @ignore-d
  - S8024914: Swapped usage of idx_t and bm_word_t types in bitMap.inline.hpp
  - S8025128: File.createTempFile fails if prefix is absolute path
  - S8025255: (tz) Support tzdata2013g
  - OJ19: Fix test cases from 8010118 to work with OpenJDK 6
  - OJ20: Resolve merge issues with JAXP security fixes
  - OJ21: Remove @Override annotation added on interface by 2013/10/15 security fixes

New in release 1.11.13 (2013-09-06):

* Backports
  - S4893408: JPEGReader throws IllegalArgException when setting the destination to BYTE_GRAY
  - S6563752: Build and test JDK7 with Sun Studio 12 Express compilers (prep makefiles)
  - S6631559: Registration of ImageIO plugins should not cause loading of jpeg.dlli and cmm.dll
  - S6636331: ConcurrentModificationException in AppContext code
  - S6636370: minor corrections and simplification of code in AppContext
  - S6729772: 64-bit build with SS12 compiler: SIGSEGV (0xb) at pc=0x0000000000000048, pid=14826, tid=2
  - S6791502: IIOException "Invalid icc profile" on jpeg after update from JDK5 to JDK6
  - S6793818: JpegImageReader is too greedy creating color profiles
  - S6799141: Build with --hash-style=both so that binaries can work on SuSE 10
  - S6816311: Changes to allow builds with latest Windows SDK 6.1 on 64bit Windows 2003
  - S6840152: JVM crashes when heavyweight monitors are used
  - S6888215: memory leak in jpeg plugin
  - S6974017: Upgrade required Solaris Studio compilers to 5.10 (12 update 1 + patches)
  - S6980281: SWAT: SwingSet2 got core dumped in Solaris-AMD64 using b107 swat build
  - S6989760: cmm native compiler warnings
  - S6989774: imageio compiler warnings in native code
  - S7000225: Sanity check on sane-alsa-headers is broken
  - S7013519: [parfait] Integer overflows in 2D code
  - S7018912: [parfait] potential buffer overruns in imageio jpeg
  - S7022999: Can't build with FORCE_TIERED=0
  - S7038711: Fix CC_VER checks for compiler options, fix use of -Wno-clobber
  - S7196533: TimeZone.getDefault() slow due to synchronization bottleneck
  - S8005194: [parfait] #353 sun/awt/image/jpeg/imageioJPEG.c Memory leak of pointer 'scale' allocated with calloc()
  - S8014469: (tz) Support tzdata2013c
  - S8020054: (tz) Support tzdata2013d
  - S8020983, RH976897: OutOfMemoryError caused by non garbage collected JPEGImageWriter Instances
* Bug fixes
  - PR1188: ASM Interpreter and Thumb2 JIT javac miscompile modulo reminder on armel.
  - RH995488: Java thinks that the default timezone is Busingen instead of Zurich

New in release 1.12.6 (2013-07-10):

* Security fixes
  - S6741606, CVE-2013-2407: Integrate Apache Santuario
  - S7158805, CVE-2013-2445: Better rewriting of nested subroutine calls
  - S7170730, CVE-2013-2451: Improve Windows network stack support.
  - S8000638, CVE-2013-2450: Improve deserialization
  - S8000642, CVE-2013-2446: Better handling of objects for transportation
  - S8001032: Restrict object access
  - S8001033, CVE-2013-2452: Refactor network address handling in virtual machine identifiers
  - S8001034, CVE-2013-1500: Memory management improvements
  - S8001038, CVE-2013-2444: Resourcefully handle resources
  - S8001043: Clarify definition restrictions
  - S8001309: Better handling of annotation interfaces
  - S8001318, CVE-2013-2447: Socket.getLocalAddress not consistent with InetAddress.getLocalHost
  - S8001330, CVE-2013-2443: Improve on checking order
  - S8003703, CVE-2013-2412: Update RMI connection dialog box
  - S8004584: Augment applet contextualization
  - S8005007: Better glyph processing
  - S8006328, CVE-2013-2448: Improve robustness of sound classes
  - S8006611: Improve scripting
  - S8007467: Improve robustness of JMX internal APIs
  - S8007471: Improve MBean notifications
  - S8007812, CVE-2013-2455: (reflect) Class.getEnclosingMethod problematic for some classes
  - S8008120, CVE-2013-2457: Improve JMX class checking
  - S8008124, CVE-2013-2453: Better compliance testing
  - S8008128: Better API coherence for JMX
  - S8008132, CVE-2013-2456: Better serialization support
  - S8008585: Better JMX data handling
  - S8008593: Better URLClassLoader resource management
  - S8008603: Improve provision of JMX providers
  - S8008611: Better handling of annotations in JMX
  - S8008615: Improve robustness of JMX internal APIs
  - S8008623: Better handling of MBeanServers
  - S8008744, CVE-2013-2407: Rework part of fix for JDK-6741606
  - S8008982: Adjust JMX for underlying interface changes
  - S8009004: Better implementation of RMI connections
  - S8009013: Better handling of T2K glyphs
  - S8009034: Improve resulting notifications in JMX
  - S8009038: Improve JMX notification support
  - S8009067: Improve storing keys in KeyStore
  - S8009071, CVE-2013-2459: Improve shape handling
  - S8009235: Improve handling of TSA data
  - S8011243, CVE-2013-2470: Improve ImagingLib
  - S8011248, CVE-2013-2471: Better Component Rasters
  - S8011253, CVE-2013-2472: Better Short Component Rasters
  - S8011257, CVE-2013-2473: Better Byte Component Rasters
  - S8012375, CVE-2013-1571: Improve Javadoc framing
  - S8012421: Better positioning of PairPositioning
  - S8012438, CVE-2013-2463: Better image validation
  - S8012597, CVE-2013-2465: Better image channel verification
  - S8012601, CVE-2013-2469: Better validation of image layouts
  - S8014281, CVE-2013-2461: Better checking of XML signature
  - S8015997: Additional improvement in Javadoc framing
* Backports
  - S6469266: Integrate Apache XMLSec 1.4.2 into JDK 7
  - S6541350: TimeZone display names localization
  - S6656651: Windows Look and Feel LCD glyph images have some differences from native applications.
  - S6786028: Javadoc HTML WCAG 2.0 accessibility issues in standard doclet - Bold tags should be strong
  - S6786682: Javadoc HTML WCAG 2.0 accessibility issues in standard doclet - HTML tag should have lang attribute
  - S6786688: Javadoc HTML WCAG 2.0 accessibility issues in standard doclet - Table must have captions and headers
  - S6786690: Javadoc HTML WCAG 2.0 accessibility issues in standard doclet - DL tag and nesting issue
  - S6802694: Javadoc doclet does not display deprecated information with -nocomment option for serialized form
  - S6821191: Timezone display name localization
  - S6851834: Javadoc doclet needs a structured approach to generate the output HTML.
  - S6888167: memory leaks in the medialib glue code
  - S6961178: Allow doclet.xml to contain XML attributes
  - S6977550: (tz) Support tzdata2010l
  - S6996686: (tz) Support tzdata2010o
  - S7006270: Several javadoc regression tests are failing on windows
  - S7017800: (tz) Support tzdata2011b
  - S7027387: (tz) Support tzdata2011d
  - S7033174: (tz) Support tzdata2011e
  - S7039469: (tz) Support tzdata2011g
  - S7090843: (tz) Support tzdata2011j
  - S7103108: (tz) Support tzdata2011l
  - S7103405: Correct display names for Pacific/Apia timezone
  - S7104126: Insert openjdk copyright header back into TZdata files
  - S7158483: (tz) Support tzdata2012c
  - S7171223: Building ExtensionSubtables.cpp should use -fno-strict-aliasing
  - S7198570: (tz) Support tzdata2012f
  - S7195301: XML Signature DOM implementation should not use instanceof to determine type of Node
  - S8002225: (tz) Support tzdata2012i
  - S8009165: Fix for 8006435 needs revision
  - S8009217: REGRESSION: test com/sun/org/apache/xml/internal/security/transforms/ClassLoaderTest.java fails to compile since 7u21b03
  - S8009530: ICU Kern table support broken
  - S8009610: Blacklist certificate used with malware.
  - S8009987: (tz) Support tzdata2013b
  - S8009996: tests javax/management/mxbean/MiscTest.java and javax/management/mxbean/StandardMBeanOverrideTest.java fail
  - S8010714: XML DSig API allows a RetrievalMethod to reference another RetrievalMethod
  - S8010727: WLS fails to add a logger with "" in its own LogManager subclass instance
  - S8010939: Deadlock in LogManager
  - S8011154: java/awt/Frame/ShapeNotSetSometimes/ShapeNotSetSometimes.java failed since 7u25b03 on windows
  - S8011557: Improve reflection utility classes
  - S8011992: java/awt/image/mlib/MlibOpsTest.java failed since jdk7u25b05
  - S8012112: java/awt/image/mlib/MlibOpsTest.java fails on sparc solaris
  - S8012617: ArrayIndexOutOfBoundsException with some fonts using LineBreakMeasurer
  - S8012933: Test closed/java/awt/Dialog/DialogAnotherThread/JaWSTest.java fails since jdk 7u25 b07
  - S8013196: TimeZone.getDefault() throws NPE due to sun.awt.AppContext.getAppContext()
  - S8014427: REGRESSION: closed/javax/imageio/plugins/bmp/Write3ByteBgrTest.java fails since 7u25 b09
  - S8014718: Netbeans IDE begins to throw a lot exceptions since 7u25 b10

New in release 1.11.12 (2013-07-10):

* Security fixes
  - S6741606, CVE-2013-2407: Integrate Apache Santuario
  - S7158805, CVE-2013-2445: Better rewriting of nested subroutine calls
  - S7170730, CVE-2013-2451: Improve Windows network stack support.
  - S8000638, CVE-2013-2450: Improve deserialization
  - S8000642, CVE-2013-2446: Better handling of objects for transportation
  - S8001032: Restrict object access
  - S8001033, CVE-2013-2452: Refactor network address handling in virtual machine identifiers
  - S8001034, CVE-2013-1500: Memory management improvements
  - S8001038, CVE-2013-2444: Resourcefully handle resources
  - S8001043: Clarify definition restrictions
  - S8001309: Better handling of annotation interfaces
  - S8001318, CVE-2013-2447: Socket.getLocalAddress not consistent with InetAddress.getLocalHost
  - S8001330, CVE-2013-2443: Improve on checking order
  - S8003703, CVE-2013-2412: Update RMI connection dialog box
  - S8004584: Augment applet contextualization
  - S8005007: Better glyph processing
  - S8006328, CVE-2013-2448: Improve robustness of sound classes
  - S8006611: Improve scripting
  - S8007467: Improve robustness of JMX internal APIs
  - S8007471: Improve MBean notifications
  - S8007812, CVE-2013-2455: (reflect) Class.getEnclosingMethod problematic for some classes
  - S8008120, CVE-2013-2457: Improve JMX class checking
  - S8008124, CVE-2013-2453: Better compliance testing
  - S8008128: Better API coherence for JMX
  - S8008132, CVE-2013-2456: Better serialization support
  - S8008585: Better JMX data handling
  - S8008593: Better URLClassLoader resource management
  - S8008603: Improve provision of JMX providers
  - S8008611: Better handling of annotations in JMX
  - S8008615: Improve robustness of JMX internal APIs
  - S8008623: Better handling of MBeanServers
  - S8008744, CVE-2013-2407: Rework part of fix for JDK-6741606
  - S8008982: Adjust JMX for underlying interface changes
  - S8009004: Better implementation of RMI connections
  - S8009013: Better handling of T2K glyphs
  - S8009034: Improve resulting notifications in JMX
  - S8009038: Improve JMX notification support
  - S8009067: Improve storing keys in KeyStore
  - S8009071, CVE-2013-2459: Improve shape handling
  - S8009235: Improve handling of TSA data
  - S8011243, CVE-2013-2470: Improve ImagingLib
  - S8011248, CVE-2013-2471: Better Component Rasters
  - S8011253, CVE-2013-2472: Better Short Component Rasters
  - S8011257, CVE-2013-2473: Better Byte Component Rasters
  - S8012375, CVE-2013-1571: Improve Javadoc framing
  - S8012421: Better positioning of PairPositioning
  - S8012438, CVE-2013-2463: Better image validation
  - S8012597, CVE-2013-2465: Better image channel verification
  - S8012601, CVE-2013-2469: Better validation of image layouts
  - S8014281, CVE-2013-2461: Better checking of XML signature
  - S8015997: Additional improvement in Javadoc framing
* Backports
  - S6469266: Integrate Apache XMLSec 1.4.2 into JDK 7
  - S6541350: TimeZone display names localization
  - S6656651: Windows Look and Feel LCD glyph images have some differences from native applications.
  - S6786028: Javadoc HTML WCAG 2.0 accessibility issues in standard doclet - Bold tags should be strong
  - S6786682: Javadoc HTML WCAG 2.0 accessibility issues in standard doclet - HTML tag should have lang attribute
  - S6786688: Javadoc HTML WCAG 2.0 accessibility issues in standard doclet - Table must have captions and headers
  - S6786690: Javadoc HTML WCAG 2.0 accessibility issues in standard doclet - DL tag and nesting issue
  - S6802694: Javadoc doclet does not display deprecated information with -nocomment option for serialized form
  - S6821191: Timezone display name localization
  - S6851834: Javadoc doclet needs a structured approach to generate the output HTML.
  - S6888167: memory leaks in the medialib glue code
  - S6961178: Allow doclet.xml to contain XML attributes
  - S6977550: (tz) Support tzdata2010l
  - S6996686: (tz) Support tzdata2010o
  - S7006270: Several javadoc regression tests are failing on windows
  - S7017800: (tz) Support tzdata2011b
  - S7027387: (tz) Support tzdata2011d
  - S7033174: (tz) Support tzdata2011e
  - S7039469: (tz) Support tzdata2011g
  - S7090843: (tz) Support tzdata2011j
  - S7103108: (tz) Support tzdata2011l
  - S7103405: Correct display names for Pacific/Apia timezone
  - S7104126: Insert openjdk copyright header back into TZdata files
  - S7158483: (tz) Support tzdata2012c
  - S7171223: Building ExtensionSubtables.cpp should use -fno-strict-aliasing
  - S7198570: (tz) Support tzdata2012f
  - S7195301: XML Signature DOM implementation should not use instanceof to determine type of Node
  - S8002225: (tz) Support tzdata2012i
  - S8009165: Fix for 8006435 needs revision
  - S8009217: REGRESSION: test com/sun/org/apache/xml/internal/security/transforms/ClassLoaderTest.java fails to compile since 7u21b03
  - S8009530: ICU Kern table support broken
  - S8009610: Blacklist certificate used with malware.
  - S8009987: (tz) Support tzdata2013b
  - S8009996: tests javax/management/mxbean/MiscTest.java and javax/management/mxbean/StandardMBeanOverrideTest.java fail
  - S8010714: XML DSig API allows a RetrievalMethod to reference another RetrievalMethod
  - S8010727: WLS fails to add a logger with "" in its own LogManager subclass instance
  - S8010939: Deadlock in LogManager
  - S8011154: java/awt/Frame/ShapeNotSetSometimes/ShapeNotSetSometimes.java failed since 7u25b03 on windows
  - S8011557: Improve reflection utility classes
  - S8011992: java/awt/image/mlib/MlibOpsTest.java failed since jdk7u25b05
  - S8012112: java/awt/image/mlib/MlibOpsTest.java fails on sparc solaris
  - S8012617: ArrayIndexOutOfBoundsException with some fonts using LineBreakMeasurer
  - S8012933: Test closed/java/awt/Dialog/DialogAnotherThread/JaWSTest.java fails since jdk 7u25 b07
  - S8013196: TimeZone.getDefault() throws NPE due to sun.awt.AppContext.getAppContext()
  - S8014427: REGRESSION: closed/javax/imageio/plugins/bmp/Write3ByteBgrTest.java fails since 7u25 b09
  - S8014718: Netbeans IDE begins to throw a lot exceptions since 7u25 b10

New in release 1.12.5 (2013-04-24):

* New features
  - JAXP, JAXWS & JAF supplied as patches rather than drops to aid subsequent patching.
  - PR1380: Add AArch64 support to Zero
* Security fixes
  - S6657673, CVE-2013-1518: Issues with JAXP
  - S7200507: Refactor Introspector internals
  - S8000724, CVE-2013-2417: Improve networking serialization
  - S8001031, CVE-2013-2419: Better font processing
  - S8001040, CVE-2013-1537: Rework RMI model
  - S8001322: Refactor deserialization
  - S8001329, CVE-2013-1557: Augment RMI logging
  - S8003335: Better handling of Finalizer thread
  - S8003445: Adjust JAX-WS to focus on API
  - S8003543, CVE-2013-2415: Improve processing of MTOM attachments
  - S8004261: Improve input validation
  - S8004336, CVE-2013-2431: Better handling of method handle intrinsic frames
  - S8004986, CVE-2013-2383: Better handling of glyph table
  - S8004987, CVE-2013-2384: Improve font layout
  - S8004994, CVE-2013-1569: Improve checking of glyph table
  - S8005432: Update access to JAX-WS
  - S8005943: (process) Improved Runtime.exec
  - S8006309: More reliable control panel operation
  - S8006435, CVE-2013-2424: Improvements in JMX
  - S8006790: Improve checking for windows
  - S8006795: Improve font warning messages
  - S8007406: Improve accessibility of AccessBridge
  - S8007617, CVE-2013-2420: Better validation of images
  - S8007667, CVE-2013-2430: Better image reading
  - S8007918, CVE-2013-2429: Better image writing
  - S8009063, CVE-2013-2426: Improve reliability of ConcurrentHashMap
  - S8009305, CVE-2013-0401: Improve AWT data transfer
  - S8009699, CVE-2013-2421: Methodhandle lookup
  - S8009814, CVE-2013-1488: Better driver management
  - S8009857, CVE-2013-2422: Problem with plugin
  - RH952389: Temporary files created with insecure permissions
* Backports
  - S7197906: BlockOffsetArray::power_to_cards_back() needs to handle > 32 bit shifts
  - S7036559: ConcurrentHashMap footprint and contention improvements
  - S5102804: Memory leak in Introspector.getBeanInfo(Class) for custom BeanInfo: Class param (with WeakCache from S6397609)
  - S6501644: sync LayoutEngine *code* structure to match ICU
  - S6886358: layout code update
  - S6963811: Deadlock-prone locking changes in Introspector
  - S7017324: Kerning crash in JDK 7 since ICU layout update
  - S7064279: Introspector.getBeanInfo() should release some resources in timely manner
  - S8004302: javax/xml/soap/Test7013971.java fails since jdk6u39b01
  - S7133220: Additional patches to JAXP 1.4.5 update 1 for 7u4 (partial for S6657673)
  - S8009530: ICU Kern table support broken
* Bug fixes
  - OJ3: Fix get_stack_bounds memory leak (alternate fix for S7017193)
  - PR1362: Fedora 19 / rawhide FTBFS SIGILL
  - PR1338: Remove dependence on libXp
  - PR1339: Simplify the rhino class rewriter to avoid use of concurrency
  - PR1336: Bootstrap failure on Fedora 17/18
  - PR1319: Correct #ifdef to #if
  - PR1402: Support glibc < 2.17 with AArch64 patch
  - Give xalan/xerces access to their own internal packages.

New in release 1.11.11 (2013-04-24):

* Security fixes
  - RH952389: Temporary files created with insecure permissions
* Backports
  - S7133220: Additional patches to JAXP 1.4.5 update 1 for 7u4 (partial for S6657673)
  - S6657673: Issues with JAXP (include fragment dependent on S7133220)
  - S8009530: ICU Kern table support broken
* Bug fixes
  - PR1402: Support glibc < 2.17 with AArch64 patch
  - Give xalan/xerces access to their own internal packages.

New in release 1.11.10 (2013-04-17):

* New features
  - JAXP, JAXWS & JAF supplied as patches rather than drops to aid subsequent patching.
  - PR1380: Add AArch64 support to Zero
* Security fixes
  - S6657673, CVE-2013-1518: Issues with JAXP
  - S7200507: Refactor Introspector internals
  - S8000724, CVE-2013-2417: Improve networking serialization
  - S8001031, CVE-2013-2419: Better font processing
  - S8001040, CVE-2013-1537: Rework RMI model
  - S8001322: Refactor deserialization
  - S8001329, CVE-2013-1557: Augment RMI logging
  - S8003335: Better handling of Finalizer thread
  - S8003445: Adjust JAX-WS to focus on API
  - S8003543, CVE-2013-2415: Improve processing of MTOM attachments
  - S8004261: Improve input validation
  - S8004336, CVE-2013-2431: Better handling of method handle intrinsic frames
  - S8004986, CVE-2013-2383: Better handling of glyph table
  - S8004987, CVE-2013-2384: Improve font layout
  - S8004994, CVE-2013-1569: Improve checking of glyph table
  - S8005432: Update access to JAX-WS
  - S8005943: (process) Improved Runtime.exec
  - S8006309: More reliable control panel operation
  - S8006435, CVE-2013-2424: Improvements in JMX
  - S8006790: Improve checking for windows
  - S8006795: Improve font warning messages
  - S8007406: Improve accessibility of AccessBridge
  - S8007617, CVE-2013-2420: Better validation of images
  - S8007667, CVE-2013-2430: Better image reading
  - S8007918, CVE-2013-2429: Better image writing
  - S8009063, CVE-2013-2426: Improve reliability of ConcurrentHashMap
  - S8009305, CVE-2013-0401: Improve AWT data transfer
  - S8009699, CVE-2013-2421: Methodhandle lookup
  - S8009814, CVE-2013-1488: Better driver management
  - S8009857, CVE-2013-2422: Problem with plugin
* Backports
  - S7197906: BlockOffsetArray::power_to_cards_back() needs to handle > 32 bit shifts
  - S7036559: ConcurrentHashMap footprint and contention improvements
  - S5102804: Memory leak in Introspector.getBeanInfo(Class) for custom BeanInfo: Class param (with WeakCache from S6397609)
  - S6501644: sync LayoutEngine *code* structure to match ICU
  - S6886358: layout code update
  - S6963811: Deadlock-prone locking changes in Introspector
  - S7017324: Kerning crash in JDK 7 since ICU layout update
  - S7064279: Introspector.getBeanInfo() should release some resources in timely manner
  - S8004302: javax/xml/soap/Test7013971.java fails since jdk6u39b01
* Bug fixes
  - OJ3: Fix get_stack_bounds memory leak (alternate fix for S7017193)
  - PR1362: Fedora 19 / rawhide FTBFS SIGILL
  - PR1319: Correct #ifdef to #if
  - PR1339: Simplify the rhino class rewriter to avoid use of concurrency

New in release 1.12.4 (2013-03-04):

* Security fixes
  - S8007014, CVE-2013-0809: Improve image handling
  - S8007675, CVE-2013-1493: Improve color conversion

New in release 1.11.9 (2013-03-04):

* Security fixes
  - S8007014, CVE-2013-0809: Improve image handling
  - S8007675, CVE-2013-1493: Improve color conversion

New in release 1.12.3 (2013-02-19):

* Security fixes
  - S8006446, CVE-2013-1486: Restrict MBeanServer access
  - S8006777, CVE-2013-0169: Improve TLS handling of invalid messages
  - S8007688: Blacklist known bad certificate
* Backports
  - S8007393: Possible race condition after JDK-6664509
  - S8007611: logging behavior in applet changed
* Bug fixes
  - PR1319: Support GIF lib v5.

New in release 1.11.8 (2013-02-19):

* Security fixes
  - S8006446, CVE-2013-1486: Restrict MBeanServer access
  - S8006777, CVE-2013-0169: Improve TLS handling of invalid messages
  - S8007688: Blacklist known bad certificate
* Backports
  - S7123519: problems with certification path
  - S8007393: Possible race condition after JDK-6664509
  - S8007611: logging behavior in applet changed
* Bug fixes
  - PR1319: Support GIF lib v5.

New in release 1.12.2 (2013-02-11):

* Backports
  - S8004341: Two JCK tests fails with 7u11 b06
  - S8005615: Java Logger fails to load tomcat logger implementation (JULI)
* Bug fixes
  - PR1297: cacao and jamvm parallel unpack failures
  - PR1301: PR1171 causes builds of Zero to fail

New in release 1.11.7 (2013-02-11):

* Backports
  - S8004341: Two JCK tests fails with 7u11 b06
  - S8005615: Java Logger fails to load tomcat logger implementation (JULI)
* Bug fixes
  - PR1297: cacao and jamvm parallel unpack failures

New in release 1.12.1 (2013-02-04):

* Security fixes
  - S6563318, CVE-2013-0424: RMI data sanitization
  - S6664509, CVE-2013-0425: Add logging context
  - S6664528, CVE-2013-0426: Find log level matching its name or value given at construction time
  - S6776941: CVE-2013-0427: Improve thread pool shutdown
  - S7141694, CVE-2013-0429: Improving CORBA internals
  - S7173145: Improve in-memory representation of splashscreens
  - S7186945: Unpack200 improvement
  - S7186946: Refine unpacker resource usage
  - S7186948: Improve Swing data validation
  - S7186952, CVE-2013-0432: Improve clipboard access
  - S7186954: Improve connection performance
  - S7186957: Improve Pack200 data validation
  - S7192392, CVE-2013-0443: Better validation of client keys
  - S7192393, CVE-2013-0440: Better Checking of order of TLS Messages
  - S7192977, CVE-2013-0442: Issue in toolkit thread
  - S7197546, CVE-2013-0428: (proxy) Reflect about creating reflective proxies
  - S7200491: Tighten up JTable layout code
  - S7200500: Launcher better input validation
  - S7201064: Better dialogue checking
  - S7201066, CVE-2013-0441: Change modifiers on unused fields
  - S7201068, CVE-2013-0435: Better handling of UI elements
  - S7201070: Serialization to conform to protocol
  - S7201071, CVE-2013-0433: InetSocketAddress serialization issue
  - S8000210: Improve JarFile code quality
  - S8000537, CVE-2013-0450: Contextualize RequiredModelMBean class
  - S8000540, CVE-2013-1475: Improve IIOP type reuse management
  - S8000631, CVE-2013-1476: Restrict access to class constructor
  - S8001235, CVE-2013-0434: Improve JAXP HTTP handling
  - S8001242: Improve RMI HTTP conformance
  - S8001307: Modify ACC_SUPER behavior
  - S8001972, CVE-2013-1478: Improve image processing
  - S8002325, CVE-2013-1480: Improve management of images
* Backports
  - S7010849: 5/5 Extraneous javac source/target options when building sa-jdi

New in release 1.11.6 (2012-02-03):

* Security fixes
  - S6563318, CVE-2013-0424: RMI data sanitization
  - S6664509, CVE-2013-0425: Add logging context
  - S6664528, CVE-2013-0426: Find log level matching its name or value given at construction time
  - S6776941: CVE-2013-0427: Improve thread pool shutdown
  - S7141694, CVE-2013-0429: Improving CORBA internals
  - S7173145: Improve in-memory representation of splashscreens
  - S7186945: Unpack200 improvement
  - S7186946: Refine unpacker resource usage
  - S7186948: Improve Swing data validation
  - S7186952, CVE-2013-0432: Improve clipboard access
  - S7186954: Improve connection performance
  - S7186957: Improve Pack200 data validation
  - S7192392, CVE-2013-0443: Better validation of client keys
  - S7192393, CVE-2013-0440: Better Checking of order of TLS Messages
  - S7192977, CVE-2013-0442: Issue in toolkit thread
  - S7197546, CVE-2013-0428: (proxy) Reflect about creating reflective proxies
  - S7200491: Tighten up JTable layout code
  - S7200500: Launcher better input validation
  - S7201064: Better dialogue checking
  - S7201066, CVE-2013-0441: Change modifiers on unused fields
  - S7201068, CVE-2013-0435: Better handling of UI elements
  - S7201070: Serialization to conform to protocol
  - S7201071, CVE-2013-0433: InetSocketAddress serialization issue
  - S8000210: Improve JarFile code quality
  - S8000537, CVE-2013-0450: Contextualize RequiredModelMBean class
  - S8000540, CVE-2013-1475: Improve IIOP type reuse management
  - S8000631, CVE-2013-1476: Restrict access to class constructor
  - S8001235, CVE-2013-0434: Improve JAXP HTTP handling
  - S8001242: Improve RMI HTTP conformance
  - S8001307: Modify ACC_SUPER behavior
  - S8001972, CVE-2013-1478: Improve image processing
  - S8002325, CVE-2013-1480: Improve management of images
* Backports
  - S7010849: 5/5 Extraneous javac source/target options when building sa-jdi

New in release 1.12.0 (2013-01-29):

* Import of OpenJDK6 b27 (all changes already in security updates)
* Import of OpenJDK6 b26
  - S7071826: Avoid benign race condition in initialization of UUID
  - S7123896: Unexpected behavior due to Solaris using separate IPv4 and IPv6 port spaces
  - S7142509: Cipher.doFinal(ByteBuffer,ByteBuffer) fails to process when in.remaining() == 0
  - S7157903: JSSE client sockets are very slow
  - S7174440: JDK6-open build breakage
  - S7175845: JSSE client sockets are very slow
  - S7176477: TEST: Remove testcase test/java/lang/SecurityManager/CheckPackageDefinition.java from jdk6-open
  - S7184700: Backout changes with wrong id for 7157903
  - S7199153: TEST_BUG: try-with-resources syntax pushed to 6-open repo
* Import of OpenJDK6 b25
  - S6790292: BOOTDIR of jdk6 u12 will not work with jdk7 builds
  - S6967036: Need to fix links with // in Javadoc comments
  - S7007299: FileFontStrike appears not to be threadsafe
  - S7022473: JDK7 still runs /etc/prtconf to find memory size
  - S7058133: Javah should use the freshly built classes instead of those from the BOOTDIR jdk
  - S7107919: Remove hotspot assertion due to Solaris 8 kstat "unimplemented".
  - S7123519: problems with certification path
  - S7126889: Incorrect SSLEngine debug output
  - S7127104: Build issue with prtconf and zones, also using := to avoid extra execs
  - S7128474: Update source copyright years
  - S7128505: Building on em64t system does not work
  - S7149751: another krb5 test in openjdk6 without test infrastructure
* Backports
  - S6706974: Add krb5 test infrastructure
  - S6764553: com.sun.org.apache.xml.internal.security.utils.IdResolver is not thread safe
  - S6761072: new krb5 tests fail on multiple platforms
  - S6883983: JarVerifier dependency on sun.security.pkcs should be removed
  - S4465490: Suspicious about double-check locking idiom being used in the code
  - S6763340: memory leak in com.sun.corba.se.* classes
  - S6873605: Missing finishedDispatch() call in ORBImpl causes test failures after 5u20 b04
  - S6980681: CORBA deadlock in Java SE believed to be related to CR 6238477
  - S7162902: Umbrella port of a number of corba bug fixes from JDK 6 to jdk7u/8
  - S6414899: P11Digest should support cloning
  - S4898461: Support for ECB and CBC/PKCS5Padding
  - S6604496: Support for CKM_AES_CTR (counter mode)
  - S6682411: JCK test failed w/ ArrayIndexOutOfBoundException (-1) when decrypting with no data
  - S6682417: JCK test failed w/ ProviderException when decrypted data is not multiple of blocks
  - S6687725: Internal PKCS5Padding impl should throw IllegalBlockSizeException and not BadPaddingException
  - S6812738: SSL stress test with GF leads to 32 bit max process size in less than 5 minutes with PCKS11 provider
  - S6867345: Turkish regional options cause NPE in sun.security.x509.AlgorithmId.algOID
  - S6924489: sun.security.pkcs11.wrapper.PKCS11Exception: CKR_OPERATION_NOT_INITIALIZED
  - S7088989: Improve the performance for T4 by utilizing the newly provided crypto APIs
* Bug fixes
  - PR902: PulseAudioClip getMicrosecondsLength() returns length in milliseconds, not microseconds
  - PR1050: Stream objects not garbage collected
  - PR1113: Add tapset tests to distribution.
  - PR1117: IcedTea6 prebuilds far too many classes on bootstrap
  - PR1121: Old installs still suffer from GCC PR41686
  - PR1119: Only add classes to rt-source-files.txt if the class (or one or more of its methods/fields)
    are actually missing from the boot JDK
  - PR1114: Provide option to turn off downloading of tarballs (--disable-downloading)
  - PR1176: Synchronise CACAO rules between IcedTea6/7/8 where possible
  - RH513605, PR1171: Updating/Installing OpenJDK should recreate the shared class-data archive
  - G422525: Apply pax markings before using a freshly built JVM.
  - PR986: IcedTea7 fails to build with IcedTea6 CACAO due to low max heap size
* CACAO
  - PR1120: Unified version for icedtea6/7
  - CA166, CA167: check-langtools fixes for icedtea6
  - Implemented sun.misc.Perf.highResCounter
  - CACAO now identifies by its own Mercurial revision
  - Some memory barrier maintenance
  - Ability to run when compiled as Thumb on armv5 (no Thumb JIT though) 
  - Stop creating pseudo files for OpenJDK (libjsig.so, Xusage.txt)
  - Clang fix for the i386 backend
  - CONTRIBUTE: Reference code submission process wiki instructions.
  - INSTALL.CACAO: Update, so following the instruction actually works.
  - Make doxygen work
  - CA172, PR1266, G453612: ARM hardfloat support
  - src/scripts/java.in: Look for cacao executable in install path, not in PATH.
  - src/vm/jit/alpha/asmpart.S: Fix copyright header.
  - src/vm/jit/alpha/asmpart.S: Properly set up GP in asm_abstractmethoderror
  - Use @abs_top_builddir@ for support scripts
* JamVM
  - ARMv6 armhf: Changes for Raspbian (Raspberry Pi)
  - PPC: Don't use lwsync if it isn't supported
  - X86: Generate machine-dependent stubs for i386
  - When suspending, ignore detached threads that have died, this prevents
    a user caused deadlock when an external thread has been attached to the VM
    via JNI and it has exited without detaching
  - Add missing REF_TO_OBJs for references passed from JNI, this enable JamVM
    to run Qt-Jambi
  - PR1155: Do not put version number in libjvm.so SONAME
* SystemTap
  - Addition of garbage collection probes

New in release 1.11.5 (2012-10-16):

* Security fixes
  - S6631398, CVE-2012-3216: FilePermission improved path checking
  - S7093490: adjust package access in rmiregistry
  - S7143535, CVE-2012-5068: ScriptEngine corrected permissions
  - S7167656, CVE-2012-5077: Multiple Seeders are being created
  - S7169884, CVE-2012-5073: LogManager checks do not work correctly for sub-types
  - S7169888, CVE-2012-5075: Narrowing resource definitions in JMX RMI connector
  - S7172522, CVE-2012-5072: Improve DomainCombiner checking
  - S7186286, CVE-2012-5081: TLS implementation to better adhere to RFC
  - S7189103, CVE-2012-5069: Executors needs to maintain state
  - S7189490: More improvements to DomainCombiner checking
  - S7189567, CVE-2012-5085: java net obselete protocol
  - S7192975, CVE-2012-5071: Conditional usage check is wrong
  - S7195194, CVE-2012-5084: Better data validation for Swing
  - S7195917, CVE-2012-5086: XMLDecoder parsing at close-time should be improved
  - S7195919, CVE-2012-5079: (sl) ServiceLoader can throw CCE without needing to create instance
  - S7198296, CVE-2012-5089: Refactor classloader usage
  - S7158800: Improve storage of symbol tables
  - S7158801: Improve VM CompileOnly option
  - S7158804: Improve config file parsing
  - S7176337: Additional changes needed for 7158801 fix
  - S7198606, CVE-2012-4416: Improve VM optimization
* Backports
  - S7175845: "jar uf" changes file permissions unexpectedly
  - S7177216: native2ascii changes file permissions of input file
  - S7199153: TEST_BUG: try-with-resources syntax pushed to 6-open repo
* Bug fixes
  - PR1194: IcedTea tries to build with /usr/lib/jvm/java-openjdk (now a 1.7 VM) by default
  - PR1338: Remove dependence on libXp

New in release 1.10.10 (2012-10-16):

* Security fixes
  - S6631398, CVE-2012-3216: FilePermission improved path checking
  - S7093490: adjust package access in rmiregistry
  - S7143535, CVE-2012-5068: ScriptEngine corrected permissions
  - S7167656, CVE-2012-5077: Multiple Seeders are being created
  - S7169884, CVE-2012-5073: LogManager checks do not work correctly for sub-types
  - S7169888, CVE-2012-5075: Narrowing resource definitions in JMX RMI connector
  - S7172522, CVE-2012-5072: Improve DomainCombiner checking
  - S7186286, CVE-2012-5081: TLS implementation to better adhere to RFC
  - S7189103, CVE-2012-5069: Executors needs to maintain state
  - S7189490: More improvements to DomainCombiner checking
  - S7189567, CVE-2012-5085: java net obselete protocol
  - S7192975, CVE-2012-5071: Conditional usage check is wrong
  - S7195194, CVE-2012-5084: Better data validation for Swing
  - S7195917, CVE-2012-5086: XMLDecoder parsing at close-time should be improved
  - S7195919, CVE-2012-5079: (sl) ServiceLoader can throw CCE without needing to create instance
  - S7198296, CVE-2012-5089: Refactor classloader usage
  - S7158800: Improve storage of symbol tables
  - S7158801: Improve VM CompileOnly option
  - S7158804: Improve config file parsing
  - S7176337: Additional changes needed for 7158801 fix
  - S7198606, CVE-2012-4416: Improve VM optimization
* Backports
  - S7092186: adjust package access in rmiregistry
* Bug fixes
  - PR1194: IcedTea tries to build with /usr/lib/jvm/java-openjdk (now a 1.7 VM) by default
  - S7175845: "jar uf" changes file permissions unexpectedly
  - S7177216: native2ascii changes file permissions of input file
  - S7199153: TEST_BUG: try-with-resources syntax pushed to 6-open repo

New in release 1.11.4 (2012-08-31):

* Security fixes
  - S7162476, CVE-2012-1682: XMLDecoder security issue via ClassFinder
  - S7163201, CVE-2012-0547: Simplify toolkit internals references
* OpenJDK
  - S7182135: Impossible to use some editors directly
  - S7185678: java/awt/Menu/NullMenuLabelTest/NullMenuLabelTest.java failed with NPE

New in release 1.10.9 (2012-08-31):

* Security fixes
  - S7162476, CVE-2012-1682: XMLDecoder security issue via ClassFinder
  - S7163201, CVE-2012-0547: Simplify toolkit internals references
* OpenJDK
  - S7182135: Impossible to use some editors directly
  - S7185678: java/awt/Menu/NullMenuLabelTest/NullMenuLabelTest.java failed with NPE
  - S6815182: GSSAPI/SPNEGO does not work with server using MIT Kerberos library
  - S6979329: CCacheInputStream fails to read ticket cache files from Kerberos 1.8.1
  - S7110373: krb5 test in openjdk6 without test infrastructure

New in release 1.11.3 (2012-06-12):

* Security fixes
  - S7079902, CVE-2012-1711: Refine CORBA data models
  - S7110720: Issue with vm config file loadingIssue with vm config file loading
  - S7143606, CVE-2012-1717: File.createTempFile should be improved for temporary files created by the platform.
  - S7143614, CVE-2012-1716: SynthLookAndFeel stability improvement
  - S7143617, CVE-2012-1713: Improve fontmanager layout lookup operations
  - S7143851, CVE-2012-1719: Improve IIOP stub and tie generation in RMIC
  - S7143872, CVE-2012-1718: Improve certificate extension processing
  - S7145239: Finetune package definition restriction
  - S7152811, CVE-2012-1723: Issues in client compiler
  - S7157609, CVE-2012-1724: Issues with loop
  - S7160677: missing else in fix for 7152811
  - S7160757, CVE-2012-1725: Problem with hotspot/runtime_classfile
* Bug fixes
  - PR1018: JVM fails due to SEGV during rendering some Unicode characters (part of 6886358)

New in release 1.10.8 (2012-06-12):

* Security fixes
  - S7079902, CVE-2012-1711: Refine CORBA data models
  - S7110720: Issue with vm config file loadingIssue with vm config file loading
  - S7143606, CVE-2012-1717: File.createTempFile should be improved for temporary files created by the platform.
  - S7143614, CVE-2012-1716: SynthLookAndFeel stability improvement
  - S7143617, CVE-2012-1713: Improve fontmanager layout lookup operations
  - S7143851, CVE-2012-1719: Improve IIOP stub and tie generation in RMIC
  - S7143872, CVE-2012-1718: Improve certificate extension processing
  - S7145239: Finetune package definition restriction
  - S7152811, CVE-2012-1723: Issues in client compiler
  - S7157609, CVE-2012-1724: Issues with loop
  - S7160677: missing else in fix for 7152811
  - S7160757, CVE-2012-1725: Problem with hotspot/runtime_classfile
* Bug fixes
  - PR1018: JVM fails due to SEGV during rendering some Unicode characters (part of 6886358)

New in release 1.11.2 (2012-05-11):

* Bug fixes
  - RH789154: javac error messages no longer contain the full path to the offending file:
  - PR797: Compiler error message does not display entire file name and path
  - PR881: Sign tests (wsse.policy.basic) failures with OpenJDK6
  - PR886: 6-1.11.1 fails to build CACAO on ppc
  - Specify both source and target in IT_GET_DTDTYPE_CHECK.
  - Install nss.cfg into j2re-image too.
  - PR584: Don't use shared Eden in incremental mode.
* Backports
  - S6792400: Avoid loading of Normalizer resources for simple uses

New in release 1.10.7 (2012-05-11):

* S7150392: Fixed build with GCC 4.7
* Bug fixes
  - PR732: Use xsltproc for bootstrap xslt in place of Xerces/Xalan
  - PR881: Sign tests (wsse.policy.basic) failures with OpenJDK6
  - Specify both source and target in IT_GET_DTDTYPE_CHECK.
  - PR758: [regression] javah from 6hg/b23 generates `jlong' from `private int'
  - Install nss.cfg into j2re-image too.
* Backports
  - S6792400: Avoid loading of Normalizer resources for simple uses
  - S7103224: collision between __LEAF define in interfaceSupport.hpp and /usr/include/sys/cdefs.h with gcc
  - S7140882: Don't return booleans from methods returning pointers

New in release 1.10.6 (2012-02-14):

* Security fixes
  - S7082299, CVE-2011-3571: Fix in AtomicReferenceArray
  - S7088367, CVE-2011-3563: Fix issues in java sound
  - S7110683, CVE-2012-0502: Issues with some KeyboardFocusManager method
  - S7110687, CVE-2012-0503: Issues with TimeZone class
  - S7110700, CVE-2012-0505: Enhance exception throwing mechanism in ObjectStreamClass
  - S7110704, CVE-2012-0506: Issues with some method in corba
  - S7112642, CVE-2012-0497: Incorrect checking for graphics rendering object
  - S7118283, CVE-2012-0501: Better input parameter checking in zip file processing
  - S7126960, CVE-2011-5035: Add property to limit number of request headers to the HTTP Server
* Bug fixes
  - RH580478: Desktop files should not use hardcoded path

New in release 1.9.13 (2012-02-14):

* Security fixes
  - S7082299, CVE-2011-3571: Fix in AtomicReferenceArray
  - S7088367, CVE-2011-3563: Fix issues in java sound
  - S7110683, CVE-2012-0502: Issues with some KeyboardFocusManager method
  - S7110687, CVE-2012-0503: Issues with TimeZone class
  - S7110700, CVE-2012-0505: Enhance exception throwing mechanism in ObjectStreamClass
  - S7110704, CVE-2012-0506: Issues with some method in corba
  - S7112642, CVE-2012-0497: Incorrect checking for graphics rendering object
  - S7118283, CVE-2012-0501: Better input parameter checking in zip file processing
  - S7126960, CVE-2011-5035: Add property to limit number of request headers to the HTTP Server
* Bug fixes
  - RH580478: Desktop files should not use hardcoded path

New in release 1.8.13 (2012-02-14):

* Security fixes
  - S7082299, CVE-2011-3571: Fix in AtomicReferenceArray
  - S7088367, CVE-2011-3563: Fix issues in java sound
  - S7110683, CVE-2012-0502: Issues with some KeyboardFocusManager method
  - S7110687, CVE-2012-0503: Issues with TimeZone class
  - S7110700, CVE-2012-0505: Enhance exception throwing mechanism in ObjectStreamClass
  - S7110704, CVE-2012-0506: Issues with some method in corba
  - S7112642, CVE-2012-0497: Incorrect checking for graphics rendering object
  - S7118283, CVE-2012-0501: Better input parameter checking in zip file processing
  - S7126960, CVE-2011-5035: Add property to limit number of request headers to the HTTP Server
* Bug fixes
  - RH580478: Desktop files should not use hardcoded path

New in release 1.11.1 (2012-02-14):

* Security fixes
  - S7082299, CVE-2011-3571: Fix in AtomicReferenceArray
  - S7088367, CVE-2011-3563: Fix issues in java sound
  - S7110683, CVE-2012-0502: Issues with some KeyboardFocusManager method
  - S7110687, CVE-2012-0503: Issues with TimeZone class
  - S7110700, CVE-2012-0505: Enhance exception throwing mechanism in ObjectStreamClass
  - S7110704, CVE-2012-0506: Issues with some method in corba
  - S7112642, CVE-2012-0497: Incorrect checking for graphics rendering object
  - S7118283, CVE-2012-0501: Better input parameter checking in zip file processing
  - S7126960, CVE-2011-5035: (httpserver) Add property to limit number of request headers to the HTTP Server
* Bug fixes
  - PR865: Patching fails with patches/ecj/jaxws-getdtdtype.patch

New in release 1.11 (2012-01-30):

* Use HotSpot 20 as the default virtual machine.
* ARM assembly language port reinstated and updated; details below.
* Allow selection of test suites using the jtreg_checks argument e.g. jtreg_checks="langtools"
* Drop the outdated NIO2 backport.  Users who want NIO2 should use IcedTea 2.x.
* Shark has been disabled
* S7150392: Fixed build with GCC 4.7
* Bug fixes
  - PR637: make check should exit with an error code if any regression test failed.
  - PR752: ImageFormatException extends Exception not RuntimeException
  - PR732: Use xsltproc for bootstrap xslt in place of Xerces/Xalan
  - RH727195: Japanese font mappings are broken
  - LP862286: Fix exception on trying to start PulseAudio playback
  - PR719: make distcheck should work in IcedTea6
* Import of OpenJDK6 b24
  - S7099148: increment build number of hs20.0 to b12
  - S7108221: Backport to jdk6 Hotspot defaults for AMD Bulldozer processor
  - S7080038: (ann) Serializable types in sun.reflect.annotation do not declare serialVersionUIDs
  - S6815182: GSSAPI/SPNEGO does not work with server using MIT Kerberos library
  - S6979329: CCacheInputStream fails to read ticket cache files from Kerberos 1.8.1
  - S7092186: adjust package access in rmiregistry
  - S7110373: krb5 test in openjdk6 without test infrastructure
* Import of OpenJDK6 b23 including upgrade to HotSpot 20
  - S7023111: Add webrev script to make/scripts
  - S6909331: Add vsvars.sh to the jdk repository (handy cygwin way to get vcvars32.bat run)
  - S6896934: README: Document how the drop source bundles work for jaxp/jaxws
  - S6896978: README: Updates to openjdk README-builds.html
  - S6903517: README: OpenJDK additions needed - cygwin issues
  - S6903631: README: Build information on Redhat 3.0 builds
  - S7003845: README-builds document proper location of forest extension, provide alternatives
  - S7032311: Correct top level 'make test' target and add known failures to problem list
  - S7033660: Update copyright year to 2011 on any files changed in 2011
  - S7046448: Correct webrev.ksh to tidy up html output
  - S7060927: Add jdkreport.pl to make/scripts, used to generate changes between tags
  - S7060888: Document OpenJDK6 release procedure
  - S6885308: The incorrect -XX:StackRedPages, -XX:StackShadowPages, -XX:StackYellowPages could cause VM crash
  - S6912064: type profiles need to be exploited more for dynamic language support
  - S6896381: CTW fails share/vm/ci/bcEscapeAnalyzer.cpp:99, assert(_stack_height < _max_stack,"stack overflow")
  - S6978355: renaming for 6961697
  - S6978641: Fix for 6929067 introduces additional overhead in thread creation/termination paths
  - S6980262: Memory leak when exception is thrown in static initializer
  - S6910183: CMS: assert(_index < capacity(),"_index out of bounds")
  - S6941275: G1: The MemoryPools are incorrectly supported for G1
  - S6978300: G1: debug builds crash if ParallelGCThreads==0
  - S6980392: TEST_BUG: gc/6581734/Test6581734.java has typo
  - S6980206: G1: assert(has_undefined_max_size, "Undefined max size");
  - S6976400: "Meet Not Symmetric"
  - S6961697: move nmethod constants section before instruction section
  - S4809552: Optimize Arrays.fill(...)
  - S6980978: assert(mt == t->xmeet(this)) failed: meet not commutative
  - S6969586: OptimizeStringConcat: SIGSEGV in LoadNode::Value()
  - S6979444: add command line option to print command line flags descriptions
  - S6870851: Bad frame_chop in StackMapTable crashes JVM
  - S6982851: Add b107 machine classifications to jprt.properties file.
  - S6983320: Fork HS19 to HS20 - renumber Major and build numbers of JVM
  - S6561870: 3/3 Long javac compile lines fail due to command line length issues (agent compiles?)
  - S6765718: Indicate which thread throwing OOME when generating the heap dump at OOME
  - S6983930: CMS: Various small cleanups ca September 2010
  - S6981746: G1: SEGV with -XX:+TraceGen0Time
  - S6985022: update make/jprt.properties for new jdk7 tools
  - S6981773: incorrect fill value with OptimizeFill
  - S6953144: Tiered compilation
  - S6982921: assert(_entry_bci != InvocationEntryBci) failed: wrong kind of nmethod
  - S6982533: Crash in  ~StubRoutines::jbyte_fill with AggressiveOpts enabled
  - S6965815: OptimizeStringConcat: assert(!q->is_MergeMem()) failed with specjbb2000
  - S6983073: fix compiler error with GCC 4.4 or newer on SPARC
  - S6934483: GCC 4.5 errors "suggest parentheses around something..." when compiling with -Werror and -Wall
  - S6984056: C1: incorrect code for integer constant addition on x64
  - S6919069: client compiler needs to capture more profile information for tiered work
  - S6984346: Remove development code in type.hpp
  - S6939224: MethodHandle.invokeGeneric needs to perform the correct set of conversions
  - S6982370: SIGBUS in jbyte_fill
  - S6984368: Large default heap size does not allow to use zero based compressed oops
  - S6942092: Loader-constraint test is failing
  - S6974813: JVM needs to use demand loading for its DTrace probes
  - S6981753: Rebrand vm vendor property settings
  - S6975210: java.lang.VerifyError in some of JCK tests
  - S6985848: 3/4 fix for 6561870 causes sa-jdi.jar to be rebuilt every time
  - S6987149: Fix incorrect Oracle copyright header in make/templates files
  - S6988779: c1_LIRAssembler_x86.cpp crashes VS2010 compiler
  - S6984979: OptimizeFill misses some cases with an odd memory graph
  - S6986270: guarantee(*bcp != Bytecodes::_monitorenter || exec_mode != Deoptimization::Unpack_exception) fails
  - S6982537: Crash in Node*step_through_mergemem
  - S6972540: sun/nio/ch/SocketChannelImpl compilation crashed when executing CompileTheWorld
  - S6986028: assert(_base == Int) failed: Not an Int in CmpINode::sub
  - S6986944: JSR 292 assert(caller_nm->is_method_handle_return(caller_frame.pc())) failed: must be MH call site
  - S6986046: C1 valuestack cleanup
  - S6987115: Non-tiered compilation policy creates unnecessary C1 threads
  - S6987763: assert(kind() == EmptyExceptionState) failed: only EmptyExceptionStates can be modified
  - S6987634: JSR 292 assert(start_bci() >= 0 && start_bci() < code_size()) failed: correct osr_bci argument
  - S6988303: 6986046 breaks build with recent gcc
  - S6988346: 6986046 breaks tiered
  - S6916062: assert(_inserts <= _insert_limit,"hash table overflow") in NodeHash::hash_insert
  - S6968348: Byteswapped memory access can point to wrong location after JIT
  - S6989368: Regression in scimark2.MonteCarlo in jdk7_b112 on Linux
  - S6979458: VM crashes when -XX:ObjectAlignmentInBytes is too big
  - S6988018: dtrace/hotspot/MethodInvocation/MethodInvocation002 crashes with client compiler
  - S6989736: fix mapfile warnings on solaris
  - S6984287: Regularize how GC parallel workers are specified.
  - S6983296: build sanity checks for jdk7 should require SS12u1
  - S6941395: G1: Use only lock-free versions of region stack push() and pop()
  - S6423256: GC stacks should use a better data structure
  - S6942771: SEGV in ParScanThreadState::take_from_overflow_stack
  - S6692906: CMS: parallel concurrent marking may be prone to hanging or stalling mutators for periods of time
  - S6988678: fatal error deadlock handling was unintentionally disabled
  - S6794422: Perm gen expansion policy for concurrent collectors
  - S6983311: G1: LoopTest hangs when run with -XX:+ExplicitInvokesConcurrent
  - S6980838: G1: guarantee(false) failed: thread has an unexpected active value in its SATB queue
  - S6980792: Crash "exception happened outside interpreter, nmethods and vtable stubs (1)"
  - S6990549: Zero and Shark fixes after 6978355 and 6953144
  - S6829194: JSR 292 needs to support compressed oops
  - S6991065: missed a review comment in 6829194
  - S6991512: G1 barriers fail with 64bit C1
  - S6987555: JSR 292 unboxing to a boolean value fails on big-endian SPARC
  - S6991211: assert failure on sparc: "can not have caller-save register operands at calls"
  - S6971296: G1: simplify G1RemSet class hierarchy
  - S6989448: G1: refactor and simplify G1ParScanThreadState
  - S6988363: Rebrand vm vendor property settings (jdk7 only)
  - S6763959: java.util.concurrent.locks.LockSupport.parkUntil(0) blocks forever
  - S6983240: guarantee((Solaris::min_stack_allowed >= (StackYellowPages+StackRedPages...) wrong
  - S6989297: Integrate additional portability improvements
  - S6392697: Additional flag needed to supress Hotspot warning messages
  - S6992477: fix for 6991512 broke sparc barriers
  - S6989669: Coops: -Xshare:dump causes crash
  - S6992267: Bump the HS20 build number to 02
  - S6991315: RedefineClasses fails with java.lang.VerifyError
  - S6988353: refactor contended sync subsystem
  - S6891959: HotSpot should not throw ClassFormatError if a class has a field with '>' and/or '<' in its name
  - S6990359: G1: don't push a stolen entry on the taskqueue, deal with it directly
  - S6992189: G1: inconsistent base used in sparse rem set iterator
  - S6988458: G1: assert(mr.end() <= _cm->finger()) failed: otherwise the region shouldn't be on the stack
  - S6991377: G1: race between concurrent refinement and humongous object allocation
  - S6992998: CMSWaitDuration=0 causes hangs with +ExplicitGCInvokesConcurrent
  - S6896603: CMS/GCH: collection_attempt_is_safe() ergo should use more recent data
  - S6995045: assert(!gch->incremental_collection_failed()) failed: Error, defNewGeneration.cpp:827
  - S6996136: VM crash in src/share/vm/runtime/virtualspace.cpp:424
  - S6997495: correction of regression test compiler/6857159/Test6857159
  - S6991577: add IfOp optimization to C1
  - S6991596: JSR 292 unimplemented adapter_opt_i2i and adapter_opt_l2i on SPARC
  - S6990192: VM crashes in ciTypeFlow::get_block_for()
  - S6968367: can_post_on_exceptions is still using VM_DeoptimizeFrame in some places
  - S6970683: improvements to hs_err output
  - S6994130: Zero PowerPC fix
  - S6994630: java/lang/instrument/IsModifiableClassAgent.java fails with -XX:+EnableInvokeDynamic
  - S6981788: GC map generator sometimes picks up the wrong kind of instruction operand
  - S6994093: MethodHandle.invokeGeneric needs porting to SPARC
  - S6981777: implement JSR 292 EG adjustments from summer 2010
  - S6984311: JSR 292 needs optional bootstrap method parameters
  - S6987135: Performance regression on Intel platform with 32-bits edition between 6u13 and 6u14.
  - S6996240: The BitSet.length method sometimes returns an index+1 value less than that of the highest bit set.
  - S6997459: JSR 292 after 6994093 getting: on return to interpreted call, restored SP is corrupted
  - S6996563: 6984311 changes forgot to update vmStructs.cpp for new field _operands
  - S6997456: Not possible to build just compiler2
  - S6997311: SIGFPE in new long division asm code
  - S6991188: C2 Crashes while compiling method
  - S6998737: JSR 292: Remove the plug guarding the use of compressed oops
  - S6839891: Array overrun in vm ci
  - S6997698: Bump the HS20 build number to 03
  - S6997298: fatal error: must own lock CMS_markBitMap_lock during heap dump
  - S6996613: CompactibleFreeListSpace::print should call CompactibleFreeListSpace::print_on, not Space::print_on
  - S6998802: ScavengeALot: assert(!gch->incremental_collection_failed()) failed: Twice in a row
  - S6865028: Illegal instructions passing verification prior to 'invokespecial Object.<init>'
  - S6981737: The java.vm.specification.version property is 1.0, seems like it should be 2.0
  - S7000578: CMS: assert(SafepointSynchronize::is_at_safepoint()) failed: Else races are possible
  - S6978187: G1: assert(ParallelGCThreads>  1 || n_yielded() == _hrrs->occupied()) strikes again
  - S6999491: non-zero COOPs are used when they should not
  - S7000349: Tiered reacts incorrectly to C1 compilation failures
  - S7000491: assert(false) failed: should be optimized out in SharedRuntime::g1_wb_pre
  - S6751923: JNDI wake up when clock_settime() is called
  - S6837842: JNI_CreateJavaVM crashes under impersonation
  - S7002129: Zero and Shark fixes, 3rd
  - S6989984: Use standard include model for Hospot
  - S6974966: G1: unnecessary direct-to-old allocations
  - S6983204: G1: Nightly test nsk/regression/b4958615 failing with +ExplicitGCInvokesConcurrent
  - S7003860: G1: assert(_cur_alloc_region == NULL || !expect_null_cur_alloc_region) fails
  - S6780143: hs203t003 hits SIGSEGV/EXCEPTION_ACCESS_VIOLATION with -XX:+UseCompressedOops
  - S6987107: Add variable to add to but not modify non-fcs version string
  - S7003456: ADLC files not correctly generated on Windows
  - S6348631: remove the use of the HPI library from Hotspot
  - S7004217: Remove IA64 workaround re-introduced with CR6953477
  - S7003125: precompiled.hpp is included when precompiled headers are not used
  - S7003786: sort Obj_Files before compiling
  - S6981484: Update development launcher
  - S6704010: Internal Error (src/share/vm/interpreter/interpreterRuntime.cpp:1106)
  - S7003782: Update JVMTI version to 1.2 for jdk7
  - S6539281: -Xcheck:jni should validate char* argument to ReleaseStringUTFChars
  - S7003789: PTRACE_GETREGS problems with SA on Linux.
  - S6994056: G1: when GC locker is active, extend the Eden instead of allocating into the old gen
  - S6994628: G1: Test gc/gctests/FinalizeTest05 fails (one live object is finalized)
  - S7001033: assert(gch->gc_cause() == GCCause::_scavenge_alot || !gch->incremental_collection_failed())
  - S7002546: regression on SpecJbb2005 on 7b118 comparing to 7b117 on small heaps
  - S7005259: CMS: BubbleUpRef asserts referent(obj)->is_oop() failed: Enqueued a bad referent
  - S7006221: Bump the HS20 build number to 04
  - S7007229: Fix warnings with VS2010 in compressedStream.cpp
  - S7001363: java/dyn/InvokeDynamic should not be a well-known class in the JVM
  - S6985015: C1 needs to support compressed oops
  - S7002666: eclipse CDT projects crash with compressed oops
  - S6875026: CTW failure jdk6_18/hotspot/src/share/vm/c1/c1_LinearScan.cpp:5486
  - S6998985: faulty generic arraycopy on windows x86_64: 4th arg overwritten with oop
  - S7003554: (tiered) assert(is_null_object() || handle() != NULL) failed: cannot embed null pointer
  - S6961690: load oops from constant table on SPARC
  - S7003798: test/compiler/6991596 fails with true != false
  - S7004530: casx used for 32 bit cas after 7003554
  - S7001379: bootstrap method data needs to be moved from constant pool to a classfile attribute
  - S7004925: CTW: assert(nbits == 32 || -(1 << nbits-1) <= x && x < ( 1 << nbits-1)) failed: value out of range
  - S7005241: C1: SEGV in java.util.concurrent.LinkedTransferQueue.xfer() with compressed oops
  - S6993125: runThese crashes with assert(Thread::current()->on_local_stack((address)this))
  - S7004940: CTW: assert(!def_outside->member(r)) failed: Use of external LRG overlaps the same LRG
  - S6989076: JVM crashes in klassItable::initialize_itable_for_interface
  - S7004582: Add GetThisObject() function to JVMTI 1.2
  - S7005007: Refine use of ALT_COMPILER_PATH to avoid conflict with JPRT usage
  - S6988439: Parallel Class Loading test deadlock involving MethodData_lock and Pending List Lock
  - S7003748: Decode C stack frames when symbols are presented (PhoneHome project)
  - S7006471: fix for 6988439 crashes when pending list lock is null
  - S7006659: temporary adlc files are added to the build variables
  - S7006354: Updates to Visual Studio project creation and development launcher
  - S7000559: G1: assertion failure !outer || (full_collections_started == _full_collections_completed + 1)
  - S7003707: need to remove (some) system include files from the HotSpot header files
  - S7006113: G1: Initialize ReferenceProcessor::_is_alive_non_header field
  - S6807801: CMS: could save/restore fewer header words during scavenge
  - S6896624: G1: hotspot:::gc and hotspot:::mem-pool-gc probes are not fired
  - S7008759: Bump the HS20 build number to 05
  - S7003487: clhsdbproc stacktrace fails on x64
  - S7007769: VM crashes with SIGBUS writing PerfData if tmp space is full
  - S7008444: Remove unnecessary include of stdint.h in java_md.c
  - S6961186: Better VM handling of unexpected exceptions from application native code
  - S6987812: 2/3 SAJDI: "gHotSpotVMTypes was not initialized properly in the remote process"
  - S6975480: VS2010 says _STATIC_CPPLIB is deprecated, may need to change this usage
  - S7006044: materialize cheap non-oop pointers on 64-bit SPARC
  - S6765546: Wrong sscanf used to parse CompilerOracle command >= 32 characters could lead to crash
  - S6839888: Array overrun in vm adlc
  - S7006505: Use kstat info to identify SPARC processor
  - S6579789: Internal error "c1_LinearScan.cpp:1429 Error: assert(false,"")" in debuggee with fastdebug VM
  - S6990933: assert(sender_cb) failed: sanity in frame::sender_for_interpreter_frame
  - S7008165: Garbage in ClassFormatError message
  - S7003130: assert(iterations<CG_BUILD_ITER_LIMIT) failed: infinite EA connection graph
  - S7008466: Tiered: Enable testing of tiered compilation in JPRT
  - S7007377: JSR 292 MethodHandlesTest.testCastFailure fails on SPARC with -Xcomp +DeoptimizeALot
  - S7009231: C1: Incorrect CAS code for longs on SPARC 32bit
  - S7009359: HS with -XX:+AggressiveOpts optimize new StringBuffer(null) so it does not throw NPE as expected
  - S7008325: CodeCache exhausted on sparc starting from hs20b04
  - S6928562: Assert(_no_handle_mark_nesting==0,"allocating handle inside NoHandleMark")
  - S7009849: C1: Incorrect frame size computation
  - S6302804: Hotspot VM dies ungraceful death when C heap is exhausted in various places.
  - S6583275: Hotspot crash in vm_perform_shutdown_actions due to uninitialized TLS during out of memory handling
  - S7009975: Large file support broken in hs20-b04
  - S7009268: guarantee(middle - slop > start) failed: need enough space to divide up
  - S7003271: Hotspot should track cumulative Java heap bytes allocated on a per-thread basis
  - S7010068: Update all 2010 Oracle-changed OpenJDK files to have the proper copyright dates - first pass
  - S7011125: Bump the HS20 build number to 06
  - S7010618: C1: array length should be treated at int on 64bit during array allocation
  - S7009756: volatile variables could be broken throw reflection API
  - S6876037: CTW fails jdk7/hotspot/src/share/vm/opto/type.cpp:2055. assert(bits,"Use TypePtr for NULL")
  - S7010180: JSR 292 InvokeDynamicPrintArgs fails with: assert(_adapter == NULL) failed: init'd to NULL
  - S7010913: JSR 292 ciMethodHandle does not handle MethodHandleCompiler exceptions properly
  - S4930919: race condition in MDO creation at back branch locations
  - S7011386: race in objArrayKlass::array_klass_impl
  - S7011627: C1: call_RT must support targets that don't fit in wdisp30
  - S7010665: Misplaced membar in C1 implementation of Unsafe.get/putXXX
  - S6458402: 3 jvmti tests fail with CMS and +ExplicitGCInvokesConcurrent
  - S6814943: getcpool001 catches more than one JvmtiThreadState problem
  - S7011463: Sparc MacroAssembler::incr_allocated_bytes() needs a RegisterOrConstant argument
  - S6994753: Implement optional hook to a Java method at VM startup.
  - S7009828: Fix for 6938627 breaks visualvm monitoring when -Djava.io.tmpdir is defined
  - S7008136: CMS: assert((HeapWord*)nextChunk <= _limit) failed: sweep invariant
  - S7007068: G1: refine the BOT during evac failure handling
  - S6994297: G1: do first-level slow-path allocations with a CAS
  - S6941122: G1: UseLargePages does not work with G1 garbage collector
  - S7011940: iCMS: SIGSEGV in SweepClosure::do_already_free_chunk(FreeChunk*)+0x360
  - S7012348: Bump the HS20 build number to 07
  - S6966589: hs16-b08 causes java.lang.StackOverflowError
  - S7012965: Fix failed on sparc for 7009756: volatile variables could be broken throw reflection API
  - S7012766: assert(false) failed: DEBUG MESSAGE in MacroAssembler::debug32
  - S4926272: methodOopDesc::method_from_bcp is unsafe
  - S6811367: Fix code in HeapDumper::dump_heap() to avoid buffer overrun
  - S7012493: 2/2 6849574/Test.java fails with Internal Error (src/share/vm/prims/jvmtiTagMap.cpp:3294)
  - S7013008: 2/3 assert(method == NULL || check_method(method, bcp)) failed: bcp must point into method
  - S7012505: BreakpointWithFullGC.sh fails with Internal Error (src/share/vm/oops/methodOop.cpp:220)
  - S7011379: G1: overly long concurrent marking cycles
  - S7012642: G1: JumbleGC002 test aborts with segmentation violation due to uncaught stack overflow
  - S6977804: G1: remove the zero-filling thread
  - S7013812: C1: deopt blob too far from patching stub
  - S7014247: CTW fails when compile sun/misc/AtomicLongCSImpl (REMOVED from JDK7)
  - S7014998: assert(is_T_family(features) == is_niagara(features)) failed: Niagara should be T series
  - S7013718: G1: small fixes for two assert/guarantee failures
  - S7014261: G1: RSet-related failures
  - S7014679: G1: deadlock during concurrent cleanup
  - S7016474: string compare intrinsic improvements
  - S7018101: os::dll_address_to_function_name returning wrong answers in 64 bit
  - S6999988: CMS: Increased fragmentation leading to promotion failure after CR#6631166 got implemented
  - S7017746: Regression : C2 compiler crash due to SIGSEGV in PhaseCFG::schedule_early()
  - S7020550: Bump the HS20 build number to 10
  - S7020042: G1: Partially remove fix for 6994628
  - S7020846: Update Hotspot 20 to use jdk6 as JPRT release target
  - S7018056: large pages not always enabled by default
  - S7026619: Bump the HS20 build number to 11
  - S7020373: JSR rewriting can overflow memory address size variables
  - S6989150: JCK7: 3 deserialization tests for javax.xml classes fail since JDK7-b112
  - S7013970: Code.toString can exit VM
  - S7013971: Problem with saaj/soap1.2
  - S7016340: Problem with saaj/soap1.2
  - S7052870: Update bundle name and download location for jaxws bundle
  - S6998583: NativeSeedGenerator is making 8192 byte read requests from entropy pool
  - S6768387, PR670: REGRESSION: JTable no longer serializable
  - S7032311: Correct top level 'make test' target and add known failures to problem list
  - S7029905: demo applets missing some html files
  - S7033660: Update copyright year to 2011 on any files changed in 2011
  - S7000693: java.sql.Timestamp compareTo() issues using low values
  - S6599601: Permissions/AWTWindowTest and Permissions/DFLoadTest failed in PIT 7.0 B20 on Windows Vista
  - S7042040: Remove disk space sanity check
  - S7041635: GSSContextSpi.java copyright notice error
  - S6618658: Deserialization allows creation of mutable SignedObject
  - S7013969: NetworkInterface.toString can reveal bindings
  - S7016495: Crash in Java 2D transforming an image with scale close to zero
  - S7016985: (launcher) implement safe secure dll loading
  - S6213702: (so) non-blocking sockets with TCP urgent disabled get still selected for read ops (win)
  - S7013519: [parfait] Integer overflows in 2D code
  - S7012520: Heap overflow vulnerability in FileDialog.show()
  - S7032593: DLL_LOADING: Upgrade solution to 7016985 to reflect JDK7 solution
  - S7020198: ImageIcon creates Component with null acc
  - S7060890: Update openjdk6 problemList file on jdk regression tests
  - S7031238: Problem with fix for 6981922
  - S6507024: casting an array to a generic type results in a 'capture#69 of ?' type error
  - S6502392: Invalid relative names for Filer.createResource and Filer.getResource
  - S7003006: add option to list directory in deterministic order
  - S6999460: Glassfish build with JDK 6 / 7 is 5x-10x slower on Windows than on Linux
  - S6999891: DefaultFileManager incorrect
  - S7033660: Update copyright year to 2011 on any files changed in 2011
* Backports
  - S7019861: Last scanline skipped when doing AA.
  - S6748082: remove platform-specific code from SwingUtilities2.isDisplayLocal
  - S6708580: Java applications slow when EXA enabled
  - S6986968: Crash on XIM server restart
  - S7018387: Xrender pipeline may leak GC's
  - S7036754: Stroked quads sometimes contain NaN
  - S7008106: com/sun/awt/Translucency/WindowOpacity.java test fails.
  - S6956668: misbehavior of XOR operator (^) with int
  - S6699843: IllegalArgumentException when using Graphics.drawString( "", 0, 0 )
  - S6918065: Crash in Java2D blit loop (IntArgbToIntArgbPreSrcOverMaskBlit) in 64bit mode
  - S6623219: Font.canDisplayUpTo does not work with supplementary characters
  - S6783910: java.awt.Color.brighter()/darker() methods make color opaque
  - S6785424: SecurityException locating physical fonts on Windows Terminal Server
  - S7047069: Array can dynamically change size when assigned to an object field
  - S6796786: invalid FP identity transform - (a - b) -> b - a
  - S7042070: Typo in Test6796786.java
  - S7029152: Ideal nodes for String intrinsics miss memory edge optimization
  - S6679308: Poor text rendering on translucent image
  - S6842838: 64-bit failure in handling invalid manifest in launcher.
  - S6882768: Test for 6842838 is broken
  - S6711682: JCheckBox in JTable: checkbox doesn't always respond to the first mouse click
  - S7016856: fix dashing performance regression. Improve other rendering performance.
  - S6934977: MappedByteBuffer.load crashes with SIGBUS.
  - S6758179: D3D: AlphaComposite is applied incorrectly for uncached opaque BufferedImage
  - S7049339: Image copy operations with a custom composite and a complex clip fail.
  - S6613904: javax.swing.GroupLayout.createParallelGroup(..) doesn't throw IllegalArgumentException for null arg
  - S4917091: javac rejects array over 128 in length
  - S6390045: Unexpected error "cannot access java.lang.Void" with '-target cldc1.0' with -source >=1.5
  - S6752638: java.awt.GraphicsEnvironment.preferLocaleFonts() throws NPE on Linux
  - S5047314: [Col] Collator.compare() runs indefinitely for a certain set of Thai strings
  - S6669869: Beans.isDesignTime() and other queries should be per-AppContext
  - S6934356: Vector.writeObject() serialization may deadlock
  - S7036582: Improve test coverage of java.math.BigDecimal
  - S6806261: BigDecimal.longValueExact() method throws NullPointerException
  - S6371401: java.math.BigInteger.shift(Integer.MIN_VALUE) throws StackOverflowError
  - S6826104, RH730015: Getting a NullPointer exception when clicked on Application & Toolkit Modal dialog
  - S5082756: Image I/O plug-ins set metadata boolean attributes to "true" or "false"
  - S6296893: BMP Writer handles TopDown property incorrectly for some of the compression types
  - S7103224: collision between __LEAF define in interfaceSupport.hpp and /usr/include/sys/cdefs.h with gcc
  - S7103610, RH683768: _NET_WM_PID and WM_CLIENT_MACHINE are not set
  - S7140882: Don't return booleans from methods returning pointers
* ARM Port
  - Ported to the EABI hard-fp model
  - Locking for multi-core operation added.
  - Many minor bugs fixed.
* CACAO
  - CA149: Used wrong class loader.
  - CA159: Exception handler blocks / register mixup.
  - CA162: Make class init protection aware of multiple threads.
  - CA163: descriptor_params_from_paramtypes is protected by a mutex now.
  - CA164: Get rid of mysterious 10 trailing bytes in literal strings.
  - ARM: Remove broken support for float argument passing in registers.
  - ARM: Remove hack for return value in float registers.
  - ARM: Fixed use of uninitialized variable.
  - ARM: removed unused ICMD_GETSTATIC branch.
  - ARM: Designate function labels as such; required for thumb interworking.
  - src/vm/javaobjects.cpp (java_lang_reflect_Method::invoke): stack index of caller was off by one, causing apt failures.
  - Set thread to RUNNABLE during Thread.start.
  - Removed state-setting function call that would be done by the thread itself, creating a nasty race.
  - Threadlist & threadobject improvements.
* JamVM
  - PR772: jtreg LocalOnlyTest sends SIGQUIT to all processes on exit.
  - LP827463: Fix OpenJDK enclosingMethodInfo().
  - Add support for armhf.
  - Skip Java-reflection-related DelegatingClassLoaders, enables JamVM to run NetBeans.
  - Generic JNI stubs for common JNI method signatures.
  - Implement classlibCheckIfOnLoad().
  - Make thread states JVMTI compatible.
  - Add OpenBSD/sparc to list of recognised hosts.
  - Handle 'g' when specifying memory + extra checks.
  - armhf: ensure stack is 8 byte aligned.
  - "Fix" handling of CLI bootclasspath options.
  - Fix for StackTraceElement checkin. 
  - Ignore assertions and verify options.
  - Fix typo in definition of ACC_MIRANDA.
  - Intern strings when creating a StackTraceElement.
  - Remove empty clobber.
  - Use dots instead of slashes in classname for exception.
  - Correct thrown exception by bootstrap loader.
  - Put parsing of -cp and -classpath options back in.
  - Fix threading of references list during compaction.
  - Further fix to freeClassData for native methods.
  - Fix class GC with classes containing Miranda methods.
  - Propogate initialisation errors to top-level.
  - Make classlib init functions consistent + warnings.
  - Correctly implement sun.misc.Unsafe freeMemory().
  - Move lazy-loading to init function.
  - Fix various warnings with -Wall.
  - PrintThreadsDump needs "self" as argument.
  - CopyMemory, etc. handle negative or truncation in length.
  - Extra sun.misc.Unsafe functions.
  - Ignore options for jtreg tests.
  - Enable shutdownVM to be called with OpenJDK classlib.
  - Initial implementation of JVM_FindClassFromBootLoader.
  - Fix callJNIMethod on i386 with -fomit-frame-pointer.
  - Fix backwards cache conflict resolution code.
  - Unify command line options parsing.
  - Remove debug printf.
  - Fix leak of native thread structure.
  - Consistent naming for classlib functions.
  - Add extra includes to get rid off compiler warning.
  - Rework OpenJDK storage of native thread structure.
  - Implement remaining OpenJDK Array reflection interface.
  - Added LDFLAGS for JamVM to fix the SELinux executable flag issue.
* Zero/Shark
  - PR690: Shark fails to JIT using hs20.
  - PR696: Zero fails to handle fast_aldc and fast_aldc_w in hs20.

New in release 1.10.5 (2012-01-11):

* Backports
  - S7034464: Support transparent large pages on Linux
  - S7037939: NUMA: Disable adaptive resizing if SHM large pages are used
  - S7102369, RH751203: remove java.rmi.server.codebase property parsing from registyimpl
  - S7094468, RH751203: rmiregistry clean up
  - S7103725, RH767129: REGRESSION - 6u29 breaks ssl connectivity using TLS_DH_anon_WITH_AES_128_CBC_SHA
  - S6851973, PR830: ignore incoming channel binding if acceptor does not set one
  - S7091528: javadoc attempts to parse .class files

New in release 1.9.12 (2012-01-11):

* Backports
  - S7102369, RH751203: remove java.rmi.server.codebase property parsing from registyimpl
  - S7094468, RH751203: rmiregistry clean up
  - S7103725, RH767129: REGRESSION - 6u29 breaks ssl connectivity using TLS_DH_anon_WITH_AES_128_CBC_SHA
  - S6851973, PR830: ignore incoming channel binding if acceptor does not set one

New in release 1.8.12 (2012-01-11):

* Backports
  - S7102369, RH751203: remove java.rmi.server.codebase property parsing from registyimpl
  - S7094468, RH751203: rmiregistry clean up
  - S7103725, RH767129: REGRESSION - 6u29 breaks ssl connectivity using TLS_DH_anon_WITH_AES_128_CBC_SHA
  - S6851973, PR830: ignore incoming channel binding if acceptor does not set one

New in release 1.9.11 (2011-11-08):

* Security fixes
  - RH742515, CVE-2011-3377: IcedTea-Web: second-level domain subdomains and suffix domain SOP bypass

New in release 1.8.11 (2011-11-08):

* Security fixes
  - RH742515, CVE-2011-3377: IcedTea-Web: second-level domain subdomains and suffix domain SOP bypass

New in release 1.10.4 (2011-10-18):

* Security fixes
  - S7000600, CVE-2011-3547: InputStream skip() information leak
  - S7019773, CVE-2011-3548: mutable static AWTKeyStroke.ctor
  - S7023640, CVE-2011-3551: Java2D TransformHelper integer overflow
  - S7032417, CVE-2011-3552: excessive default UDP socket limit under SecurityManager
  - S7046794, CVE-2011-3553: JAX-WS stack-traces information leak
  - S7046823, CVE-2011-3544: missing SecurityManager checks in scripting engine
  - S7055902, CVE-2011-3521: IIOP deserialization code execution
  - S7057857, CVE-2011-3554: insufficient pack200 JAR files uncompress error checks
  - S7064341, CVE-2011-3389: HTTPS: block-wise chosen-plaintext attack against SSL/TLS (BEAST)
  - S7070134, CVE-2011-3558: HotSpot crashes with sigsegv from PorterStemmer
  - S7077466, CVE-2011-3556: RMI DGC server remote code execution
  - S7083012, CVE-2011-3557: RMI registry privileged code execution
  - S7096936, CVE-2011-3560: missing checkSetFactory calls in HttpsURLConnection
* Bug fixes
  - RH727195: Japanese font mappings are broken
* Backports
  - S6826104, RH730015: Getting a NullPointer exception when clicked on Application & Toolkit Modal dialog
* Zero/Shark
  - PR690: Shark fails to JIT using hs20.
  - PR696: Zero fails to handle fast_aldc and fast_aldc_w in hs20.

New in release 1.9.10 (2011-10-18):

* Security fixes
  - S7000600, CVE-2011-3547: InputStream skip() information leak
  - S7019773, CVE-2011-3548: mutable static AWTKeyStroke.ctor
  - S7023640, CVE-2011-3551: Java2D TransformHelper integer overflow
  - S7032417, CVE-2011-3552: excessive default UDP socket limit under SecurityManager
  - S7046794, CVE-2011-3553: JAX-WS stack-traces information leak
  - S7046823, CVE-2011-3544: missing SecurityManager checks in scripting engine
  - S7055902, CVE-2011-3521: IIOP deserialization code execution
  - S7057857, CVE-2011-3554: insufficient pack200 JAR files uncompress error checks
  - S7064341, CVE-2011-3389: HTTPS: block-wise chosen-plaintext attack against SSL/TLS (BEAST)
  - S7070134, CVE-2011-3558: HotSpot crashes with sigsegv from PorterStemmer
  - S7077466, CVE-2011-3556: RMI DGC server remote code execution
  - S7083012, CVE-2011-3557: RMI registry privileged code execution
  - S7096936, CVE-2011-3560: missing checkSetFactory calls in HttpsURLConnection
* NetX
  - PR794: javaws does not work if a Web Start app jar has a Class-Path element in the manifest
* Fixes
  - G356743: Support libpng 1.5.

New in release 1.8.10 (2011-10-18):

* Security fixes
  - S7000600, CVE-2011-3547: InputStream skip() information leak
  - S7019773, CVE-2011-3548: mutable static AWTKeyStroke.ctor
  - S7023640, CVE-2011-3551: Java2D TransformHelper integer overflow
  - S7032417, CVE-2011-3552: excessive default UDP socket limit under SecurityManager
  - S7046794, CVE-2011-3553: JAX-WS stack-traces information leak
  - S7046823, CVE-2011-3544: missing SecurityManager checks in scripting engine
  - S7055902, CVE-2011-3521: IIOP deserialization code execution
  - S7057857, CVE-2011-3554: insufficient pack200 JAR files uncompress error checks
  - S7064341, CVE-2011-3389: HTTPS: block-wise chosen-plaintext attack against SSL/TLS (BEAST)
  - S7077466, CVE-2011-3556: RMI DGC server remote code execution
  - S7083012, CVE-2011-3557: RMI registry privileged code execution
  - S7096936, CVE-2011-3560: missing checkSetFactory calls in HttpsURLConnection
* NetX
  - PR794: javaws does not work if a Web Start app jar has a Class-Path element in the manifest
  - PR764: icedtea 1.8.9 fails to build in CachedJarFileCallback.java
* Fixes
  - G356743: Support libpng 1.5.

New in release 1.10.3 (2011-07-21):

* Bug fixes
  - PR748, S7072341: Icedtea6 fails to build with Linux 3.0.
  - PR744: icedtea6-1.10.2 : patching error
* Backports:
  - S7037283, RH712211: Null Pointer Exception in SwingUtilities2.
  - S6769607, PR677: Modal frame hangs for a while.
  - S6578583: Modality is broken in windows vista home premium from jdk1.7 b02 onwards.
  - S6610244: modal dialog closes with fatal error if -Xcheck:jni is set

New in release 1.9.9 (2011-07-20):

* Security fixes
  - RH718164, CVE-2011-2513: Home directory path disclosure to untrusted apps
* Bug Fixes
  - PR744: icedtea6-1.10.2 : patching error
  - PR748, S7072341: Icedtea6 fails to build with Linux 3.0.
* Shark
  - PR632: patches/security/20110215/6878713.patch breaks shark zero build

New in release 1.8.9 (2011-07-20):

* Security fixes
  - RH718164, CVE-2011-2513: Home directory path disclosure to untrusted apps
* Bug fixes
  - PR744: icedtea6-1.10.2 : patching error
  - PR748, S7072341: Icedtea6 fails to build with Linux 3.0.

New in release 1.10.2 (2011-06-07):

* Security fixes
  - S6213702, CVE-2011-0872: (so) non-blocking sockets with TCP urgent disabled get still selected for read ops (win)
  - S6618658, CVE-2011-0865: Vulnerability in deserialization
  - S7012520, CVE-2011-0815: Heap overflow vulnerability in FileDialog.show()
  - S7013519, CVE-2011-0822, CVE-2011-0862: Integer overflows in 2D code
  - S7013969, CVE-2011-0867: NetworkInterface.toString can reveal bindings
  - S7013971, CVE-2011-0869: Vulnerability in SAAJ
  - S7016340, CVE-2011-0870: Vulnerability in SAAJ
  - S7016495, CVE-2011-0868: Crash in Java 2D transforming an image with scale close to zero
  - S7020198, CVE-2011-0871: ImageIcon creates Component with null acc
  - S7020373, CVE-2011-0864: JSR rewriting can overflow memory address size variables
* Backports
  - S7043054: REGRESSION - wrong userBounds in Paint.createContext()
  - S7043963, RH698295: Window manager workaround in AWT was not applied to mutter. Now it is.
* Shark
  - PR689: Shark fails to find LLVM 2.9 System headers during build.

New in release 1.9.8 (2011-06-07):

* Security fixes
  - S6213702, CVE-2011-0872: (so) non-blocking sockets with TCP urgent disabled get still selected for read ops (win)
  - S6618658, CVE-2011-0865: Vulnerability in deserialization
  - S7012520, CVE-2011-0815: Heap overflow vulnerability in FileDialog.show()
  - S7013519, CVE-2011-0822, CVE-2011-0862: Integer overflows in 2D code
  - S7013969, CVE-2011-0867: NetworkInterface.toString can reveal bindings
  - S7013971, CVE-2011-0869: Vulnerability in SAAJ
  - S7016340, CVE-2011-0870: Vulnerability in SAAJ
  - S7016495, CVE-2011-0868: Crash in Java 2D transforming an image with scale close to zero
  - S7020198, CVE-2011-0871: ImageIcon creates Component with null acc
  - S7020373, CVE-2011-0864: JSR rewriting can overflow memory address size variables
* Backports
  - S6675802: Regression: heavyweight popups cause SecurityExceptions in applets
  - S6691503: Malicious applet can show always-on-top popup menu which has whole screen size 
  - S6980392, PR642: simple correction in testcase, added missing bracket
  - Fixed AccessControlContext which was thrown while working with Color class in a PropertyEditor
* Plugin
  - PR542: Plugin fails with NPE on http://www.openprocessing.org/visuals/iframe.php?visualID=2615
* Shark
  - PR689: Shark fails to find LLVM 2.9 System headers during build

New in release 1.8.8 (2011-06-07):

* Security fixes
  - S6213702, CVE-2011-0872: (so) non-blocking sockets with TCP urgent disabled get still selected for read ops (win)
  - S6618658, CVE-2011-0865: Vulnerability in deserialization
  - S7012520, CVE-2011-0815: Heap overflow vulnerability in FileDialog.show()
  - S7013519, CVE-2011-0822, CVE-2011-0862: Integer overflows in 2D code
  - S7013969, CVE-2011-0867: NetworkInterface.toString can reveal bindings
  - S7013971, CVE-2011-0869: Vulnerability in SAAJ
  - S7016340, CVE-2011-0870: Vulnerability in SAAJ
  - S7016495, CVE-2011-0868: Crash in Java 2D transforming an image with scale close to zero
  - S7020198, CVE-2011-0871: ImageIcon creates Component with null acc
  - S7020373, CVE-2011-0864: JSR rewriting can overflow memory address size variables
* Backports
  - S6675802: Regression: heavyweight popups cause SecurityExceptions in applets
  - S6691503: Malicious applet can show always-on-top popup menu which has whole screen size
  - PR632: patches/security/20110215/6878713.patch breaks shark zero build
  - Fixed AccessControlContext which was thrown while working with Color class in a PropertyEditor
* Plugin
  - PR542: Plugin fails with NPE on http://www.openprocessing.org/visuals/iframe.php?visualID=2615

New in release 1.10.1 (2011-04-04):

* HotSpot 20 updated to b11.
* Backports
  - S7023591, S7027667: Clipped antialiased rectangles are filled, not drawn.
  - Add missing privileged block around access to the sun.awt.nativedebug property.
  - S7032388, PR682: Make HotSpot work on machines without cmov instruction again
  - S7031385, PR680: Incorrect register allocation in orderAccess_linux_x86.inline.hpp
  - S4685768: Focus set to disabled component, can't Tab/Shift-Tab 
* Fixes
  - G356743: Support libpng 1.5.
* CACAO
  - Ignore all unknown options, but report them.
  - Fixes build for newer gcc (at least 4.4) on PPC64, breaks older gcc.
  - CA123: LD_LIBRARY_PATH and java.library.path.
  - CA143: don't hang with invalid locale.
  - CA144: aligned patchers on x86_64.
  - CA148: support for LCMP bytecode.
  - CA152: Calling Policy.setPolicy with a new Policy object has no effect on the DefaultSecurityManager.
  - CA156: uncaughtExceptionHandler doesn't work with OpenJDK 6 b21.
  - CA157: ARM SMP Assertion thinlock failed.
* JamVM
  - Handle overflow in getPhysicalMemory().
  - Base default min and max heap size on physical memory.
  - Fix reflective array access.
  - Handle O_DELETE in JVM_Open.
  - Minor performance improvement on ARM.
  - First set of changes to support JamVM/OpenJDK on MacOS X.
  - Minor memory leak (missing free).
  - Handle integer overflow on i386/amd64.
  - On ARM, force interpreter to be built in ARM mode.
  - MIPS: 64-bit and interpreter inlining by default.
  - Trivial implementation of stubs for MIPS.

New in release 1.10 (2011-03-02):

* NetX and the plugin moved to the IcedTea-Web project with a separate
  release cycle.
* Shark provided upstream rather than as part of IcedTea.
* The option --with-openjdk becomes --with-jdk-home and --disable-bootstrap
* Support for building with HotSpot 20 from its stable tree
* Added out-of-the-box JamVM support using --enable-jamvm.
* Allow building of JamVM beside the default VM by using --with-additional-vms=jamvm
* Allow the location of the JamVM source zip to be specified using --with-jamvm-src-zip
* Import of OpenJDK6 b21 including upgrade to HotSpot 19
  - S6961870: More rebranding fixes for templates/gpl-*-header files
  - S6976186: Shark build system changes
  - S6962318: Update copyright year
  - S7008723: Remove binary plugs creation and use from openjdk
  - S6962318: Update copyright year
  - S6891766: Vulnerabilities in use of reflection in CORBA
  - S6962318: Update copyright year
  - S7008723: Remove binary plugs creation and use from openjdk
  - S6962318: Update copyright year
  - S6962193: Rebrand some Zero files
  - S6980711: HotSpot assembler_sparc changes needed for GNU/Linux on SPARC build
  - S6910182: CMS: assert(_cursor[j] == _survivor_plab_array[j].end(),"Ctl pt invariant")
  - S6914050: jvm assertion "guard pages must be in use" in -Xcomp mode
  - S6933402: RFE: Improve PrintSafepointStatistics output to track cleanup time
  - S6932536: JSR 292 modified JDK MethodHandlesTest fails on x86_64
  - S6932270: Allow Java's ELF symtab reader to use separate debuginfo files
  - S6919934: JSR 292 needs to support x86 C1
  - S6932496: c1: deoptimization of jsr subroutine fails on sparcv9
  - S6934089: Zero 32-bit/64kb page fix
  - S6934494: JSR 292 MethodHandles adapters should be generated into their own CodeBlob
  - S6935466: new CodeCache flushing code is not guarded by the flag
  - S6934966: JSR 292 add C1 logic for saved SP over MethodHandle calls
  - S6935535: String.indexOf() returns incorrect result on x86 with SSE4.2
  - S6930043: C2: SIGSEGV in javasoft.sqe.tests.lang.arr017.arr01702.arr01702.loop_forw(II)I
  - S6932091: JSR 292 x86 code cleanup
  - S4396719: Mark Sweep stack overflow on deeply nested Object arrays
  - S6755988: G1: assert(new_obj != 0 || ... "should be forwarded")
  - S6921710: G1: assert(new_finger >= _finger && new_finger < _region_limit,"invariant")
  - S6935839: excessive marking stack growth during full gcs
  - S6935821: G1: threads created during marking do not active their SATB queues
  - S6936366: Fork HS17 to HS18 - renumber Major and build numbers of JVM
  - S6940419: Bump the HS18 build number to 02
  - S6929067: Stack guard pages should be removed when thread is detached
  - S6934758: Expose the break down of clean up task time during safepoint.
  - S6923488: 4/4 need minor tweaks to HotSpot build for Cygwin
  - S6935224: Adding new DTrace probes to work with Palantir
  - S6936168: Recent fix for unmapping stack guard pages doesn't close /proc/self/maps
  - S6938185: 3/4 6923488 breaks Windows command shell builds
  - S6926979: should simplify catch_inline_exception
  - S6939180: Zero locking fix
  - S6939731: JSR 292 Zero build fix after 6934494
  - S6939845: zero needs fallback path in C++ interpreter for platform dependent fast bytecodes
  - S6936709: AsyncGetCallTrace doesn't handle inexact stack walking properly
  - S6939804: ciConstant::print() prints incorrect bool value
  - S6892265: System.arraycopy unable to reference elements beyond Integer.MAX_VALUE bytes
  - S6894807: No ClassCastException for HashAttributeSet constructors if run with -Xcomp
  - S6626217: Fixed loader constraint array handling
  - S6932480: Fix crash in CompilerThread/Parser. Unloaded array klass?
  - S6938627: Make temporary directory use property java.io.tmpdir when specified
  - S6937160: G1: should observe GCTimeRatio
  - S6677708: G1: re-enable parallel RSet updating and scanning
  - S6940310: G1: MT-unsafe calls to CM::region_stack_push() / CM::region_stack_pop()
  - S6909756: G1: guarantee(G1CollectedHeap::heap()->mark_in_progress(),"Precondition.")
  - S6940894: G1: assert(new_obj != 0 || ... "should be forwarded") for compaction tests
  - S6940520: CodeCache::scavenge_root_nmethods_do must fix oop relocations
  - S6940677: Use 64 bytes chunk copy for arraycopy on Sparc
  - S6940701: Don't align loops in stubs for Niagara sparc
  - S6940733: allocate non static oop fields in super and sub classes together
  - S6940726: Use BIS instruction for allocation prefetch on Sparc
  - S6941529: SharedRuntime::raw_exception_handler_for_return_address must reset thread MethodHandle flag
  - S6942223: c1 64 bit fixes
  - S6944398: Bump the HS18 build number to 03
  - S6938026: C2 compiler fails in Node::rematerialize()const
  - S6939930: exception unwind changes in 6919934 hurts compilation speed
  - S6941224: Improved stack overflow handling for Zero
  - S6944028: 6940701 broke Zero
  - S6944473: 6941224 misses new files
  - S6944503: Improved Zero crash dump
  - S6945219: minor SA fixes
  - S6858496: Clear all SoftReferences before an out-of-memory due to GC overhead limit.
  - S6937142: G1: improvements to debugging output (S-M)
  - S6943926: G1: Integer overflow during heap region verification
  - S6939027: G1: assertion failure during the concurrent phase of cleanup
  - S6942253: G1: replace G1ParallelGCAllocBufferSize with YoungPLABSize and OldPLABSize
  - S6897143: Stress test crashes during HeapInspection using ParallelGC.
  - S6819061: G1: eliminate serial Other times that are proportional to the collection set length
  - S6871109: G1: remove the concept of the scan only prefix
  - S6946040: add intrinsic for short and char reverseBytes
  - S6943485: JVMTI always on capabilities change code generation too much
  - S6946892: c1 shouldn't sign-extend to upper 32bits on x64
  - S6946056: assert((intptr_t) sp()<=(intptr_t) result,"result must>=than stack pointer"), frame_x86.cpp:295
  - S6888953: some calls to function-like macros are missing semicolons
  - S6888954: argument formatting for assert() and friends
  - S6948636: Bump the HS18 build number to 04
  - S6950438: Add 6u18 and 6u20 release values explicitly to jprt.properties file
  - S6951190: assert(!klass_is_exact(),"only non-exact klass") while building JDK
  - S6944822: Fix for 6938627 exposes problem with hard-coded buffer sizes
  - S6935118: UseCompressedOops modification in methodOopDesc::sort_methods() causes JCK timeout
  - S6949118: jvm.dll shows the company name as Sun Microsystems
  - S6829193: JSR 292 needs to support SPARC
  - S6948602: Disable use of SSE4.2 in String.indexOf intrinsic until 6942326 is fixed
  - S6939182: Zero JNI handles fix
  - S6943304: remove tagged stack interpreter
  - S6939134: JSR 292 adjustments to method handle invocation
  - S6939196: method handle signatures off the boot class path get linkage errors
  - S6949423: remove tagged stack interpreter for Zero
  - S6949830: 6939134 broke Zero
  - S6950178: Zero stack improvements
  - S6950617: Zero/Shark interface updates
  - S6951784: Zero deoptimizer changes
  - S6948537: CMS: BOT walkers observe out-of-thin-air zeros on sun4v sparc/CMT
  - S6919638: CMS: ExplicitGCInvokesConcurrent misinteracts with gc locker
  - S6951188: CMS: move PromotionInfo into its own file
  - S6951923: some uses of fatal1 were missed by 6888954
  - S6931180: Migration to recent versions of MS Platform SDK
  - S6951582: Build problems on win64
  - S6952178: Fork HS18 to HS19 - renumber Major and build numbers of JVM
  - S6745217: jmap assertion failure
  - S6951686: Using large pages on Linux prevents zero based compressed oops
  - S6950075: nmethod sweeper should operate concurrently
  - S6953267: assert in EA code with -XX:+StressReflectiveCode
  - S6953539: after 6892658 c1 reports that it doesn't inline StringBuffer.append
  - S6953576: bottom_type for matched AddPNodes doesn't always agree with ideal
  - S6937111: Restore optimization for Phi of AddP (6552204)
  - S6921317: (partial) G1: assert(top() == bottom() || zfs == Allocated,"Region must be empty, or we must be setting it to
  - S6948539: CMS+UseCompressedOops: placement of cms_free bit interferes with promoted object link
  - S6951319: enable solaris builds using Sun Studio 12 update 1
  - S6953483: Typo related to ReduceInitialCardMarks leaves concurrent collectors vulnerable to heap corruption
  - S6953952: collectedHeap.cpp should use #ifdef _LP64 not LP64
  - S6911922: JVM must throw VerifyError for jsr or jsr_w opcodes in class file v.51+
  - S6693236: A class file whose version number is greater than to 50.0 must be verified using the typechecker
  - S6953588: hotspot\src\share\vm\interpreter\bytecodes.cpp doesn't compile with VS2010 on AMD64
  - S6956513: Bump the HS19 build number to 02
  - S6941466: Oracle rebranding changes for Hotspot repositories
  - S6951083: oops and relocations should part of nmethod not CodeBlob
  - S6930772: JSR 292 needs to support SPARC C1
  - S6939207: refactor constant pool index processing
  - S6934104: JSR 292 needs to support SPARC C2
  - S6490487: java support on 64 bit solaris x86 machines is broken.
  - S6956164: nightly regressions from 6939207
  - S6916623: Align object to 16 bytes to use Compressed Oops with java heap up to 64Gb
  - S6955349: C1: Make G1 barriers work with x64
  - S6957004: MethodComparator uses the wrong CP index accessor
  - S6957080: MethodComparator needs stress testing
  - S6954029: Improve implicit null check generation with compressed oops
  - S6957882: nsk/sajdi tests failed with NullPointerException
  - S6956931: assert(SafepointSynchronize::is_at_safepoint()) failed: must be executed at a safepoint
  - S6930994: Code cache is full warning should be visible in product
  - S6958254: -XX:+VerifyOops is broken on x86
  - S6958292: C1: Enable parallel compilation
  - S6958485: fix for 6879921 was insufficient
  - S6930553: classfile format checker allows invalid method descriptor in CONSTANT_NameAndType_info in some cases
  - S6852873: Reduce safepoint cleanup time
  - S6941378: G1: change default value of G1UseFixedWindowMMUTracker to true
  - S6956472: test/runtime/6888954/vmerrors.sh uses ksh-specific syntax
  - S6953058: G1: A bigapp crashes with SIGSEGV in compiled code
  - S6939203: JSR 292 needs method handle constants
  - S6730276: JDI_REGRESSION tests fail with "Error: count must be non-zero" error on x86
  - S6960865: ldc of unloaded class throws an assert in ciTypeFlow
  - S6960550: Missing semicolon in Zero
  - S6952176: Remove debug flag from adlc makefile for 6Update trains
  - S6959430: Make sure raw loads have control edge
  - S6949307: G1: raise a vm error, do not core dump, if target pause time and target interval are inconsistent
  - S6946048: G1: improvements to +PrintGCDetails output
  - S6952853: SIGSEGV with UseAdaptiveGCBoundary on 64b linux running jvm2008
  - S6956958: assert(is_clean() || is_call_to_compiled() || is_call_to_interpreted() || is_optimized() || is_megam
  - S6656830: assert((*p)->is_oop(),"expected an oop while scanning weak refs")
  - S6962980: C1: stub area should take into account method handle deopt stub
  - S6947341: JVM Crash running Oracle ATG CRMDemo
  - S6964479: widen normalization of small int and long values should be symmetric
  - S6677629: PhaseIterGVN::subsume_node() should call hash_delete() and add_users_to_worklist()
  - S6964774: Adjust optimization flags setting
  - S6939019: Source code adjustments for parfait compilation of hotspot
  - S6888573: class data sharing does not always disable large pages
  - S6965671: fatal error: acquiring lock JNIGlobalHandle_lock/16 out of order with lock CodeCache_lock/1
  - S6966411: escape.cpp:450 assert(base->Opcode() == Op_ConP
  - S6957084: simplify TaskQueue overflow handling
  - S6964164: MonitorInUseLists leak of contended objects
  - S6967423: Hotspot support for modules image
  - S6965184: possible races in make_not_entrant_or_zombie
  - S6958668: repeated uncommon trapping for new of klass which is being initialized
  - S6968385: malformed xml in sweeper logging
  - S6968646: JVM crashes with SIGFPE during startup
  - S6968368: SIGSEGV in the BCEscapeAnalyzer::copy_dependencies
  - S6968336: VM crash guarantee(!nm->is_zombie()) failed: cannot lock a zombie method
  - S6958458: Bump the HS19 build number to 03
  - S6961079: Build JDK7 for 64 bit Windows using free Windows 7.1 SDK 64 bit compilers
  - S6964882: 32 bit JDK does not build on 64 bit Windows platforms
  - S6966252: Bump the HS19 build number to 04
  - S6962569: assembler_sparc.cpp:1969: assert(false) failed: error
  - S6944166: G1: explicit GCs are not always handled correctly
  - S6964498: JSR 292 invokedynamic sites need local bootstrap methods
  - S6969574: invokedynamic call sites deoptimize instead of executing
  - S6970566: runThese fails with SIGSEGV
  - S6962947: shared TaskQueue statistics
  - S6956639: G1: assert(cached_ptr != card_ptr) failed: shouldn't be, concurrentG1Refine.cpp:307
  - S6649594: Intermittent IOExceptions during dynamic attach on linux and solaris
  - S6964170: Verifier crashes
  - S6888526: Linux getCurrentThreadCpuTime is drastically slower than Windows
  - S6958465: Sparc aten build24.0: openjdk-7.ea-b96 failed Error: Formal argument ... requires an lvalue
  - S6953477: Increase portability and flexibility of building Hotspot
  - S6969569: assert(is_static() && is_constant()) failed: illegal call to constant_value()
  - S6973308: Missing zero length check before repne scas in check_klass_subtype_slow_path()
  - S6973963: SEGV in ciBlock::start_bci() with EA
  - S6974682: CTW: assert(target != NULL) failed: must not be null
  - S6975049: nsk/regression/b4287029 crashes with -Xss64 on solaris-i586
  - S6975078: assert(allocated_on_res_area() || allocated_on_C_heap() || allocated_on_arena()
  - S6975027: use of movptr to set length of array
  - S6975855: don't emit deopt MH handler in C1 if not required
  - S6976186: integrate Shark HotSpot changes
  - S6973329: C2 with Zero based COOP produces code with broken anti-dependency on x86
  - S6378314: Bad warning message when agent library not found. local directory is not searched.
  - S6581734: CMS Old Gen's collection usage is zero after GC which is incorrect
  - S6814437: G1: remove the _new_refs array
  - S6962589: remove breadth first scanning code from parallel gc
  - S6963209: G1: remove the concept of abandoned pauses
  - S6930581: G1: assert(ParallelGCThreads > 1 || n_yielded() == _hrrs->occupied(),"Should have yielded all the ..
  - S6966222: G1: simplify TaskQueue overflow handling
  - S6970376: ParNew: shared TaskQueue statistics
  - S6973570: OrderAccess::storestore() scales poorly on multi-socket x64 and sparc: cache-line ping-ponging
  - S6976378: ParNew:  stats are printed unconditionally in debug builds
  - S6973381: Bump the HS19 build number to 05
  - S6977051: Bump the HS19 build number to 06
  - S6977952: Test: Sync missing tests from hs16.3 to hs17.x
  - S6948538: CMS: BOT walkers can fall into object allocation and initialization cracks
  - S6959014: G1: assert(minimum_desired_capacity <= maximum_desired_capacity) failed: sanity check
  - S6974928: G1: sometimes humongous objects are allocated in young regions
  - S6975964: G1: print out a more descriptive message for evacuation failure when +PrintGCDetails is set
  - S6977970: CMS: concurrentMarkSweepGeneration.cpp:7947 assert(addr <= _limit) failed: sweep invariant
  - S6977924: Changes for 6975078 produce build error with certain gcc versions
  - S6978726: Bump the HS19 build number to 07
  - S6974176: ShouldNotReachHere, instanceKlass.cpp:1426
  - S6975006: assert(check.is_deoptimized_frame()) failed: missed deopt
  - S6976372: #  assert(_owner == Thread::current()) failed: invariant
  - S6977640: Zero and Shark fixes
  - S6978249: spill between cpu and fpu registers when those moves are fast
  - S6978533: CMS: Elide BOT  update asserts until 6977974 is fixed correctly
  - S6978889: Remove premature change of build number to Hotspot 19 Build 07
  - S6978915: Remove Mercurial tags for Hotspot 19 Build 06
  - S6987149: Fix incorrect Oracle copyright header in make/templates files
  - S4809552: Optimize Arrays.fill(...)
  - S6976400: "Meet Not Symmetric"
  - S6980978: assert(mt == t->xmeet(this)) failed: meet not commutative
  - S6981431: IdealKit should support I_O projections
  - S6969586: OptimizeStringConcat: SIGSEGV in LoadNode::Value()
  - S6980262: Memory leak when exception is thrown in static initializer
  - S6981773: incorrect fill value with OptimizeFill
  - S6896381: CTW fails share/vm/ci/bcEscapeAnalyzer.cpp:99, assert(_stack_height < _max_stack,"stack overflow")
  - S6978641: Fix for 6929067 introduces additional overhead in thread creation/termination paths
  - S6982370: SIGBUS in jbyte_fill
  - S6982488: Bump the HS19 build number to 07 for 6Updates
  - S6982533: Crash in  ~StubRoutines::jbyte_fill with AggressiveOpts enabled
  - S6983013: Change the HS_MINOR version to 6 for the 6Update train
  - S6984346: Remove development code in type.hpp
  - S6984368: Large default heap size does not allow to use zero based compressed oops
  - S6942092: Loader-constraint test is failing
  - S6984979: OptimizeFill misses some cases with an odd memory graph
  - S6975210: java.lang.VerifyError in some of JCK tests
  - S6985396: Bump the HS19 build number to 08
  - S6982489: Update Hotspot 19 to use jdk6u21p as the default JPRT release target
  - S6423256: GC stacks should use a better data structure
  - S6942771: SEGV in ParScanThreadState::take_from_overflow_stack
  - S6982537: Crash in Node*step_through_mergemem
  - S6986028: assert(_base == Int) failed: Not an Int in CmpINode::sub
  - S6916062: assert(_inserts <= _insert_limit,"hash table overflow") in NodeHash::hash_insert
  - S6988678: fatal error deadlock handling was unintentionally disabled
  - S6965815: OptimizeStringConcat: assert(!q->is_MergeMem()) failed with specjbb2000
  - S6988018: dtrace/hotspot/MethodInvocation/MethodInvocation002 crashes with client compiler
  - S6966589: hs16-b08 causes java.lang.StackOverflowError
  - S6990124: supplemental fix for 6361589
  - S6980792: Crash "exception happened outside interpreter, nmethods and vtable stubs (1)"
  - S6990756: Bump the HS19 build number to 09
  - S6994130: Zero PowerPC fix
  - S7002666: eclipse CDT projects crash with compressed oops
  - S6980392: TEST_BUG: gc/6581734/Test6581734.java has typo
  - S7009828: Fix for 6938627 breaks visualvm monitoring when -Djava.io.tmpdir is defined
  - S6960333: Add make level ALLOW_DOWNLOADS=true option
  - S6981408: Upgrade jaxp to 1.4.4
  - S7002248: Update urls for jaxp and jaxws source downloads
  - S6962318: Update copyright year
  - S7008723: Remove binary plugs creation and use from openjdk
  - S6962318: Update copyright year
  - S6960333: Add make level ALLOW_DOWNLOADS=true option
  - S7002248: Update urls for jaxp and jaxws source downloads
  - S6962318: Update copyright year
  - S7008723: Remove binary plugs creation and use from openjdk
  - S6962318: Update copyright year
  - S6948909: Jarsigner removes MANIFEST.MF info for badly packages jar's
  - S6954621: small error in 6948909 fix
  - S6961732: FontMetrics.getLeading() may be negative in freetype-based OpenJDK builds.
  - S6939022: Source code adjustments for parfait compilation
  - S6933622: Duplicate class files in rt.jar and charsets.jar
  - S6895003: JarReorder is not excluding a requested file.
  - S6942989: 2/2 Memory leak of java.lang.ref.WeakReference objects
  - S4356282, RH525870: RFE: T2K should be used to rasterize CID/CFF fonts
  - S6687968: PNGImageReader leaks native memory through an Inflater.
  - S6969395: TEST_BUG: Tests in java/net sun/net problems
  - S6941287: 4/4 jrunscriptTest.sh test does not work right under Cygwin
  - S6962804: 4/4 ShellScaffold tests can fail without a specific reason
  - S6964018: 3/4 AnonLoggerWeakRefLeak and LoggerWeakRefLeak can fail in JPRT
  - S6971847: 4/4 jmap '-histo:live' option is necessary for proper leak detection
  - S6795060: VM crash on Linux in ICU layout library when processing \u0DDD (Sinhalese)
  - S6954424: Support OpenType/CFF fonts in JDK 7
  - S6918573: sun.security.pkcs11.P11RSACipher.finalize() is a scalability blocker
  - S6591117: Poor preformance of PKCS#11 security provider compared to Sun default provider
  - S6837847: PKCS#11 A SecureRandom and a serialization error following installation of 1.5.0_18
  - S6695485: SignedObject constructor throws ProviderException if it's called using provider "SunPKCS11-Solaris"
  - S6678385: Random java.lang.StackOverflowError from various JDKs
  - S6438179: XToolkit.isTraySupported() result has nothing to do with the system tray
  - S6633613: (str) StringCoding optimizations to avoid unnecessary array copies with Charset arg
  - S6675802: Regression: heavyweight popups cause SecurityExceptions in applets
  - S6691503: Malicious applet can show always-on-top popup menu which has whole screen size
  - S6632959, PR291: swing html parser doesn't know &euro; or &rsaquo;
  - S6721088: Bad window size calculation after using pack()
  - S6949710: 3/3 the GC'able nature of Logging objects needs to be made brutally clear
  - S6623943: javax.swing.TimerQueue's thread occasionally fails to start
  - S6976186: Shark build system changes
  - S6914943: Implement final TLS renegotiation fix
  - S6957564: Disclosure of DNS server IP address
  - S6958060: Malformed AP-REQ crashes acceptor side
  - S6925710: IndexColorModel.finalize can be made to double free
  - S6963285: Crash in ICU Opentype layout engine due to mismatch in character counts
  - S6963023: ZDI-CAN-809: Sun JRE JPEGImageWriter.writeImage Remote Code Execution Vulnerability
  - S6926623: Thread clone issues
  - S6963489: ZDI-CAN-803: Sun JRE ICC Profile Device Information Tag Remote Code Execution Vulnerability
  - S6952603: NetworkInterface reveals local network address to untrusted code
  - S6952017: HttpURLConnection chunked encoding issue (Http request splitting)
  - S6974093: Thread.clone should NOT invoke addUnstarted on started threads
  - S6980004: limit HTTP request cookie headers in HttpURLConnection
  - S6961084: limit setting of some request headers in HttpURLConnection
  - S6981426: limit use of TRACE method in HttpURLConnection
  - S6622002: UIDefault.ProxyLazyValue has unsafe reflection usage
  - S6559775: Race allows defaultReadObject to be invoked instead of readFields during deserialization
  - S6966692: defaultReadObject can set a field multiple times
  - S6990437: Update with correct copyright info for source and test files from SSR10_02 fixes
  - S6993206: Removing non-functional tests.
  - S6979979, RH508185: Rounding error in font sizes selected by the GTK Look and Feel
  - S6795356, PR590: Leak caused by javax.swing.UIDefaults.ProxyLazyValue.acc
  - S6853592: VM test nsk.regression.b4261880  fails with "X Error of failed request:  BadWindow" inconsistently.
  - S6950553: Applet: IE process crash in OLE32.DLL when playing a sound
  - S6622432: RFE: Performance improvements to java.math.BigDecimal
  - S6850606: Regression from JDK 1.6.0_12
  - S6876282: BigDecimal's divide(BigDecimal bd, RoundingFormat r) produces incorrect result
  - S6963720: typo in ServerHandshaker.java
  - S6962318: Update copyright year
  - S7008723: Remove binary plugs creation and use from openjdk
  - S6962318: Update copyright year
  - S6941936: Broken pipe error of test case DNSIdentities.java
  - S6943219: test/sun/security/ssl/sun/net/www/protocol/https/HttpsURLConnection/DNSIdentities.java fail in linux
  - S6560348: PIT : java/awt/xembed/server/RunTestXEmbed.java fails
  - S6668231: Presence of a critical subjectAltName causes JSSE's SunX509 to fail trusted checks
  - S6963870: NPE in CompoundBorder.getInsets()
  - S6541476: PNG imageio plugin incorrectly handles iTXt chunk
  - S6782079: PNG: reading metadata may cause OOM on truncated images.
  - S6877961: langtools build should allow more options when running jtreg
  - S6724551: Use Queues instead of Lists to link compiler phases
  - S6726015: JavaCompiler: replace desugarLater by compileStates
  - S6734819: Javac performs flows analysis on already translated classes
  - S6956638: JavacTask.generate does not generate all required files
  - S6724327: eliminate use of shell tests for simple golden file tests
  - S6962540: langtools Makefile sets DEV_NULL incorrectly
  - S6420151: need to improve byfile compile policy to eliminate footprint issues
  - S6813059: replace use of JavaCompiler.errorCount with shouldContinue
  - S6595666: fix -Werror
  - S6795365: NetBeans projects in langtools repository are not NB6.5-friendly
  - S6962236: backport JavacFileManager fixes from 7 to 6-open
  - S6410637: Make decision on deprecated methods in DefaultFileManager and BaseFileObject.
  - S6419701: DefaultFileManager clean up: URI.create
  - S6483788: DefaultFileManager.ZipFileObject.toUri() fails to escape space characters
  - S6501502: JSR 199: FileObject.toUri should return file:///c:/ or file:/c:/ not file://c:/
  - S6508981: cleanup file separator handling in JavacFileManager
  - S6625520: javac handles missing entries on classpath badly
  - S6705935: javac reports path name of entry in ZipFileIndex incorectly
  - S6705945: com.sun.tools.javac.zip files do not have valid copyright
  - S6714364: refactor javac File handling code into new javac.file package
  - S6714365: refactor JavacFileManager to move nested classes to top level
  - S6743107: clean up use of static caches in file manager
  - S6794582: javadoc should read files using a FileManager
  - S6832154: refactor Paths to be just a utility class for JavacFileManager
  - S6838467: JSR199 FileObjects don't obey general contract of equals.
  - S6877206: JavaFileObject.toUri returns bogus URI (win)
  - S6877223: tests @ignored because of issues with File.toURI on Windows
  - S6885123: JavaFileObject getName issues
  - S6907660: stupid typo in ZipFileIndex guarantees NPE
  - S6930076: "null" can incorrectly appear in error message compiler.err.error.reading.file
  - S6889255: javac MethodSymbol throws NPE if ClassReader does not read parameter names correctly
  - S7008723: Remove binary plugs creation and use from openjdk
  - S6962318: Update copyright year
  - S7008433: Minor copyright changes
* Backports
  - S6800846, RH662230: Printing quality degraded with Java 6 compared to 5.0, index out of bounds exception.
  - S6642612: JFileChooser's approve buttons should be the same size (GTK)
  - S6984543: Test sun/java2d/DirectX/OnScreenRenderingResizeTest fails on GNOME
  - S6736649: test/closed/javax/swing/JMenuItem/6458123/ManualBug6458123.java fails on Linux
  - S6797139: JButton title is truncating for some strings irrespective of preferred size.
  - S6883341: SWAT: jdk7-b72 swat build(2009-09-17) threw exceptions when running Java2D demo by clicking Paint ta
  - S4493128: CubicCurve2D intersects method fails
  - S4724552: CubicCurve2D.contains(Rectangle2D) returns true when partially contained.
  - S4645692: CubicCurve2D.solveCubic does not return all solutions.
  - S4993545: NativeInLightFixer adds asynchronousity
  - S6637796: setBounds doesn't enlarge Component
  - S6607660: java.awt.Container.getMouseEventTargetImpl should be invoked while holding the TreeLock
  - S6607170: Focus not set by requestFocus
  - S6616323: consider benefits of replacing a component array with other collection from the awt.Container class
  - S6682046: Mixing code does not always recalculate shapes correctly when resizing components
  - S6797195: Forward-port enhancements for hw/lw mixing from 6u12 to 7
  - S6725214: D3D: forward-port the new pipeline from 6u10
  - S6633275: Need to support shaped/translucent windows
  - S7015232: missing copyright header in CheckZOrderChange.java
  - S7017581: missing copyright header in test/sun/java2d/pipe/RegionOps.java
  - S6896068: SunGraphics2D exposes a reference to itself while non fully initialised.
  - S6749060: LCD AA text rendered incorrectly when destination is non opaque (sw pipeline only)
  - S6728834: D3D/OGL: LCD AA text becomes bold and blurred when rendering to a non-opaque destination
  - S6693253: Security Warning appearance requires enhancements
  - S6779717: A Window does not show applet security warning icon on X platforms
  - S6785058: Parent don't get the focus after dialog is closed if security warning is applied
  - S6444769: java/awt/Insets/WindowWithWarningTest/WindowWithWarningTest.html fails
  - S6775317: Improve performance of non-AA transformed rectangles and single wide lines in software pipelines
  - S6766342: Improve performance of Ductus rasterizer
* Bug fixes
  - RH661505: JPEGs with sRGB IEC61966-2.1 color profiles have wrong colors
  - PR600: HS19 upgrade broke CACAO build on ARM
  - PR616, PR99: Don't statically link libstdc++ or libgcc
  - PR632: patches/security/20110215/6878713.patch breaks shark zero build
  - PR103: Usage of native2ascii during bootstrap
  - PR633: IcedTea installs javaws manpages on x86 even with --disable-webstart
  - PR635: zero fails to build on icedtea6 trunk 20110217 with hs20
  - PR586: Sources missing from src.zip
  - PR639: Add missing include line, paths and LLVM flags for Shark.
  - PR640: JamVM fails to build - Unrecognised option: -XX:ThreadStackSize.
  - PR641: Increase stack size for PPC
  - PR497: Mercurial revision detection not very reliable
  - PR585: Freenet throws java.lang.UnsatisfiedLinkError with OpenJDK/CACAO
* Cleanup
  - Patches are no longer prefixed with 'icedtea-'.
  - All m4 macros are now prefixed with 'IT_' to denote their origin correctly.

New in release 1.9.7 (2011-02-15):

* Security updates
  - S6878713, CVE-2010-4469: Hotspot backward jsr heap corruption
  - S6907662, CVE-2010-4465: Swing timer-based security manager bypass
  - S6994263, CVE-2010-4472: Untrusted code allowed to replace DSIG/C14N implementation
  - S6981922, CVE-2010-4448: DNS cache poisoning by untrusted applets
  - S6983554, CVE-2010-4450: Launcher incorrect processing of empty library path entries
  - S6985453, CVE-2010-4471: Java2D font-related system property leak
  - S6927050, CVE-2010-4470: JAXP untrusted component state manipulation
  - RH677332, CVE-2011-0706: Multiple signers privilege escalation
* Bug fixes
  - RH676659: Pass -export-dynamic flag to linker using -Wl, as option in gcc 4.6+ is broken
  - G344659: Fix issue when building on SPARC
  - Fix latent JAXP bug caused by missing import

New in release 1.8.7 (2011-02-15):

* Security updates
  - S6878713, CVE-2010-4469: Hotspot backward jsr heap corruption
  - S6907662, CVE-2010-4465: Swing timer-based security manager bypass
  - S6994263, CVE-2010-4472: Untrusted code allowed to replace DSIG/C14N implementation
  - S6981922, CVE-2010-4448: DNS cache poisoning by untrusted applets
  - S6983554, CVE-2010-4450: Launcher incorrect processing of empty library path entries
  - S6985453, CVE-2010-4471: Java2D font-related system property leak
  - S6927050, CVE-2010-4470: JAXP untrusted component state manipulation
  - RH677332, CVE-2011-0706: Multiple signers privilege escalation
* Bug fixes
  - RH676659: Pass -export-dynamic flag to linker using -Wl, as option in gcc 4.6+ is broken
  - Fix latent JAXP bug caused by missing import

New in release 1.7.10 (2011-02-15):

* Security updates
  - S6878713, CVE-2010-4469: Hotspot backward jsr heap corruption
  - S6907662, CVE-2010-4465: Swing timer-based security manager bypass
  - S6994263, CVE-2010-4472: Untrusted code allowed to replace DSIG/C14N implementation
  - S6981922, CVE-2010-4448: DNS cache poisoning by untrusted applets
  - S6983554, CVE-2010-4450: Launcher incorrect processing of empty library path entries
  - S6985453, CVE-2010-4471: Java2D font-related system property leak
  - S6927050, CVE-2010-4470: JAXP untrusted component state manipulation
  - RH677332, CVE-2011-0706: Multiple signers privilege escalation
* Bug fixes
  - RH676659: Pass -export-dynamic flag to linker using -Wl, as option in gcc 4.6+ is broken
  - Fix latent JAXP bug caused by missing import

New in release 1.9.6 (2011-02-09):

* Security updates
  - S4421494, CVE-2010-4476: infinite loop while parsing double literal.

New in release 1.8.6 (2011-02-09):

* Security updates
  - S4421494, CVE-2010-4476: infinite loop while parsing double literal.

New in release 1.7.9 (2011-02-09):

* Security updates
  - S4421494, CVE-2010-4476: infinite loop while parsing double literal.

New in release 1.9.5 (2011-02-01):

* Security updates
  - RH672262, CVE-2011-0025: IcedTea jarfile signature verification bypass
* Backports
  - S6687968: PNGImageReader leaks native memory through an Inflater
  - S6541476, RH665355: PNG imageio plugin incorrectly handles iTXt chunk
  - S6782079: PNG: reading metadata may cause OOM on truncated images
* Fixes
  - RH647157, RH582455: Update fontconfig files for rhel 6
  - PR619: Improper finalization by the plugin can crash the browser

New in release 1.8.5 (2011-02-01):

* Security updates
  - RH672262, CVE-2011-0025: IcedTea jarfile signature verification bypass
* Backports
  - S6687968: PNGImageReader leaks native memory through an Inflater
  - S6541476, RH665355: PNG imageio plugin incorrectly handles iTXt chunk
  - S6782079: PNG: reading metadata may cause OOM on truncated images
* Fixes
  - RH647157, RH582455: Update fontconfig files for rhel 6
  - PR619: Improper finalization by the plugin can crash the browser

New in release 1.7.8 (2011-02-01):

* Security updates
  - RH672262, CVE-2011-0025: IcedTea jarfile signature verification bypass
* Backports
  - S6687968: PNGImageReader leaks native memory through an Inflater
  - S6541476, RH665355: PNG imageio plugin incorrectly handles iTXt chunk
  - S6782079: PNG: reading metadata may cause OOM on truncated images
* Fixes:
  - RH647157, RH582455: Update fontconfig files for rhel 6
  - PR619: Improper finalization by the plugin can crash the browser

New in release 1.9.4 (2011-01-18):

* Security updates
  - RH663680, CVE-2010-4351: IcedTea JNLP SecurityManager bypass
* Backports
  - S4356282: RFE: JDK should support OpenType/CFF fonts
  - S6954424, RH525870: Support OpenType/CFF fonts in JDK 7
  - S6795356, PR590: Leak caused by javax.swing.UIDefaults.ProxyLazyValue.acc
  - S6967436, RH597227: lines longer than 2^15 can fill window.
  - S6967433: dashed lines broken when using scaling transforms.
  - S6976265: No STROKE_CONTROL
  - S6967434, PR450, RH530642: Round joins/caps of scaled up lines have poor quality.
  - S6438179, RH569121: XToolkit.isTraySupported() result has nothing to do with the system tray
* Fixes
  - S7003777, RH647674: JTextPane produces incorrect content after parsing the html text

New in release 1.8.4 (2011-01-18):

* Security updates
  - RH663680, CVE-2010-4351: IcedTea JNLP SecurityManager bypass
* Backports
  - S6438179, RH569121: XToolkit.isTraySupported() result has nothing to do with the system tray
  - S4356282: RFE: JDK should support OpenType/CFF fonts
  - S6954424, RH525870: Support OpenType/CFF fonts in JDK 7
  - S6795356, PR590: Leak caused by javax.swing.UIDefaults.ProxyLazyValue.acc
  - S6967436, RH597227: lines longer than 2^15 can fill window.
  - S6967433: dashed lines broken when using scaling transforms.
  - S6976265: No STROKE_CONTROL
  - S6967434, PR450, RH530642: Round joins/caps of scaled up lines have poor quality.
* Fixes:
  - S7003777, RH647674: JTextPane produces incorrect content after parsing the html text

New in release 1.7.7 (2011-01-18):

* Security updates
  - RH663680, CVE-2010-4351: IcedTea JNLP SecurityManager bypass
* Backports
  - S6438179, RH569121: XToolkit.isTraySupported() result has nothing to do with the system tray
  - S4356282: RFE: JDK should support OpenType/CFF fonts
  - S6954424, RH525870: Support OpenType/CFF fonts in JDK 7
  - S6795356, PR590: Leak caused by javax.swing.UIDefaults.ProxyLazyValue.acc
  - S6967436, RH597227: lines longer than 2^15 can fill window.
  - S6967433: dashed lines broken when using scaling transforms.
  - S6976265: No STROKE_CONTROL
  - S6967434, PR450, RH530642: Round joins/caps of scaled up lines have poor quality.
* Fixes:
  - S7003777, RH647674: JTextPane produces incorrect content after parsing the html text

New in release 1.9.3 (2010-12-01):

* Re-enable compressed oops by default now 7002666 is fixed.
* Backports
  - S7002666: Eclipse CDT projects crash with compressed oops
* Fixes
  - Reapply ia64 fix from 6896043 which was reverted by 6953477

New in release 1.9.2 (2010-11-24):

* Upgrade to latest revision of hs19 (b09).
* Allow the building of NetX to be disabled.
* Additional S390 size_t fixes.
* Switch to the IcedTea server for JAXP, JAF and JAXWS tarballs.
* Security updates
  - RH645843, CVE-2010-3860: IcedTea System property information leak via public static
* Backports
  - S6622432: RFE: Performance improvements to java.math.BigDecimal
  - S6850606: Regression from JDK 1.6.0_12
  - S6876282: BigDecimal's divide(BigDecimal bd, RoundingFormat r) produces incorrect result
  - S6991430, PR579: Zero PowerPC fix.
  - S6703377: freetype: glyph vector outline is not translated correctly
  - S6853592: VM test nsk.regression.b4261880  fails with "X Error of failed request:  BadWindow"
    inconsistently.
* Bug fixes
  - RH647737: Disable compressed oops in hs19 to avoid Eclipse failures.
  - RH643674: Update fontconfig files for Fedora 11, 12, 13 and 14.
* NetX
  - Do not prompt user multiple times for the same certificate.
  - PR592: NetX can create invalid desktop entry files

New in release 1.8.3 (2010-11-24):

* Allow the building of NetX to be disabled.
* Security updates
  - RH645843, CVE-2010-3860: IcedTea System property information leak via public static
* Backports
  - S6853592: VM test nsk.regression.b4261880  fails with "X Error of failed request:  BadWindow"
    inconsistently.
* NetX
  - Do not prompt user multiple times for the same certificate.
  - PR592: NetX can create invalid desktop entry files

New in release 1.7.6 (2010-11-24):

* Allow the building of NetX to be disabled.
* Security updates
  - RH645843, CVE-2010-3860: IcedTea System property information leak via public static
* Backports
  - S6853592: VM test nsk.regression.b4261880  fails with "X Error of failed request:  BadWindow"
    inconsistently.
* NetX
  - Do not prompt user multiple times for the same certificate.
  - PR592: NetX can create invalid desktop entry files

New in release 1.9.1 (2010-10-13):

* HotSpot 19 supported; use --with-hotspot-build=hs19 to enable.
* Security updates
  - S6914943, CVE-2009-3555: TLS: MITM attacks via session renegotiation 
  - S6559775, CVE-2010-3568: OpenJDK Deserialization Race condition
  - S6891766, CVE-2010-3554: OpenJDK corba reflection vulnerabilities
  - S6925710, CVE-2010-3562: OpenJDK IndexColorModel double-free
  - S6938813, CVE-2010-3557: OpenJDK Swing mutable static
  - S6957564, CVE-2010-3548: OpenJDK DNS server IP address information leak
  - S6958060, CVE-2010-3564: OpenJDK kerberos vulnerability
  - S6963023, CVE-2010-3565: OpenJDK JPEG writeImage remote code execution
  - S6963489, CVE-2010-3566: OpenJDK ICC Profile remote code execution
  - S6966692, CVE-2010-3569: OpenJDK Serialization inconsistencies
  - S6622002, CVE-2010-3553: UIDefault.ProxyLazyValue has unsafe reflection usage
  - S6925672, CVE-2010-3561: Privileged ServerSocket.accept allows receiving connections from any host
  - S6952017, CVE-2010-3549: HttpURLConnection chunked encoding issue (Http request splitting)
  - S6952603, CVE-2010-3551: NetworkInterface reveals local network address to untrusted code
  - S6961084, CVE-2010-3541: limit setting of some request headers in HttpURLConnection
  - S6963285, CVE-2010-3567: Crash in ICU Opentype layout engine due to mismatch in character counts
  - S6980004, CVE-2010-3573: limit HTTP request cookie headers in HttpURLConnection
  - S6981426, CVE-2010-3574: limit use of TRACE method in HttpURLConnection
  - S6990437: Update with correct copyright info for source and test files from SSR10_02 fixes
* Backports
  - S6638712: Inference with wildcard types causes selection of inapplicable method
  - S6650759: Inference of formal type parameter (unused in formal parameters) is not performed
  - S6623943: javax.swing.TimerQueue's thread occasionally fails to start
* Fixes
  - Fix build failure on S390
  - RH633510: OpenJDK should use NUMA even if glibc doesn't provide it
* NetX
  - New man page for javaws
* Plugin 
  - PR519: 100% CPU usage when displaying applets in Webkit based browsers

New in release 1.8.2 (2010-10-13):

* Security updates
  - S6914943, CVE-2009-3555: TLS: MITM attacks via session renegotiation 
  - S6559775, CVE-2010-3568: OpenJDK Deserialization Race condition
  - S6891766, CVE-2010-3554: OpenJDK corba reflection vulnerabilities
  - S6925710, CVE-2010-3562: OpenJDK IndexColorModel double-free
  - S6938813, CVE-2010-3557: OpenJDK Swing mutable static
  - S6957564, CVE-2010-3548: OpenJDK DNS server IP address information leak
  - S6958060, CVE-2010-3564: OpenJDK kerberos vulnerability
  - S6963023, CVE-2010-3565: OpenJDK JPEG writeImage remote code execution
  - S6963489, CVE-2010-3566: OpenJDK ICC Profile remote code execution
  - S6966692, CVE-2010-3569: OpenJDK Serialization inconsistencies
  - S6622002, CVE-2010-3553: UIDefault.ProxyLazyValue has unsafe reflection usage
  - S6925672, CVE-2010-3561: Privileged ServerSocket.accept allows receiving connections from any host
  - S6952017, CVE-2010-3549: HttpURLConnection chunked encoding issue (Http request splitting)
  - S6952603, CVE-2010-3551: NetworkInterface reveals local network address to untrusted code
  - S6961084, CVE-2010-3541: limit setting of some request headers in HttpURLConnection
  - S6963285, CVE-2010-3567: Crash in ICU Opentype layout engine due to mismatch in character counts
  - S6980004, CVE-2010-3573: limit HTTP request cookie headers in HttpURLConnection
  - S6981426, CVE-2010-3574: limit use of TRACE method in HttpURLConnection
  - S6990437: Update with correct copyright info for source and test files from SSR10_02 fixes
* Fixes:
  - G244901: Skip test_gamma on hardened (PaX-enabled) kernels
  - G266295: Provide font configuration for Gentoo.
  - Provide font configuration for RHEL 6.
  - RH633510: OpenJDK should use NUMA even if glibc doesn't provide it
* Backports:
  - S6951319: enable solaris builds using Sun Studio 12 update 1 (fixes PR398)
  - S6539464, RH500077: Ensure java.lang.Math functions provide consistent results.
  - S6638712: Inference with wildcard types causes selection of inapplicable method
  - S6650759: Inference of formal type parameter (unused in formal parameters) is not performed
  - S6623943: javax.swing.TimerQueue's thread occasionally fails to start
* NetX:
  - Fix browser command in BasicService.showDocument(URL)
  - Run programs that inherit main(String[]) in their main-class
  - Run JNLP files that use 1.6 as the spec version
  - RH601281: Possible NullPointerException in splash screen code
  - New man page for javaws
* Plugin 
  - RH560193: Fix zip error when applet jar contained another 0-byte jar
  - PR519: 100% CPU usage when displaying applets in Webkit based browsers

New in release 1.7.5 (2010-10-13):

* Security updates
  - S6914943, CVE-2009-3555: TLS: MITM attacks via session renegotiation 
  - S6559775, CVE-2010-3568: OpenJDK Deserialization Race condition
  - S6891766, CVE-2010-3554: OpenJDK corba reflection vulnerabilities
  - S6925710, CVE-2010-3562: OpenJDK IndexColorModel double-free
  - S6938813, CVE-2010-3557: OpenJDK Swing mutable static
  - S6957564, CVE-2010-3548: OpenJDK DNS server IP address information leak
  - S6958060, CVE-2010-3564: OpenJDK kerberos vulnerability
  - S6963023, CVE-2010-3565: OpenJDK JPEG writeImage remote code execution
  - S6963489, CVE-2010-3566: OpenJDK ICC Profile remote code execution
  - S6966692, CVE-2010-3569: OpenJDK Serialization inconsistencies
  - S6622002, CVE-2010-3553: UIDefault.ProxyLazyValue has unsafe reflection usage
  - S6925672, CVE-2010-3561: Privileged ServerSocket.accept allows receiving connections from any host
  - S6952017, CVE-2010-3549: HttpURLConnection chunked encoding issue (Http request splitting)
  - S6952603, CVE-2010-3551: NetworkInterface reveals local network address to untrusted code
  - S6961084, CVE-2010-3541: limit setting of some request headers in HttpURLConnection
  - S6963285, CVE-2010-3567: Crash in ICU Opentype layout engine due to mismatch in character counts
  - S6980004, CVE-2010-3573: limit HTTP request cookie headers in HttpURLConnection
  - S6981426, CVE-2010-3574: limit use of TRACE method in HttpURLConnection
  - S6990437: Update with correct copyright info for source and test files from SSR10_02 fixes
* Fixes
  - G244901: Skip test_gamma on hardened (PaX-enabled) kernels
  - G266295: Provide font configuration for Gentoo.
  - Provide font configuration for RHEL 6.
  - RH633510: OpenJDK should use NUMA even if glibc doesn't provide it
* Backports
  - S6539464, RH500077: Ensure java.lang.Math functions provide consistent results.
  - S6951319: enable solaris builds using Sun Studio 12 update 1 (fixes PR398).
  - S6638712: Inference with wildcard types causes selection of inapplicable method
  - S6650759: Inference of formal type parameter (unused in formal parameters) is not performed
  - S6623943: javax.swing.TimerQueue's thread occasionally fails to start
* NetX
  - Fix browser command in BasicService.showDocument(URL)
  - Run programs that inherit main(String[]) in their main-class
  - Work with JNLP files that use spec version 1.6
  - RH601281: Possible NullPointerException in splash screen code
  - New man page for javaws
* Plugin 
  - RH560193: Fix ziperror when applet jar contained another 0-byte jar
  - PR519: 100% CPU usage when displaying applets in Webkit based browsers

New in release 1.9 (2010-09-07):

* VisualVM support removed; now available in its own package at http://icedtea.classpath.org/hg/visualvm
* A separate build directory is now used for the OpenJDK build:  openjdk.build-ecj (stage 1) and
  openjdk.build (stage 2)
* The plugin and NetX classes are no longer added to rt.jar, but to plugin.jar and netx.jar respectively.
* Updated to OpenJDK6 b20 with HotSpot 17.
  - S4360113: Evict nmethods when code cache gets full
  - S4670071: loadClassInternal is too restrictive.
  - S4766230: Hotspot vtable inconsistencies cause core dumps. 6579515. 6582242.
  - S4957990: Perm heap bloat in JVM
  - S4997835: RFE: crash dump will only be created when running w/ -XX:+ShowMessageBoxOnError
  - S5057225: Remove useless I2L conversions
  - S5057818: codecache full and compiler disabled in bigapps fastdebug run
  - S6333993: NodeList.item() returns null in 1.5.0_02
  - S6361589: Print out stack trace for target thread of GC crash
  - S6378821: bitCount() should use POPC on SPARC processors and AMD+10h
  - S6419370: 4/4 new jmethodID code has tiny holes in synchronization
  - S6423256: GC stacks should use a better data structure
  - S6442502: assert(bits,"Use TypePtr for NULL") on linux-x86
  - S6449385: JCK test dup2_x200106m1 fails with Segmentation Fault on x86
  - S6472982: javax.xml.namespace.NamespaceContext.getPrefix("") should not throw IllegalArgumentException
  - S6484956: G1: improve evacuation pause efficiency
  - S6484957: G1: parallel concurrent refinement
  - S6484959: G1: introduce survivor spaces
  - S6490395: G1: Tidy up command line flags.
  - S6511613: javac unexpectedly doesn't fail in some cases if an annotation processor specified
  - S6539464: Math.log() produces inconsistent results between successive runs.
  - S6541756: Reduce executable C-heap
  - S6543938: G1: remove the concept of popularity
  - S6548436: Incorrect inconvertible types error
  - S6567360: 3/4 SIGBUS in jvmti RawMonitor magic check for unaligned bad monitor pointer
  - S6587322: dtrace probe object__alloc doesn't fire in some situations on amd64
  - S6587560: OpenJDK problem handling bitmaps returned when LCD text is requested
  - S6589834: deoptimization problem with -XX:+DeoptimizeALot
  - S6603316: Improve instrumentation for classes loaded at startup
  - S6604422: G1: re-use half-promoted regions
  - S6614597: Performance variability in jvm2008 xml.validation
  - S6614957: HttpsURLConnection not using the set SSLSocketFactory for creating all its Sockets
  - S6616792: five AWT focus regression tests should be fixed
  - S6626217: Fixed loader constraint array handling
  - S6631166: CMS: better heuristics when combatting fragmentation
  - S6632169: HttpClient and HttpsClient should not try to reverse lookup IP address of a proxy server
  - S6633872: Policy/PolicyFile leak dynamic ProtectionDomains.
  - S6634138: Source generated in last round not compiled
  - S6636138: UseSuperWord enabled failure
  - S6637203: Classunloading messages go to stdout rather than Xloggc file, causing hangs when stdout is closed
  - S6639665: ThreadGroup finalizer allows creation of false root ThreadGroups
  - S6655638: dynamic languages need method handles
  - S6655646: dynamic languages need dynamically linked call sites
  - S6663854: assert(n != __null,"Bad immediate dominator info.") in C2 with -Xcomp
  - S6675332: sjsxp issue 49: Repairing XMLStreamWriter tries to use default namespace for attributes
  - S6675856: Open charset tests
  - S6676423: (prefs) Opensource unit/regression tests for java.util.prefs
  - S6677708: G1: re-enable parallel RSet updating and scanning
  - S6680135: A number of test/closed/java/awt/Focus/* tests should be opened
  - S6683472: Incorrect handling of translation component of font transform.
  - S6684007: PrintAssembly plugin not available for linux or windows
  - S6686273: Some AWT reg. tests should be moved to open repository (for CRs 6444769, 6480547, and 6560348)
  - S6687298: Reg testcase java/awt/Graphics2D/DrawString/RotTransText.java fails on windows
  - S6689653: JMapPerm fails with UseConcMarkSweepIncGC and compressed oops off
  - S6690928: Use spinning in combination with yields for workstealing termination.
  - S6692899: CMS: many vm.parallel_class_loading tests fail with assert "missing Printezis mark"
  - S6697721: OpenJDK: rotated text baseline different between TextLayout and drawString
  - S6699669: Hotspot server leaves synchronized block with monitor in bad state
  - S6700789: G1: Enable use of compressed oops with G1 heaps
  - S6700941: G1: allocation spec missing for some G1 classes
  - S6703377: freetype: glyph vector outline is not translated correctly
  - S6709742: find_base_for_derived's use of Ideal NULL is unsafe causing crashes during register allocation
  - S6711117: Assertion in 64bit server vm (flat != TypePtr::BOTTOM,"cannot alias-analyze an untyped ptr")
  - S6718964: Swing border tests should be open source
  - S6718965: Swing color chooser tests should be open source
  - S6720309: G1: don't synchronously update RSet during evacuation pauses
  - S6720334: G1: don't update RSets of collection set regions during an evacuation pause
  - S6722084: JPRT make file doesn't create required symbolic link to libjvm.so
  - S6724345: incorrect method resolution for enum classes entered as source files
  - S6728161: Add SKIP_BOOT_CYCLE feature to create boot jdk and use it during build
  - S6728271: G1: Cleanup G1CollectedHeap::get_gc_alloc_regions()
  - S6736390: File TOCTOU deserialization vulnerability
  - S6737700: api/javax_swing/table/DefaultTableCellRenderer/index.html#getset:DefaultTableCellRenderer
  - S6741757: minor ctw improvements
  - S6745393: Inflater/Deflater clone issue
  - S6755988: G1: assert(new_obj != 0 || ... "should be forwarded")
  - S6759521: Move Bidi test programs from closed to open.
  - S6760309: G1: update remembered sets during Full GCs
  - S6761600: Use sse 4.2 in intrinsics
  - S6761856: OpenJDK: vertical text metrics may be significanly different from those returned by Sun JDK
  - S6763530: Cannot decode PublicKey (Proider SunPKCS11, curve prime256v1)
  - S6766775: X509 certificate hostname checking is broken in JDK1.6.0_10
  - S6769124: various 64-bit fixes for c1
  - S6771432: createSocket() - smpatch fails using 1.6.0_10 because of "Unconnected sockets not implemented"
  - S6772368: REGRESSION:tomcat crashed twice with JDK 7
  - S6772683: Thread.isInterrupted() fails to return true on multiprocessor PC
  - S6778657: Casts in SharedRuntime::f2i, f2l, d2i and d2l rely on undefined C++ behaviour
  - S6778662: fixes 64-bits libraries directory search paths on linux
  - S6778669: Patch from Red Hat -- fixes compilation errors
  - S6781583: Hotspot build fails on linux 64 bit platform with gcc 4.3.2
  - S6782232: assert("CreateEx must be first instruction in block" )
  - S6782260: Memory leak in CodeBuffer::create_patch_overflow
  - S6782663: Data produced by PrintGCApplicationConcurrentTime and PrintGCApplicationStoppedTime is not accurate.
  - S6783381: NUMA allocator: don't pretouch eden space with UseNUMA
  - S6784930: server jvm fails with assert(!n->is_SpillCopy(),"")
  - S6786346: intermittent Internal Error (src/share/vm/memory/cardTableModRefBS.cpp:226)
  - S6786503: Overflow list performance can be improved
  - S6786948: SA on core file fails on solaris-amd64 if vm started with -XX:+StartAttachListener
  - S6787106: Hotspot 32 bit build fails on platforms having different definitions for intptr_t &amp; int32_t
  - S6787254: Work queue capacity can be increased substantially on some platforms
  - S6788347: C2Compiler crash 6u7
  - S6788376: allow to ignore unrecognized VM options
  - S6788527: Server vm intermittently fails with assertion "live value must not be garbage" with fastdebug bits
  - S6788797: Fork HS14 to HS15 - renumber Major and build numbers of JVM
  - S6790182: matcher.cpp:1375: assert(false,"bad AD file")
  - S6790209: server VM fails with assert(will_link,"_new: typeflow responsibility")
  - S6791132: bad control in autobox split code
  - S6791168: Fix invalid code in bytecodeInterpreter that can cause gcc ICE
  - S6791178: Specialize for zero as the compressed oop vm heap base
  - S6791572: assert("duplicating node that's already been matched")
  - S6791656: nsk defclass0 asserts handles.hpp
  - S6791815: Fix for 6471657 can cause deadlock on non-Solaris platforms when initializing direct buffer support
  - S6791852: assert(b->_nodes[insidx] == n,"got insidx set incorrectly")
  - S6792161: assert("No dead instructions after post-alloc")
  - S6792301: StackAlignmentInBytes not honored for compiled native methods
  - S6792421: assert(_bitMap->isMarked(addr+size-1),inconsistent Printezis mark)
  - S6792705: Add JAR file to bootclasspath when using AggressiveOpts
  - S6793344: BasicStroke's first element dash pattern is not a dash
  - S6793825: Missing include dependancies for GCC without predefined headers
  - S6793828: G1: invariant: queues are empty when activated
  - S6794939: assert(_base == OopPtr,"subclass must override cast_to_ptr_type")
  - S6795362: 32bit server compiler leads to wrong results on solaris-x86
  - S6795465: Crash in assembler_sparc.cpp with client compiler on solaris-sparc
  - S6795913: A few remaining wrong casts need to be fixed for building hotspot successfully on Mac OS.
  - S6796746: rename LoadC (char) opcode class to LoadUS (unsigned short)
  - S6797305: Add LoadUB and LoadUI opcode class
  - S6797754: G1: combined bugfix
  - S6797870: Add -XX:+{HeapDump,PrintClassHistogram}{Before,After}FullGC
  - S6798572: test/closed/java/nio/charset/Charset/Contains.java failing since jdk7-b43
  - S6798785: Crash in OopFlow::build_oop_map: incorrect comparison of 64bit pointers
  - S6798898: CMS: bugs related to class unloading
  - S6799141: Build with --hash-style=both so that binaries can work on SuSE 10
  - S6799452: HotSpot tests Makefile should take care of ALT_SLASH_JAVA
  - S6799693: Server compiler leads to data corruption when expression throws an Exception
  - S6800154: Add comments to long_by_long_mulhi() for better understandability
  - S6800586: -XX:+PrintGCDateStamps is using mt-unsafe localtime function
  - S6801625: CDS: HeapDump tests crash with internal error in compactingPermGenGen.cpp
  - S6802413: G1: G1FixedSurvivorSpaceSize should be converted into regions in calculate_survivors_policy()
  - S6802453: G1: hr()->is_in_reserved(from),"Precondition."
  - S6802499: EA: assert(false,"unknown node on this path")
  - S6803688: Integrate latest JAX-WS (2.1.6) in to JDK 6u14
  - S6804746: G1: guarantee(variance() > -1.0,"variance should be >= 0") (due to evacuation failure)
  - S6805427: adlc compiler may generate incorrect machnode emission code
  - S6805522: Server VM fails with assertion (block1->start() != block2->start(),"successors have unique bcis")
  - S6805724: ModLNode::Ideal() generates functionally incorrect graph when divisor is any (2^k-1) constant.
  - S6805748: Assertion "don't reset to 0 -- could be mistaken for never-executed" in CompilationPolicy
  - S6805950: Typos in andL_rReg_imm instructions in x86_64.ad
  - S6806046: Hotspot build error when compiled from Visual Studio
  - S6806226: Signed integer overflow in growable array code causes JVM crash
  - S6807084: AutoBox elimination is broken with compressed oops
  - S6807345: Bump HS15 build number to 02
  - S6807963: need tool to make sense of LogCompilaton output
  - S6808322: ParNew, CMS, G1: ParGCAllocBuffer overflow
  - S6808589: Merge vm_version_x86_{32,64}.{cpp,hpp}
  - S6809798: SafePointScalarObject node placed into incorrect block during GCM
  - S6810474: par compact - crash in summary_phase with very full heap
  - S6810653: Change String cache class used by Hotspot from String to StringValue
  - S6810672: Comment typos
  - S6810698: G1: two small bugs in the sparse remembered sets
  - S6810845: Performance regression in mpegaudio on x64
  - S6810855: KILL vs. TEMP ordering restrictions are too strong
  - S6811267: Fix for 6809798 broke linux build
  - S6811384: MacroAssembler::serialize_memory may touch next page on amd64
  - S6812297: update project creation for Visual Studio 2005-2008
  - S6812428: G1: Error: assert(ret || obj_in_cs(obj),"sanity")
  - S6812587: Use auxv to determine SPARC hardware features on Solaris
  - S6812678: macro assembler needs delayed binding of a few constants (for 6655638)
  - S6812721: Block's frequency should not be NaN
  - S6812831: factor duplicated assembly code for megamorphic invokeinterface (for 6655638)
  - S6812971: SA: re-attaching to process fails
  - S6813212: factor duplicated assembly code for general subclass check (for 6655638)
  - S6814467: G1: small fixes related to concurrent marking verboseness
  - S6814552: par compact - some compilers fail to optimize bitmap code
  - S6814575: Update copyright year
  - S6814659: separable cleanups and subroutines for 6655638
  - S6814842: Load shortening optimizations
  - S6815683: G1: SEGV during marking
  - S6815692: method handle code needs some cleanup (post-6655638)
  - S6815790: G1: Missing MemoryPoolMXBeans with -XX:+UseG1GC
  - S6816154: G1: introduce flags to enable/disable RSet updating and scanning
  - S6816308: Changes to allow builds with latest Windows SDK 6.1 on 64bit Windows 2003
  - S6816433: Test G1 and ParOld in JPRT
  - S6816970: Bump HS15 build number to 03
  - S6817419: G1: Enable extensive verification for humongous regions
  - S6818264: Heap dumper unexpectedly adds .hprof suffix
  - S6818666: G1: Type lost in g1 pre-barrier
  - S6819065: G1: eliminate high serial card table clearing time
  - S6819077: G1: first GC thread coming late into the GC.
  - S6819085: G1: use larger and/or user settable region size
  - S6819098: G1: reduce RSet scanning times
  - S6819213: revive sun.boot.library.path
  - S6819853: VM does not detect JDK which supports parallel class loaders
  - S6819891: ParNew: Fix work queue overflow code to deal correctly with +UseCompressedOops
  - S6820167: GCALotAtAllSafepoints + FullGCALot(ScavengeALot) options crash JVM
  - S6820321: G1: Error: guarantee(check_nums(total, n, parts), "all seq lengths should match")
  - S6820510: assertion failure with unloaded class in subnode.cpp
  - S6820514: meet not symmetric failure in ctw
  - S6821003: Update hotspot windows os_win32 for windows 7
  - S6821507: Alignment problem in GC taskqueue
  - S6821693: 64-bit TaskQueue capacity still too small
  - S6821700: tune VM flags for peak performance
  - S6822110: Add AddressLiteral class on SPARC
  - S6822204: volatile fences should prefer lock:addl to actual mfence instructions
  - S6822263: G1: JVMTI heap iteration fails
  - S6822333: _call_stub_compiled_return address handling in SA is broken causing jstack to hang occasionally
  - S6822370: ReentrantReadWriteLock: threads hung when there are no threads holding onto the lock (Netra x4450)
  - S6822407: heapOopSize lookup is incorrect in Serviceability Agent.
  - S6823354: Add intrinsics for {Integer,Long}.{numberOfLeadingZeros,numberOfTrailingZeros}()
  - S6823377: Bump HS15 build number to 04
  - S6823453: DeoptimizeALot causes fastdebug server jvm to fail with assert(false,"unscheduable graph")
  - S6823454: Oop-typed loadP yields invalid pointer (0x1) on SPECjbb2005 at OSRed method entry
  - S6824463: deopt blob is testing wrong register on 64-bit x86
  - S6824570: ParNew: Fix memory leak introduced in 6819891
  - S6825642: nsk sajdi tests fail with NullPointerException
  - S6825815: Bump HS15 build number to 05 and update copyright date of HOTSPOT_VM_COPYRIGHT
  - S6826261: class file dumping from SA is broken
  - S6826318: G1: remove traversal-based refinement code
  - S6826736: CMS: core dump with -XX:+UseCompressedOops
  - S6826960: C2 Sparc: assert(bb->_nodes(_bb_end)->is_Proj(),"skipping projections after expected call")
  - S6827505: sizing logic for vtable and itable stubs needs self-check
  - S6827605: new String intrinsics may prevent EA scalar replacement
  - S6828024: verification of fixed interval usage is too weak
  - S6828069: Change JDK_MINOR_VER to 6 for 6Update HS versions
  - S6828076: Fork HS15 to HS16 - renumber Major and build numbers of JVM
  - S6829013: G1: set the default value of G1VerifyConcMarkPrintRechable to false
  - S6829021: tests for 6636138 use UseSuperword instead of UseSuperWord
  - S6829127: Deoptimization Failure on Specjvm98 _227_mtrt with -XX:+DeoptimizeALot since Hs11 b01
  - S6829187: compiler optimizations required for JSR 292
  - S6829192: JSR 292 needs to support 64-bit x86
  - S6829234: Refix 6822407 and 6812971
  - S6829575: 100028: Debug information is incomplete or missing
  - S6829659: Circle is rendered in C shape
  - S6829673: ThinLineTest: A line < 1 pixel disappears.
  - S6829678: StrokeShapeTest: createStrokedShape() behaves differently
  - S6830069: UseLargePages is broken on Win64
  - S6830542: Performance: JVM_DefineClass already verified.
  - S6830815: jprt.config not setting proper compiler version for use in 6u14
  - S6831225: Upgrade JPRT jobs to use newer Linux 2.6 (e.g. Fedora 9)
  - S6831323: Use v8plus as minimum required hardware for current Hotspot sources
  - S6831604: missing null check in guarantee
  - S6832293: JIT compiler got wrong result in type checking with -server
  - S6833129: specjvm98 fails with NullPointerException in the compiler with -XX:DeoptimizeALot
  - S6833316: jprt.properties not setting values for 6u14 release flag
  - S6833573: C2 sparc: assert(c < 64 && (c & 1) == 0,"bad double float register")
  - S6833576: G1: assert illegal index, growableArray.hpp:186
  - S6833879: Assigning positive zero is ignored when old value is negative zero
  - S6833951: Extra ":" Causes Testcase in CR 6589834 "Parse Exception: Invalid tag: summary:"
  - S6834142: method->print_codes(): Error: ShouldNotReachHere()
  - S6834177: Running jsynprog on Solaris Nevada can cause JVM crash
  - S6834202: Bump the HS16 build number to 02
  - S6835796: Fedora 9 linux_i586-fastdebug-c2-runThese_Xcomp times out
  - S6836054: java/util/Arrays/CopyMethods.java fails on solaris-sparc with IllegalArgumentException
  - S6837011: SIGSEGV in PhaseIdealLoop in 32bit jvm
  - S6837094: False positive for "meet not symmetric" failure
  - S6837146: Should perform unswitch before maximally unroll in loop transformation
  - S6837224: libsaproc.so on linux needs version of 6799141
  - S6837472: com/sun/jdi/MonitorFrameInfo.java fails with AggressiveOpts in 6u14
  - S6837906: compiler tests of 6636138 fail with IllegalAccessException
  - S6838154: make/linux/makefiles/sa.make needs hash-style fix
  - S6838819: Bump the HS16 build number to 03
  - S6838842: NUMA allocator: Segfault during startup on Linux
  - S6839126: Type error found by newer windows compiler
  - S6839151: Add a JPRT default test of -Xshare:dump when new hotspot is built
  - S6839599: JVM crash while profiling Tomcat and Liferay
  - S6840196: NUMA allocator: crash in fastdebug during startup on Linux
  - S6840305: Discrepancy in system memory details (when 4G or greater) reported by JVM and Windows OS
  - S6840775: Multiple JVM crashes seen with 1.6.0_10 through 1.6.0_14
  - S6841313: G1: dirty cards of survivor regions in parallel
  - S6841800: Incorrect boundary values behavior for option -XX:MaxLabelRootDepth=0-6 leads to jvm crash
  - S6841831: G1: assert(contains_reference(from),"We just added it!") fires
  - S6842999: Update hotspot windows os_win32 for windows 2008 R2
  - S6843041: Remove duplicate README files in repositories (make/README)
  - S6843292: "Expect to be beyond new region unless impacting another region" assertion too strong
  - S6843580: JavaThread.getStackBase throws sun.jvm.hotspot.WrongTypeException invoked by jstack
  - S6843629: Make current hotspot build part of jdk5 control build
  - S6843694: G1: assert(index < _vs.committed_size(),"bad index"), g1BlockOffsetTable.inline.hpp:55
  - S6843752: missing code for an anti-dependent Phi in GCM
  - S6843761: Update langtools tests to remove unncessary -source and -target options
  - S6845368: large objects cause a crash or unexpected exception
  - S6847305: solaris reorder mapfiles generate too many warnings
  - S6847956: G1: crash in oopDesc*G1ParCopyHelper::copy_to_survivor_space(oopDesc*)
  - S6848466: frame::frame_size() assertion failure with -XX:+DebugDeoptimization
  - S6848641: CMSCollector::_roots_scanning_options should be initialized
  - S6849122: G1: Typo introduced during implementation of the parallel refinement
  - S6849574: VM crash using NonBlockingHashMap (high_scale_lib)
  - S6849716: BitMap - performance regression introduced with G1
  - S6849984: Value methods for platform dependent math functions constant fold incorrectly
  - S6850551: Bump the HS16 build number to 04
  - S6850846: G1: extend G1 marking verification
  - S6850869: G1: RSet "scrubbing" scrubs too much
  - S6850957: Honor -XX:OnOutOfMemoryError when array size exceeds VM limit
  - S6851282: JIT miscompilation results in null entry in array when using CompressedOops
  - S6851386: assert(b->find_node(def) < j,"uses must follow definitions")
  - S6851742: (EA) allocation elimination doesn't work with UseG1GC
  - S6851829: solaris build fails with 5.8 compilers
  - S6851908: interpreter null check profiling broken causing extra compilation invalidation
  - S6852078: HSX 14/16 in jdk 5.0: api/javax_management api/org_omg jck tests crashes or make tnameserv crash
  - S6852873: Increase in delta between application stopped time and ParNew GC time over application lifetime
  - S6854027: Precompiled headers are not being updated in Linux/GCC builds
  - S6854812: 6.0_14-b08 crashes with a SIGSEGV
  - S6855115: G1: Fix for 6850869 is incorrect
  - S6855164: SIGSEGV during compilation of method involving loop over CharSequence.
  - S6855215: Calculation error (NaN) after about 1500 calculations
  - S6855236: Compiler Tree API TreePath class generates NullPointerException from Iterator
  - S6855834: G1: minimize the output when -XX:+PrintHeapAtGC is set
  - S6856025: assert(_base >= OopPtr && _base <= KlassPtr,"Not a Java pointer")
  - S6856257: Bump the HS16 build number to 05
  - S6857159: local schedule failed with checkcast of Thread.currentThread()
  - S6857194: Add hotspot perf counters to aid class loading performance measurement
  - S6857661: 64-bit server VM: assert(is_Initialize(),"invalid node class")
  - S6857707: Add missing test case for CR 6855164 from its bug description.
  - S6858164: invokedynamic code needs some cleanup (post-6655638)
  - S6858208: jvm crash when specifying TypeProfileWidth=0 on jdk 6.0
  - S6858886: G1: guarantee(_next_marked_bytes <= used(),"invariant") at heapRegion.hpp:359
  - S6859338: amd64 native unverified entry point pushes values before implicit null check
  - S6859411: Bump the HS16 build number to 06
  - S6859911: G1: assert(Heap_lock->owner() = NULL, "Should be owned on this thread's behalf")
  - S6860433: [Nimbus] Code to set a single slider's thumb background doesn't work as specified
  - S6860438: [Nimbus] Code to globally set slider's thumb background doesn't work as specified
  - S6860469: remix_address_expressions sets incorrect control causing crash in split_if_with_block_post
  - S6860599: nodes limit could be reached during Output phase
  - S6860920: serialize.cpp shouldn't use objArrayOopDesc::base_offset_in_bytes(T_BYTE)
  - S6861513: correct copyright attribution in test for 6837094 and 6860469
  - S6861557: G1: assert(top() == bottom() || zfs == Allocated,"Region must be empty, or ...")
  - S6861660: OopMapBlock count/size confusion
  - S6861984: solaris version of libsaproc.so should support SA_ALTROOT directly
  - S6862387: tune concurrent refinement further
  - S6862534: -XX:NewRatio completely ignored when combined with -XX:+UseConcMarkSweepG
  - S6862576: vmIntrinsics needs cleanup in order to support JSR 292 intrinsics
  - S6862661: G1: _gc_alloc_region_counts is not updated properly after 6604422
  - S6862863: C2 compiler fails in elide_copy()
  - S6862919: Update copyright year
  - S6862945: 4/3 conversion of jmethodID to methodOop in JVMTI is too expensive
  - S6862956: PhaseIdealLoop should have a CFG verification mode
  - S6863023: need non-perm oops in code cache for JSR 292
  - S6863155: Server compiler generates incorrect code (x86, long, bitshift, bitmask)
  - S6863216: Clean up debugging debris inadvertently pushed with 6700789
  - S6863312: Keep JAXP Secure Processing Feature consistent with Java Secure Mode
  - S6863420: os::javaTimeNanos() go backward on Solaris x86
  - S6864003: Modify JVM_FindClassFromBootLoader to return null if class not found
  - S6864886: G1: rename -XX parameters related to update buffers
  - S6864901: Bump the HS16 build number to 07
  - S6864914: SPECjvm2008 produces invalid result with zero based Compressed Oops
  - S6865031: Application gives bad result (throws bad exception) with compressed oops
  - S6865583: Verbose CIPrintMethodCodes asserts when ldc an empty String
  - S6865703: G1: Parallelize hot card cache cleanup
  - S6866190: Remove SIMPLE_STACK code from TaskQueue
  - S6866585: debug code in ciObjectFactory too slow for large objects
  - S6866591: G1: print update buffer processing stats more often
  - S6866651: Regression: simple int sum crashes jvm (build 1.6.0_14-b08 and 1.7.0-ea-b59)
  - S6867645: java -Xshare:dump failed - read only space too small
  - S6868051: (SA) FreeChunk support for compressed oops is broken
  - S6868269: CompileTheWorld assertion failure introduced by the reexecute bit implementation
  - S6868486: timouts and outOfMemory in regression tests
  - S6868487: EnableInvokeDynamic and EnableMethodHandles should not be visible flags in JDK6 or JDK7
  - S6868991: JPRT: elide GCBasher_G1 test on winx64 until 6867250 is resolved
  - S6869822: assert(Universe::narrow_oop_shift() == 0,"use unscaled narrow oop")
  - S6870843: G1: G1 GC memory leak
  - S6871111: G1: remove the concurrent overhead tracker
  - S6871765: Bump the HS16 build number to 08
  - S6872000: G1: compilation fails on linux/older gcc
  - S6872136: CMS: confusing message may be printed when a collector is switched off implicitly
  - S6873059: Explicitly use -source 5 -target 5 when compiling with the boot jdk
  - S6873059: Explicitly use -source 5 -target 5 when compiling with the boot jdk javac
  - S6873059: Explicitly use -source 6 -target 6 when compiling with the boot jdk
  - S6873116: Modify reexecute implementation to use pcDesc to record the reexecute bit
  - S6873236: Fork HS16 to HS17 - renumber Major and build numbers of JVM
  - S6873777: FPU control word optimization still performed with SSE
  - S6873799: enable escape analysis by default
  - S6873800: enable compressed oops by default
  - S6875329: fix for 6795465 broke exception handler cloning
  - S6875577: CTW fails with /hotspot/src/share/vm/opto/memnode.cpp
  - S6875619: CTW fails with /hotspot/src/share/vm/opto/type.hpp
  - S6875866: Intrinsic for String.indexOf() is broken on x86 with SSE4.2
  - S6875959: CTW fails hotspot/src/share/vm/opto/reg_split.cpp:1087
  - S6875967: CTW fails with./generated/adfiles/ad_sparc.cpp:6711
  - S6876276: assert(!is_visited,"visit only once")
  - S6876584: parameters order is incorrect for enc_String_Equals() in x86_32.ad
  - S6876794: 4/4 sp07t002 hangs very intermittently
  - S6877221: Endless deoptimizations in OSR nmethod
  - S6877254: Server vm crashes with no branches off of store slice" when run with CMS and UseSuperWord(default)
  - S6877961: langtools build should allow more options when running jtreg
  - S6879058: Change default JPRT release target for 6Update series VMs
  - S6879061: Bump the HS16 build number to 09
  - S6879076: disable jprt sync after builds are done
  - S6879362: assert(!klass_is_exact(),"only non-exact klass")
  - S6879572: SA fails _is_marked_dependent not found
  - S6879572: SA fails with "RuntimeException: field "_is_marked_dependent" not found
  - S6879689: Fix warning about ignored return value when compiling with -O2
  - S6879902: CTW failure jdk6_18/hotspot/src/cpu/sparc/vm/assembler_sparc.hpp:845
  - S6879921: CTW failure jdk6_18/hotspot/src/share/vm/utilities/globalDefinitions.cpp:268
  - S6879943: CTW failure jdk6_18/hotspot/src/share/vm/c1/c1_LIR.hpp:2029
  - S6880029: JDK 1.6.0_u14p Application crashed very early
  - S6880034: SIGBUS during deoptimisation at a safepoint on 64bit-SPARC
  - S6880052: SIGSEGV in GraphKit::null_check_common()
  - S6880053: assert(alloc_obj->as_CheckCastPP()->type() != TypeInstPtr::NOTNULL)
  - S6880533: test/compiler/6865031/Test.java miss -XX:+IgnoreUnrecognizedVMOptions
  - S6880574: C2 assert in escape.cpp:445 on linux-amd64
  - S6880903: G1: G1 reports incorrect Runtime.maxMemory()
  - S6882730: G1: parallel heap verification messes up region dump
  - S6883468: C2 compiler enters infinite loop in PhaseIterGVN::transform
  - S6884552: remove some unnecessary #ifdef's introduced in the fix for 4957990
  - S6884624: Update copyright year
  - S6884837: test/java/net/MulticastSocket/SetOutgoingIf.java should check if interfaces are up/support multicast
  - S6885041: G1: inconsistent thread dump
  - S6885169: merge of 4957990 and 6863023 causes conflict on do_nmethods
  - S6885297: java -XX:RefDiscoveryPolicy=2 or -XX:TLABWasteTargetPercent=0 cause VM crash
  - S6885584: A particular class structure causes large allocation spike for jit
  - S6885900: Bump the HS17 build number to 02
  - S6886024: G1: assert(recent_avg_pause_time_ratio() < 1.00,"All GC?")
  - S6886353: For DeoptimizeALot, JTreg tests should "IgnoreUnrecognizedVMOptions on a product build
  - S6887186: G1: Incorrect code generated for G1 pre-barrier by C1 on SPARC
  - S6887292: memory leak in freetypeScaler.c
  - S6887571: Increase default heap config sizes
  - S6887703: Unsigned applet can retrieve the dragged information before drop action occur
  - S6887914: Bump the HS16 build number to 10
  - S6887948: test/gc/6845368/bigobj.java fails due to timeout
  - S6888149: AtomicReferenceArray causes SIGSEGV -> SEGV_MAPERR error
  - S6888316: G1: has_aborted() || _cm->region_stack_empty() fails
  - S6888619: G1: too many guarantees in concurrent marking
  - S6888847: TaskQueue needs release_store() for correctness on RMO machines
  - S6888880: JKernel VM to inject the sun.jkernel.DownloadManager as a boot classloader hook
  - S6888898: CMS: ReduceInitialCardMarks unsafe in the presence of cms precleaning
  - S6889300: assert(i != k || is_new || i->outcnt()  > 0, "don't return dead nodes")
  - S6889302: TraceExceptions output should include detail message
  - S6889649: SAXException.toString() implementation considered harmful
  - S6889654: SAXParseException should have a better toString method
  - S6889656: assert(lo_lrg->lo_degree() || !lo_no_simplify,"Live range was lo-degree before coalesce
  - S6889740: G1: OpenDS fails with "unhandled exception in compiled code"
  - S6889757: G1: enable card mark elision for initializing writes from compiled code (ReduceInitialCardMarks)
  - S6889869: assert(!Interpreter::bytecode_should_reexecute(code),"should not reexecute")
  - S6890137: G1: revamp reachable object dump
  - S6890293: Bump the HS17 build number to 03
  - S6890308: integrate zero assembler hotspot changes
  - S6890984: Comparison of 2 arrays could cause VM crash
  - S6891677: java/build integrate zero assembler JDK changes
  - S6891750: deopt blob kills values in O5
  - S6892079: live value must not be garbage failure after fix for 6854812
  - S6892186: SA does not dump debug info for scalar replaced objects
  - S6892265: System.arraycopy unable to reference elements beyond Integer.MAX_VALUE bytes
  - S6892485: Deadlock in SunGraphicsEnvironment / FontManager
  - S6892658: C2 should optimize some stringbuilder patterns
  - S6892749: assert(UseParNewGC || UseSerialGC || UseConcMarkSweepGC, "...") fails
  - S6893081: method handle & invokedynamic code needs additional cleanup (post 6815692, 6858164)
  - S6893095: G1: bulk G1 backports to hs16
  - S6893268: additional dynamic language related optimizations in C2
  - S6893483: DTrace probe return values for a couple JNI methods are wrong
  - S6893504: LinkageError for bootstrap duplicate class definitions.
  - S6893554: SPECjvm2008 mpegaudio fails with SecurityException
  - S6893701: compiler/6877254/Test.java fails because it combines -XX:+UseConcMarkSweepGC with other GC
  - S6893947: Deserialization of RMIConnectionImpl objects should enforce stricter checks [ZDI-CAN-588]
  - S6893954: Subclasses of InetAddress may incorrectly interpret network addresses
  - S6893995: Bump the HS16 build number to 11
  - S6893996: change default JPRT release target to be 6u18
  - S6894206: JVM needs a way to traverse method handle structures
  - S6894779: Loop Predication for Loop Optimizer in C2
  - S6894807: No ClassCastException for HashAttributeSet constructors if run with -Xcomp
  - S6894844: Bump the HS17 build number to 04
  - S6895168: JCK api/signaturetest/sigtest.basic.html#basic test fails for jdk 5.0 with HS 16 in nightly build
  - S6895236: CMS: cmsOopClosures.inline.hpp:43 assert(..., "Should remember klasses in this context")
  - S6895383: JCK test throws NPE for method compiled with Escape Analysis
  - S6895788: G1: SATB and update buffer allocation code allocates too much space
  - S6896043: first round of zero fixes
  - S6896084: VM does not reserve protected page below heap for compressed oops implicit null checks
  - S6896352: CTW fails hotspot/src/share/vm/opto/escape.cpp:1155
  - S6896370: CTW fails share/vm/opto/matcher.cpp:1475 "duplicating node that's already been matched"
  - S6896472: Missing libjsig.so causes jdk build failure
  - S6896647: card marks can be deferred too long
  - S6896727: nsk/logging/LoggingPermission/LoggingPermission/logperm002 fails with G1, EscapeAnalisys
  - S6898160: Need serviceability support for new vm argument type 'uint64_t'
  - S6898622: ObjectIdentifer.equals is not capable of detecting incorrectly encoded CommonName OIDs
  - S6898707: Bump the HS17 build number to 05
  - S6898739: TLS renegotiation issue
  - S6898857: [Regression] -XX:NewRatio with -XX:+UseConcMarkSweepGC causes fatal error
  - S6898948: G1: forensic instrumentation for out-of-bounds recent_avg_pause_time_ratio()
  - S6899058: G1: Internal error in ptrQueue.cpp:201 in nightly tests
  - S6899467: System property java.class.version out-of-sync with VM for jdk 5.0 with HS 16 in nightly build
  - S6899653: Sun Java Runtime CMM readMabCurveData Buffer Overflow Vulnerability
  - S6900249: Use StringBuilder instead of StringBuffer to avoid locking
  - S6900341: jaxp/jaxws ant scripts using ant runtime in classpath, needs to be explicit
  - S6900773: elide (unnecessary) catching of NumberFormatException in NodeCounter.setFormatting(...)
  - S6900779: Use HashMap instead of Hashtable in CharInfo, Encodings, NamespaceMapping, XMLReaderManager
  - S6900899: vm fails to start when -Xmx value is less than OldSize + NewSize
  - S6900997: Bump the HS16 build number to 12
  - S6901572: JVM 1.6.16 crash on loops: assert(has_node(i),"")
  - S6902000: use ShouldNotReachHere() for btos/ctos/stos in TemplateInterpreterGenerator::set_short_entry_points
  - S6902036: WorldWind asserts on escape.cpp:1153: assert(addr->is_AddP(),"AddP required")
  - S6902115: G1:assert(ignore_max_completed||thread->is_Java_thread()||SafepointSynchronize::is_at_safepoint())
  - S6902182: 4/4 Starting with jdwp agent should not incur performance penalty
  - S6902299: Java JAR "unpack200" must verify input parameters
  - S6902303: G1: ScavengeALot should cause an incremental, rather than a full, collection
  - S6902701: G1: protect debugging code related to 6898948 with a debug flag
  - S6903453: Zero build on ARM and IA-64
  - S6904191: OptimizeStringConcat should be product instead of experimental
  - S6904516: More object array barrier fixes, following up on 6906727
  - S6904691: Java Applet Trusted Methods Chaining Privilege Escalation Vulnerability
  - S6904967: G1: some CollectionUsageThreshold tests fail
  - S6904996: Bump the HS16 build number to 13
  - S6906565: G1: deal with compilation warning in g1MemoryPool.hpp
  - S6906727: UseCompressedOops: some card-marking fixes related to object arrays
  - S6908167: jbb2005, OptimizeStringConcat causes assert in EA
  - S6908208: UseCompressedOops: array_size() returns incorrect size for MAX_INT object array following 6906727
  - S6908215: G1: SEGV with G1PolicyVerbose=2 debug flag
  - S6908267: Zero fails to unlock synchronized native methods on exception
  - S6909153: Fix broken options on Zero
  - S6909281: NPE is thrown when running rmid
  - S6909462: Fix nbproject/private references in .hgignore
  - S6909480: Disable Escape Analysis in jdk 6u18
  - S6909597: Sun Java Runtime Environment JPEGImageReader stepX Integer Overflow Vulnerability
  - S6909756: G1: guarantee(G1CollectedHeap::heap()->mark_in_progress(),"Precondition.")
  - S6909759: using JDK 1.6.0_18-ea does not work with GlassFish v3
  - S6909839: missing unsigned compare cases for some cmoves in sparc.ad
  - S6910484: incorrect integer optimization (loosing and op-r in a given example)
  - S6910590: Application can modify command array, in ProcessBuilder
  - S6910605: C2: NullPointerException/ClassCaseException is thrown when C2 with DeoptimizeALot is used
  - S6910618: C2: Error: assert(d->is_oop(),"JVM_ArrayCopy: dst not an oop")
  - S6910664: C2: java/util/Arrays/Sorting.java fails with DeoptimizeALot flag
  - S6911204: generated adapters with large signatures can fill up the code cache
  - S6912018: CMS: guarantee(head() != 0,"The head of the list cannot be NULL")
  - S6912062: disassembler plugin needs to produce symbolic information in product mode
  - S6912063: inlining parameters need to be adjusted for some uses of the JVM
  - S6912065: final fields in objects need to support inlining optimizations for JSR 292
  - S6912517: JIT bug compiles out (and stops running) code that needs to be run. Causes NPE.
  - S6912782: Bump the HS17 build number to 06
  - S6913075: EA identifies escape state incorrectly after 6895383 fix
  - S6913869: Zero assert fix
  - S6914002: unsigned compare problem after 5057818
  - S6914206: change way of permission checking for generated MethodHandle adapters
  - S6914300: ciEnv should export all well known classes
  - S6914402: G1: assert(!is_young_card(cached_ptr),"shouldn't get a card in young region")
  - S6914622: Print values of all flags for product VM
  - S6914823: Java AWT Library Invalid Index Vulnerability
  - S6914866: Sun JRE ImagingLib arbitrary code execution vulnerability
  - S6914986: Make sure openjdk doc generation not turned off with JDK_UPDATE_VERSION
  - S6915005: G1: Hang in PtrQueueSet::completed_buffers_list_length with gcl001
  - S6915110: IfNode::up_one_dom moves beyond RootNode bug in src/share/vm/opto/ifnode.cpp
  - S6915365: 3/4 assert(false,"Unsupported VMGlobal Type") at management.cpp:1540
  - S6915557: assert(_gvn.type(l)->higher_equal(type),"must constrain OSR typestate") with debug build
  - S6916644: C2 compiler crash on x86
  - S6916652: G1: remove +UseG1GC from under experimental options
  - S6916986: handle spaces in langtools launcher path
  - S6917454: sjsxp issue 53: StartDocument.encodingSet() returns false even when set
  - S6917463: Bump the HS17 build number to 07
  - S6917485: Corba doc warnings
  - S6917698: os::is_allocatable Zero fix for 32-bit platforms
  - S6917766: JSR 292 needs its own deopt handler
  - S6917931: compiler/6895383/Test.java don't compile due missed imports
  - S6918006: G1: spill space must be reserved on the stack for barrier calls on Windows x64
  - S6918421: 1/1 in-process JVM now ignores preset Windows unhandled exception filter
  - S6919437: Bump the HS17 build number to 08
  - S6919629: Nimbus L&F Nimbus.Overrides option leaks significant amounts of memory
  - S6919886: Sweep CodeCache more aggressively to reduce its usage for CompileTheWorld
  - S6919980: G1: remove +UseG1GC from under experimental options (second attempt)
  - S6920090: G1: Disable ReduceInitialCardMarks at least until 6920109 is fixed
  - S6920293: OptimizeStringConcat causing core dumps
  - S6920317: package-info.java file has to be specified on the javac cmdline, else it will not be avail.
  - S6920346: G1: "must avoid base_memory and AliasIdxTop"
  - S6920732: opensource test/java/nio/charset
  - S6920970: Zero build fixes after 6849984 and 6911204
  - S6920977: G1: guarantee(k == probe->klass(),"klass should be in dictionary") fails
  - S6921339: backout 6917766
  - S6921352: JSR 292 needs its own deopt handler
  - S6921473: Bump the HS17 build number to 09
  - S6921710: G1: assert(new_finger >= _finger && new_finger < _region_limit,"invariant")
  - S6921799: JSR 292 call sites should not be fixed-up
  - S6921922: fix for 6911204 breaks tagged stack interpreter
  - S6921969: optimize 64 long multiply for case with high bits zero
  - S6921992: failure in verify scheduling after 6792161
  - S6923002: assert(false,"this call site should not be polymorphic")
  - S6923043: failed nightly tests which use -XX:+PrintCompilation -Xcomp -XX:CompileOnly
  - S6923123: Hotspot refuses to start when -Xmx4m or -Xms4m is specified
  - S6923146: Upgrade to JAXP 1.4.3
  - S6923976: TestProviderLeak.java is using too small of an initial heap under newer Hotspot (b79+)
  - S6923991: G1: improve scalability of RSet scanning
  - S6924097: assert((_type == Type::MEMORY) == (_adr_type != 0),"adr_type for memory phis only")
  - S6925249: assert(last_sp < (intptr_t*) interpreter_frame_monitor_begin(),"bad tos")
